mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		arg = JSON.parse(arg);
		classificationPageVM.fromType = arg.fromType || '';
		classificationPageVM.batchProduct = arg.batchProduct || [];
		sessionStorage.setItem("category_id",arg.category_id || '');
		sessionStorage.setItem("category_name",arg.category_name || '');
		sessionStorage.setItem("category_parent_name",arg.category_parent_name || '');
		//classificationPageVM.levelOneCategory = [];
		getLevelOneCategory()
	}
});
window.addEventListener("classificationUpdate",function(e) {
	classificationPageVM.fromType = e.detail.fromType || '';
	classificationPageVM.batchProduct = e.detail.batchProduct || [];
	sessionStorage.setItem("category_id",e.detail.category_id || '');
	sessionStorage.setItem("category_name",e.detail.category_name || '');
	sessionStorage.setItem("category_parent_name",e.detail.category_parent_name || '');
	//classificationPageVM.levelOneCategory = [];
	getLevelOneCategory()
});
var classificationPageVM = new Vue({
	el: '#classificationPageVM',
	data: {
		fromType:'',
		batchProduct:[], //批量操作商品信息
		levelOneCategory:[],
		levelTwoCategory:[],
		saveOldName:'',
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		delClassify:{},
		showProductToast:false
	},
	watch:{

	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		batchSave:function(){
			var category_id = sessionStorage.category_id;
			if(!category_id){
				return mui.toast("请选择分类")
			}
			viewHandle.waiting("请等待");
			mui.ajax(severUrl + "scm/product/setCategoryByIds.json",{
				data:{
					list:classificationPageVM.batchProduct,
					listlength:classificationPageVM.batchProduct.length,
					category:category_id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:120000,
				success:function(res){
					viewHandle.close()
					mui.toast(res.msg);
					if(res.success){
						setTimeout(function(){
							viewHandle.viewFire('cun.html','closeOperation')
							viewHandle.back('close')
						},500)
					}
				},
				error:function(err){
					viewHandle.close()
				}
			});
		},
		popBack:function(){
			this.showProductToast=false
		},
		popConfirm:function(){
			var _this=this
			var id    = this.delClassify.id;
			var level = this.delClassify.level
			var dom   = this.delClassify.dom
			mui.ajax(severUrl + "scm/productcategory/deleteCategory.json",{
				data:{
					id:id,
					level:level,
					confirmDelete:true
				},
				type:'POST',
				timeout: 10000,//超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				success:function(res){
					if(res.success){
						if($(dom).siblings(".icon-gou").hasClass("addColor")){
							$(".icon-gou").removeClass("addColor");
							sessionStorage.removeItem("category_id");
							sessionStorage.removeItem("category_name");
							sessionStorage.removeItem("category_parent_name");
						}else{
							if(id = sessionStorage.getItem("category_id")){
								sessionStorage.removeItem("category_id");
								sessionStorage.removeItem("category_name");
								sessionStorage.removeItem("category_parent_name");
							}
						}
						if(level == 1){
							$(dom).parent().parent().hide();
							$(dom).parent().parent().html('')
						}else{
							$(dom).parent().parent().hide();
							$(dom).parent().parent().html('')
						}
					}
					_this.showProductToast=false
					mui.toast(res.msg)
				}
			})
		}
	},
	created:function(){
		//getLevelOneCategory()
	},
	mounted:function (){
		var _this = this;
		var winHeight = $(window).height();  //获取当前页面高度
		$(window).resize(function () {
			var u = navigator.userAgent, app = navigator.appVersion;
			var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
			var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
			if(isAndroid){
				var thisHeight = $(this).height();
				if ( winHeight - thisHeight > 140 ) {
				} else {
					var inputs = document.getElementsByTagName("input")
					for(var i =0; i<inputs.length; i++){
						if(inputs[i] == document.activeElement){
                            inputs[i].blur()
                        }
					}
				}
			}else if(isiOS){

			}
		});
		mui.plusReady(function () {
			_this.getPurview()
		})
	}
});
mui('.mui-content').on('tap','.mui-icon',function(){
	var onecategory = this.dataset.onecategory;
	if($(this).hasClass('mui-icon-arrowdown')){
		getLevelTwoCategory(this,onecategory);
	}else{
		$(this).parent().parent().find("main-child").hide();
		$(this).addClass("mui-icon-arrowdown");
		$(this).removeClass("mui-icon-arrowup");
		//删除节点
		var f = $(this).parent().parent();
		var childs = f[0].childNodes;
		for(var i = childs.length - 1; i > 0; i--) {
			f[0].removeChild(childs[i]);
		}
	}
});

//一级分类查询
function getLevelOneCategory(){
	mui.ajax(severUrl + "scm/productcategory/qryAllLevelOneCategory.json",{
		data:{
		},
		type:'POST',
		timeout: 10000,//超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success:function(res){
			if(res.success){
				classificationPageVM.levelOneCategory = res.data;
				console.log(classificationPageVM.levelOneCategory);
				var category_parent_name=sessionStorage.getItem("category_parent_name");
				var category_name=sessionStorage.getItem("category_name");
				mui.each(classificationPageVM.levelOneCategory,function(i,v){
					if(category_parent_name && category_parent_name!='undefined'){
						if(category_parent_name == v.name){
							v.is_add_color = true;
						}else{
							v.is_add_color = false;
						}
					}else{
						if(category_name == v.name){
							v.is_add_color = true;
						}else{
							v.is_add_color = false;
						}
					}
				})
			}
		}
	});
}
//二级分类查询
function getLevelTwoCategory(addDom,id){
	mui.ajax(severUrl + "scm/productcategory/qryAllLevelTwoCategory.json",{
		data:{
			parent_id:id
		},
		type:'POST',
		timeout: 10000,//超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success:function(res){
			if(res.success){
				classificationPageVM.levelTwoCategory = res.data;
				var category_parent_name=sessionStorage.getItem("category_parent_name");
				var category_name=sessionStorage.getItem("category_name");
				mui.each(classificationPageVM.levelTwoCategory,function(i,v){
					if(category_parent_name && category_parent_name!='undefined'){
						if(category_name && category_name!='undefined'){
							if(category_name == v.name){
								v.is_add_color = true
							}else{
								v.is_add_color =false
							}
						}
					}else{
						v.is_add_color =false
					}
				});
				if(classificationPageVM.levelTwoCategory.length>0){
					var dom='';
					for(var i = 0;i<classificationPageVM.levelTwoCategory.length; i++){
						var html='<div class="main-child">' +
                            '<span style="visibility: hidden" class="iconfont icon-gou xuanze-child"></span>' +
                            '<div class="main-child" style="background: #eee">';
							if(classificationPageVM.levelTwoCategory[i].is_add_color){
								html+='<span data-onecategory="'+classificationPageVM.levelTwoCategory[i].id+'" class="iconfont icon-gou xuanze-child addColor"></span>'
							}else{
								html+='<span data-onecategory="'+classificationPageVM.levelTwoCategory[i].id+'" class="iconfont icon-gou xuanze-child"></span>'
							}
                        html+='<input class="twoLevel" onblur="addCategory(this,2)" onclick="saveOldName(this)" data-onecategory="'+classificationPageVM.levelTwoCategory[i].id+'" type="text" value="'+classificationPageVM.levelTwoCategory[i].name+'">' +
							'<span onclick="editCategory(this)" data-onecategory="'+classificationPageVM.levelTwoCategory[i].id+'" data-type="2" class="iconfont icon-jianhao editTwoIcon"></span>' +
							'</div>' +
                            '</div>';
						dom+=html
					}
					$(addDom).parent().parent().append(dom);
					$(addDom).removeClass("mui-icon-arrowdown");
					$(addDom).addClass("mui-icon-arrowup");
					$(addDom).parent().siblings().show();
				}else{
					mui.toast("未创建子分类")
				}
				console.log(classificationPageVM.levelTwoCategory)
			}
		}
	})
}
//添加分类
function createCategory(dom,name,id){
	mui.ajax(severUrl + "scm/productcategory/createCategory.json",{
		data:{
			name:name,
			parent_id:id // 不传创建的是一级分类
		},
		type:'POST',
		timeout: 10000,//超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success:function(res){
			if(res.success){
				if(id !='' && id!=null){
					domTwoAdd(dom,res.data.id,res.data.name)
				}else{
					domAdd(res.data.id,res.data.name)
				}
			}
			mui.toast(res.msg)
		}
	})
}
//分类选择
mui(".mui-content").on('tap','.icon-gou',function(){
	if(!$(this).hasClass("addColor")){
		$(".icon-gou").removeClass("addColor");
		sessionStorage.setItem('category_parent_name','');
		if($(this).hasClass("xuanze-child")){
			$(this).parent().parent().parent().children().eq(0).children().eq(0).addClass("addColor");
			var parent_id=$(this).parent().parent().parent().children().eq(0).children().eq(0)[0].dataset.onecategory;
			var parent_name=$(this).parent().parent().parent().children().eq(0).children('input').val();
			sessionStorage.setItem('category_parent_name',parent_name);
			console.log(parent_id)
		}
		$(this).addClass("addColor");
		var id = this.dataset.onecategory;
		var name = $(this).siblings("input").val();
		sessionStorage.setItem("category_id",id);
		sessionStorage.setItem("category_name",name)
	}else{
		sessionStorage.removeItem("category_id");
		sessionStorage.removeItem("category_name");
		sessionStorage.removeItem("category_parent_name");
		if($(this).hasClass("xuanze") && $(this).hasClass("addColor")){
			$(this).parent().siblings().children(".addColor").removeClass("addColor")
		}else{
			var id = $(this).parent().parent().siblings(".main").children().eq(0)[0].dataset.onecategory;
			var name = $(this).parent().parent().siblings(".main").children("input").val();
			sessionStorage.setItem("category_id",id);
			sessionStorage.setItem("category_name",name)
		}
		$(this).removeClass("addColor");

	}
});
//新建一级
mui("body").on('tap','.addIcon',function(){
    var oneLevels = document.getElementsByClassName("oneLevel");
    for(var i =0; i<oneLevels.length; i++){
        if(oneLevels[i].value == "请输入一级分类名称"){
            mui.toast("已有未命名分类,请勿重复创建");
            return false;
        }
    }
	createCategory('',"请输入一级分类名称",'');
});
//新建二级
mui("body").on('tap','.addTwoIcon',function(){
    var twoLevels = document.getElementsByClassName("twoLevel");
    for(var i =0; i<twoLevels.length; i++){
        if(twoLevels[i].value == "请输入二级分类名称"){
            mui.toast("已有未命名分类,请勿重复创建")
            return false;
        }
    }
    var id = this.dataset.onecategory;
    createCategory(this,"请输入二级分类名称",id);
});
// //修改分类
function addCategory(e,type){
	var id = e.dataset.onecategory;
	var name = e.value;
	if(name == '' || name ==null){
		e.value = classificationPageVM.saveOldName;
		return;
	}
	mui.ajax(severUrl + "scm/productcategory/modifyCategory.json",{
		data:{
			id:id,
			name:name
		},
		type:'POST',
		timeout: 10000,//超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success:function(res){
			if(res.success){
				if(type == 1){
					if(sessionStorage.getItem("category_parent_name")){
						sessionStorage.setItem("category_parent_name",name);
					}else{
						sessionStorage.setItem("category_name",name);
					}
				}else{
					sessionStorage.setItem("category_name",name);
				}
			}
			mui.toast(res.msg)
		}
	});
}

//保存旧名字
function saveOldName(e){
	classificationPageVM.saveOldName = e.value;
	if(e.value == "请输入一级分类名称" || e.value == "请输入二级分类名称"){
		e.value ="";
	}
	console.log(classificationPageVM.saveOldName)
}


//删除分类
function editCategory(event){
	var id = event.dataset.onecategory;
	var type = event.dataset.type;
	mui.confirm("确认删除分类?", "提示", ["取消","确定"], function (e) {
		if(e.index==1){
			mui.ajax(severUrl + "scm/productcategory/deleteCategory.json",{
				data:{
					id:id,
					level:type
				},
				type:'POST',
				timeout: 10000,//超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				success:function(res){
					if(res.success){
						if($(event).siblings(".icon-gou").hasClass("addColor")){
							$(".icon-gou").removeClass("addColor");
							sessionStorage.removeItem("category_id");
							sessionStorage.removeItem("category_name");
							sessionStorage.removeItem("category_parent_name");
						}else{
							if(id = sessionStorage.getItem("category_id")){
								sessionStorage.removeItem("category_id");
								sessionStorage.removeItem("category_name");
								sessionStorage.removeItem("category_parent_name");
							}
						}
						if(type == 1){
							$(event).parent().parent().hide();
							$(event).parent().parent().html('')
						}else{
							$(event).parent().parent().hide();
							$(event).parent().parent().html('')
						}
						mui.toast(res.msg)
					}else{
						var delClassify= {
							id:id,
							dom:event,
							level:type,
							title:"分类删除",
							msg:res.msg,
							productList: res.data
						};
						classificationPageVM.delClassify=delClassify
						classificationPageVM.showProductToast=true
					}
				}
			})
		}
	},'div')
}
function domAdd (id, name){
	var dom='<div class="mui-row out-row">' +
		'<div class="main">' +
		'<span data-onecategory="'+id+'" class="iconfont icon-gou xuanze"></span>' +
        '<input class="oneLevel" onblur="addCategory(this,1)" onclick="saveOldName(this)" data-onecategory="'+id+'" type="text" value="'+name+'">' +
		'<span data-onecategory="'+id+'" class="iconfont icon-jiahao addTwoIcon"></span>' +
		'<span  onclick="editCategory(this)" data-type="1" data-onecategory="'+id+'" class="iconfont icon-jianhao"></span>' +
		'<span data-onecategory="'+id+'" class="mui-icon my-icon  mui-icon-arrowdown"></span>' +
		'</div>' +
		'</div>';
	$("#allCategory").append(dom)
}
function domTwoAdd (dom,id, name){
	if($(dom).next().next().hasClass('mui-icon-arrowdown')){
		getLevelTwoCategory($(dom).next().next(),dom.dataset.onecategory);
	}else{
		var html='<div class="main-child">' +
            '<span style="visibility: hidden" class="iconfont icon-gou xuanze-child"></span>' +
            '<div class="main-child" style="background: #eee">' +
			'<span data-onecategory="'+id+'" class="iconfont icon-gou xuanze-child"></span>' +
            '<input class="twoLevel" onblur="addCategory(this,2)" onclick="saveOldName(this)" data-onecategory="'+id+'" type="text" value="'+name+'">' +
			'<span onclick="editCategory(this)" data-onecategory="'+id+'" data-type="2" class="iconfont icon-jianhao editTwoIcon"></span>' +
			'</div>' +
            '</div>';
		$(dom).parent().parent().append(html);
		$(dom).next().removeClass("mui-icon-arrowdown");
		$(dom).next().addClass("mui-icon-arrowup");
		$(dom).parent().siblings().show();
	}
}
mui('body').on('tap','.muiBack',function(){
	if(classificationPageVM.fromType == 'cun'){
		return viewHandle.back('close')
	}
	var listSend = {
		category_id : sessionStorage.getItem("category_id") || '',
		category_name : sessionStorage.getItem("category_name") || '',
		category_parent_name : sessionStorage.getItem("category_parent_name") || ''
	};
	if(classificationPageVM.fromType == 'change'){
		viewHandle.viewFire('changeItem.html','categoryUpdate',listSend);
	}else{
		viewHandle.viewFire('itemAdd.html','categoryUpdate',listSend);
	}
	localStorage.setItem("productListPage","refresh");
	localStorage.setItem("pinProductListPage","refresh");
	localStorage.setItem("draftProductListPage","refresh");
	localStorage.setItem("pinDraftProductListPage","refresh");
	localStorage.setItem("cunInventoryListPage","refresh");
	localStorage.setItem("cunAlloctionListPage","refresh");
	viewHandle.back('close')
});