window.addEventListener("kucun",function(e){
    sessionStorage.setItem('model',e.detail.model);
    sessionStorage.setItem('selColorList',JSON.stringify(e.detail.selColorList));
    sessionStorage.setItem('selSizeList',JSON.stringify(e.detail.selSizeList));
    sessionStorage.setItem('selList',JSON.stringify(e.detail.selList));
    if(e.detail.big_list){
        sessionStorage.setItem('big_list',JSON.stringify(e.detail.big_list));
    }
    selNumVM.goodsName = e.detail.model;
    selNumVM.sizeList = e.detail.selSizeList;
    selNumVM.colorList = e.detail.selColorList;
    getIndexMenu();
    createNewInfo()
});
mui.plusReady(function(){
    var args = JSON.parse(plus.webview.currentWebview().arg);
    sessionStorage.setItem('model',args.model);
    sessionStorage.setItem('selColorList',JSON.stringify(args.selColorList));
    sessionStorage.setItem('selSizeList',JSON.stringify(args.selSizeList));
    sessionStorage.setItem('selList',JSON.stringify(args.selList));
    if(args.big_list){
        sessionStorage.setItem('big_list',JSON.stringify(args.big_list));
    }
    selNumVM.goodsName = args.model;
    selNumVM.name = args.name;
    selNumVM.sizeList = args.selSizeList;
    selNumVM.colorList = args.selColorList;
    if(args.depotList && args.init_page){
        selNumVM.depotList = args.depotList;
        mui.each(selNumVM.depotList,function(i,v){
            v.id = v.depot_id;
            v.name = v.depot_name;
        })
        selNumVM.depot_id = selNumVM.depotList[0].id;
        selNumVM.selTabId = selNumVM.colorList[0].color_id;
        selNumVM.init_page = args.init_page;
        selNumVM.big_list = args.big_list;
        var amount_all = 0;
        mui.each(selNumVM.big_list,function(i,v){
            if(v.init_stock !==''){
                v.amount = numToCur(v.init_stock,selNumVM.systemSetting.amount_decimals_setting)
                v.product_sn_list = v.product_sns || []
            }
            amount_all += Number(v.amount)
        })
        selNumVM.amount_all = numToCur(amount_all,selNumVM.systemSetting.amount_decimals_setting);
    }else{
        getIndexMenu();
        createNewInfo()
    }
});
window.addEventListener("set_back",function(e){
    var list = e.detail.item, product_sn_list = e.detail.product_sn_list || []
    product_sn_list = _.compact(product_sn_list)
    mui.each(selNumVM.big_list,function(i,v){
        if(v.color_id == list.color_id && v.size_id == list.size_id && v.depot_id == list.depot_id){
            v.product_sn_list = product_sn_list
        }
    })
})
window.addEventListener("warehouseBack",function(e){
    sessionStorage.setItem('selDepotId',e.detail.selDepotId);
    getIndexMenu();
    ku_cun()
});
var selNumVM = new Vue({
	el: '#selNumVM',
	data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        vipLevel:localStorage.getItem("vipLevel"),
		list:[],
		big_list:[],
		colorList:[],
		sizeList:[],
        amount_all:0,
		selTabId:'',
		goodsName:'',
        name:'',
		depotList:[],
		depot_id:"",
        init_page:false,
        //全行业参数
        mainUnitName:sessionStorage.getItem("mainUnitName") || '',
        size_show: localStorage.getItem("size_show") || 1,
        color_show: localStorage.getItem("color_show") || 1,
        unit_show: localStorage.getItem("unit_show") || 0,
        origin_specification: localStorage.getItem("origin_specification") || 0,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
	},
	watch: {
	    list: {
	      handler: function (newVal) {
	        mui.each(newVal,function(index,value){
	        	value.amount=parseInt(value.amount);
	        })
	      },
	      deep: true
	    },
        depot_id:{
            handler: function (newVal) {
                if (newVal == "创建") {
                    viewHandle.openWindow( 'warehouseSettings.html','warehouseSettings.html');
                }
            }
		}
  	},
    computed:{
        sns_show:function(){
            var _this = this;
            return function(snsArr){
                if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
                    if(snsArr && snsArr.length > 0){
                        return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
                    }else{
                        return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
                    }
                }else{
                    return ''
                }
            }
        }
    },
	methods: {
        edit_amount:function(){
            var amount_all = 0;
            mui.each(selNumVM.big_list,function(i,v){
                amount_all += Number(v.amount)
            })
            selNumVM.amount_all = numToCur(amount_all,selNumVM.systemSetting.amount_decimals_setting)
        },
        sns_print:function(){ //打印
            var _this = this;
            if(!_this.init_page){
                return mui.toast("请先保存商品,再打印初始库存序列号！")
            }else{
                var listSend = {
                    model:selNumVM.goodsName,
                    name:selNumVM.name,
                    print_list:selNumVM.big_list,
                    parentPage:'goods_print'
                };
                viewHandle.openWindow("sns_print.html","sns_print.html",JSON.stringify(listSend))
            }
        },
        sns_batch:function(){//批量sns
            var _this= this,code = new Date().getTime(),count = -1,increment = 0,sns = [];;
            for(var i = 0 ;i<_this.big_list.length; i++){
                if(_this.big_list[i].amount != '' && _this.big_list[i].amount > 0){
                    sns = [];
                    var curr_amount = parseInt(_this.big_list[i].amount); //当前
                    for(var j = 0; j<curr_amount ; j++){
                        count++;
                        var rand = Math.floor(Math.random()*9+1);
                        sns.push(code+''+count+''+rand);
                        if(count%10 == 9){
                            increment++;
                            code = code+increment
                        }
                    }
                    _this.big_list[i].product_sn_list = sns
                }
            }
            if(count == -1){
                mui.toast("请确认库存不等于零！")
            }
        },
        sns_set:function(list){
            var _this = this;
            list.count = list.amount;
            var listSend = {
                item:list,
                product:{
                    model:selNumVM.goodsName,
                    name:selNumVM.name,
                },
                args:{
                    parentPage:'goods'
                }
            };
            if(!_this.init_page){
                if(list.amount == 0){
                    return mui.toast("请先输入数量！")
                }
                viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
            }else{
                listSend.parentPage = 'goods';
                listSend.product.product_name = selNumVM.name;
                listSend.product.model = selNumVM.goodsName;
                viewHandle.openWindow("sns_show.html","sns_show.html",JSON.stringify(listSend))
            }
        },
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
		changeTab:function(color){
			this.selTabId=color.color_id;
		},
		addCount:function(item,id){
			item.amount++;
            var amount_all = 0;
            mui.each(selNumVM.big_list,function(i,v){
                amount_all += Number(v.amount)
            })
            selNumVM.amount_all = numToCur(amount_all,selNumVM.systemSetting.amount_decimals_setting)
		},
		reduceCount:function(item,id){
			if(item.amount>0){
				item.amount--;
                var amount_all = 0;
                mui.each(selNumVM.big_list,function(i,v){
                    amount_all += Number(v.amount)
                })
                selNumVM.amount_all = numToCur(amount_all,selNumVM.systemSetting.amount_decimals_setting)
			}
		},
        batchAddCount: function(big_list, color_id,depot_id) {
            for(var i = 0, len = big_list.length; i < len; i++) {
                if (big_list[i].color_id == color_id && big_list[i].depot_id == depot_id) {
                    big_list[i].amount ++;
                }
            }
            this.big_list = big_list;
            var amount_all = 0;
            mui.each(selNumVM.big_list,function(i,v){
                amount_all += Number(v.amount)
            })
            selNumVM.amount_all = numToCur(amount_all,selNumVM.systemSetting.amount_decimals_setting)
        },
        batchReduceCount: function(big_list, color_id,depot_id){
            for(var i = 0, len = big_list.length; i < len; i++) {
                if (big_list[i].amount > 0 && big_list[i].color_id == color_id && big_list[i].depot_id == depot_id) {
                    big_list[i].amount --;
                }
            }
            this.big_list = big_list;
            var amount_all = 0;
            mui.each(selNumVM.big_list,function(i,v){
                amount_all += Number(v.amount)
            })
            selNumVM.amount_all = numToCur(amount_all,selNumVM.systemSetting.amount_decimals_setting)
        },
		saveList:function(){
            if(selNumVM.init_page){
                viewHandle.back('close')
            }else{
                for(var i =0; i<selNumVM.big_list.length; i++){
                    selNumVM.big_list[i].amount=Number(selNumVM.big_list[i].amount)
                }
                sessionStorage.setItem('big_list',JSON.stringify(this.big_list));
                sessionStorage.setItem("selDepotId",this.depot_id);
                var listSend = {};
                listSend.big_list = this.big_list;
                viewHandle.viewFire('itemAdd.html','cunUpdate',listSend);
                viewHandle.back('close')
            }
		}
	},
	created:function(){
        FastClick.attach(document.body);
	},
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});

function createNewInfo(){
    selNumVM.colorList=JSON.parse(sessionStorage.getItem("selColorList"));
    mui.each(selNumVM.colorList,function(index,color){
        if(color.visible){
            selNumVM.selTabId=color.color_id;
            return false;
        }
    });
    selNumVM.sizeList=JSON.parse(sessionStorage.getItem("selSizeList"));
    selNumVM.goodsName=sessionStorage.getItem("model");
}
function getIndexMenu() {
    mui.ajax(severUrl + "scm/depot/list.json", {
        data: {},
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        async:false,
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {
                selNumVM.depotList = res.data;
                localStorage.setItem("depotList",JSON.stringify(selNumVM.depotList));
                var depot_id=sessionStorage.getItem("selDepotId");
                if(depot_id){
                    selNumVM.depot_id=depot_id;
                }else{
                    selNumVM.depot_id=selNumVM.depotList[0].id;
                }
                ku_cun();
            }
            sessionStorage.removeItem("selDepotId");
        }
    });
}

//库存单独设置
function ku_cun(){
    var big_list = sessionStorage.getItem('big_list');
    big_list?selNumVM.big_list= JSON.parse(big_list):[];
    if(selNumVM.big_list.length == 0){
    	for (var k=0; k<selNumVM.depotList.length;k++){
            for (var i = 0; i < selNumVM.colorList.length; i++) { // 封装颜色和尺码
                for (var j = 0; j < selNumVM.sizeList.length; j++) {
                    selNumVM.big_list.push({
                        color_name: selNumVM.colorList[i].color_name,
                        size_name: selNumVM.sizeList[j].size_name,
                        color_id: selNumVM.colorList[i].color_id,
                        size_id: selNumVM.sizeList[j].size_id,
                        product_sn_list:[],
                        name:'',
                        amount: 0,
                        barcode: "",
                        depot_id:selNumVM.depotList[k].id
                    });
                }
            }
		}
    }else{
        var list=[];
        for (var k=0; k<selNumVM.depotList.length;k++){
            for (var i = 0; i < selNumVM.colorList.length; i++) { // 封装颜色和尺码
                for (var j = 0; j < selNumVM.sizeList.length; j++) {
                    list.push({
                        color_name: selNumVM.colorList[i].color_name,
                        size_name: selNumVM.sizeList[j].size_name,
                        color_id: selNumVM.colorList[i].color_id,
                        size_id: selNumVM.sizeList[j].size_id,
                        product_sn_list:[],
                        name:'',
                        amount: 0,
                        barcode: "",
                        depot_id:selNumVM.depotList[k].id
                    });
                }
            }
        };
        for (var i = 0; i < list.length; i++) {
            for (var j = 0; j < selNumVM.big_list.length; j++) {
                if (list[i].color_id == selNumVM.big_list[j].color_id && list[i].size_id == selNumVM.big_list[j].size_id && list[i].depot_id == selNumVM.big_list[j].depot_id) {
                    list[i].amount = selNumVM.big_list[j].amount;
                    list[i].depot_id = selNumVM.big_list[j].depot_id;
                    list[i].product_sn_list = selNumVM.big_list[j].product_sn_list;
                }
            }
        }
        selNumVM.big_list = list;
    }
    var amount_all = 0;
    mui.each(selNumVM.big_list,function(i,v){
        amount_all += Number(v.amount)
    })
    selNumVM.amount_all = numToCur(amount_all,selNumVM.systemSetting.amount_decimals_setting)
}
mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});