var msgIndex = 0
mui.plusReady(function(e){
	var args = JSON.parse(plus.webview.currentWebview().arg);
	if(msgIndex ==0){
		msgIndex++;
		if(args.msg == '' || args.msg =='登录超时，请重新登录'){
			mui.toast(args.msg)
		}else{
			mui.alert(args.msg,'','','','div');
		}

	}
	var WA=plus.webview.all();
	for(var i =0; i<WA.length; i++){
		if(WA[i].id != "login.html" && WA[i].id !="H576E5848"){
			WA[i].close('none',150)
		}
	}
	sessionStorage.clear(); //无效
	localStorage.clear();
})
var loginVM = new Vue({
	el: '#loginVM',
	data: {
		userno: '',
		pwd: '',
		validCode: '',
		autoLogin: true,
		// yzmSrc: severUrl + 'ValidCode',
		yzmSrc: '',
		openEye: true,
	},
	methods: {
		submitForm: function() {
			if(this.userno==''){
				mui.toast('请输入账号');
			}else if(this.pwd==''){
				mui.toast('请输入密码');
			}else if(this.validCode==''){
				mui.toast('验证码为空或验证码格式错误');
			}else{
				mui.ajax(severUrl+"login",{
					data:{
						userno: loginVM.userno,
						pwd:doRSAEncrypt(loginVM.pwd),
						validCode:loginVM.validCode,
						autoLogin:loginVM.autoLogin,
						is_phone:1
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					xhrFields: {
                      withCredentials: true
              		},
              		crossDomain: true,//crossDomain设置为true，强制使用5+跨域
					timeout:10000,//超时时间设置为10秒；
					success:function(data){
						if(data.success){
							localStorage.setItem("HF",data.data.accessToken);
							mui.toast('登录成功');
							clearInterval(GetCodeTimer) // 清除定时器
                            var screenH=window.screen.availHeight;
                            var screenW=window.screen.availWidth;
                            if(screenH>screenW){
                                var bootStatus=localStorage.getItem("bootStatus");
                                if(bootStatus && bootStatus==1){
									viewHandle.viewFire('H576E5848','login')
									viewHandle.openWindow('H576E5848','H576E5848')
                                    //location.replace("xiao.html");
                                }else{
									viewHandle.openWindow('view/leadPage.html','leadPage.html')
                                    // location.replace("view/leadPage.html")
                                }
							}else{
								viewHandle.viewFire('H576E5848','login')
								viewHandle.openWindow('H576E5848','H576E5848')
                                //location.replace("xiao.html");
							}
						}else{
							mui.toast(data.msg);
							updataValidCode();
						}
					}
				});
			}
		},
		eyeOpen:function(){
			loginVM.openEye = !loginVM.openEye;
			var password = document.getElementById("password");
			if(loginVM.openEye){
				password.type = "password"
			}else{
				password.type = "text"
			}
		},
		getPublicKey:function(){
			if (!localStorage || !localStorage['publicKey']) {
				mui.ajax({
					type: 'POST',
					url: severUrl + "getPublicKey.json",
					success: function (res) {
						if (res.success) {
							localStorage['publicKey'] = res.data.publicKey;
						}
					}
				})
			}
		},
		getValidCode:function(){
			// var img = mui(".validCode")[0];
			mui.ajax(severUrl+"ValidCode/newJpg.json",{
				data:{

				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				xhrFields: {
					withCredentials: true
				},
				crossDomain: true,//crossDomain设置为true，强制使用5+跨域
				timeout:10000,//超时时间设置为10秒；
				success:function(data){
					if(data.success){
						loginVM.yzmSrc = "data:image/jpg;base64,"+data.data;
					}else{
						mui.toast(data.msg)
					}
				}
			});
		}
	},
	mounted:function(){
		var _this = this;
		localStorage.removeItem("publicKey");
		mui.plusReady(function(){
			_this.getPublicKey()
			// _this.getValidCode()
		})
	},
	created: function(){
		setListener();		
	}
});
function showHideCopy(type) {
	if (type == 1) {
		document.getElementsByClassName("beian")[0].style.display="none";
	}else {
		document.getElementsByClassName("beian")[0].style.display="block";
	}
}
function getValidCodeOne() {
	// 首次 获取验证码
	loginVM.yzmSrc === '' && loginVM.getValidCode()
}
// 自动刷新验证码
getValidCodeOne()
const GetCodeTimer = setInterval(()=>{
	loginVM.getValidCode()
},1000 * 60 * 2 - 10)

mui('.mui-content').on('focus','.mui-input-clear',function(e){
	e.preventDefault();
	
});

function chatQQ(){
	window.open("mqqwpa://im/chat?chat_type=wpa&uin=1740565494&version=1&src_type=web&web_src=oicqzone.com");
}

function setListener(){
  var pageHeight=sessionStorage.getItem("pageHeight");
  if(!pageHeight){ 	
    pageHeight=document.documentElement.clientHeight;
    sessionStorage.setItem("pageHeight",pageHeight);
  }
  setTimeout(function(){
  	localStorage.removeItem("initializeAccount")
  },1000);
//   document.getElementsByTagName("body")[0].style.height=pageHeight*2+"px";
  
	mui(".mui-content").on('tap', '.validCodeBox', function() {
		updataValidCode();
	});
	mui('body').on('tap','.beian',function(e){
		e.preventDefault();
		var href=this.dataset.href;
		if(href){
		    location.replace(href);
		}
	});	
	mui('body').on('tap','.register',function(e){
		e.preventDefault();
		viewHandle.openWindow('view/register.html','register.html')
	});
	mui('body').on('tap','.modifyPassword',function(e){
		e.preventDefault();
		viewHandle.openWindow('view/modifyPassword.html','modifyPassword.html')
	});	
}

function updataValidCode(){
	//img.src = severUrl+"ValidCode?t=" + Math.random();
	loginVM.validCode = undefined
	loginVM.getValidCode()
}
function pourTime(btn){
	var btn=document.getElementById('rancode');
	if (wait == 0) {  
        btn.removeAttribute("disabled");            
        btn.innerHTML="重新发送";
        wait = 59;  
    } else {  
        btn.innerHTML="("+wait + "s)重新发送";  
        wait--;  
        setTimeout(function() {  
            pourTime(btn);
        },  
        1000)  
    }  
}
