var shares,flag = true;
Vue.filter("time-format", function(time) {
	var date = new Date(time.replace(/-/g, "/"));
	var newDate = date.getFullYear() + "年" + (date.getMonth() < 10 ? "0" + date.getMonth() : date.getMonth()) + "月" +
		date.getDate() + "日";
	return newDate;
});
var historyVM = new Vue({
	el: '#historyVM',
	data: {
		systemSetting:{
            sn_setting:0,
            pay_setting:0,
            amount_decimals_setting:2,
            price_decimals_setting:2,
            lastAmt_setting:1 //0:未启用， 1：启用  上次销售价
        },
		orderDetails: {
			order_amt: 0,
			rebate_amt: 0,
			discount: 0,
			other_cost_price: 0
		},
		depot_name: '',
		initRemarkValue: '',
		initOrderFlag: 0,
		historyId: '',
		productListXiao: [],
		productListTui: [],
		all_debt_amt: 0, //客户总欠款
		history_default: 0,
		delivery_status: 0,
		jifenKT: 0,
		vipLevel: localStorage.getItem("vipLevel"),
		increase_bonus: 0,
		cost_money_unit: 0,
		truePay: 0,
		debtAmt: 0,
		pay_status: 1, //支付类型 1 现金; 2 支付宝; 3 微信; 4 银行卡; 5 其他
		delivery_type_arr: ['自提', '快递', '物流', '送货'],
		sign_date: '',
		orderAmount: 0,
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		logistics: '',
		consignee_address: '',
		//结算账户查询
		accountList: [],
		logistics_number: '',
        collectionList:[], //分批收款列表
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	watch: {
	},
	computed:{
		his_show:function(){
			var _this = this;
			return function(count,amount){
				if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
					if(count != '' && count > 0&&count==amount){
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					}else{
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				}else{
					return ''
				}
			}
		}
	},
	methods: {
		snsSet:function(item,e){
			// 点击序列号图标放大
			e.target.style.fontSize='18px'
			setTimeout(function(){
				e.target.style.fontSize='16px'
			},80)
			item.depot_id = historyVM.orderDetails.depot_id;
			item.customer_name = historyVM.orderDetails.customer_name;
			var listSend = {
				item:item,
				args:{
					parentPage:'xiao_his'
				}
			};
			viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		loadOrderInfo: function(historyId, cbFn) {
			if (!historyId) {
				return;
			}
			historyVM.historyId = historyId;
			viewHandle.waiting("单据查询中请稍后......");
			mui.ajax(severUrl + "scm/order/qryOp.json", { //单笔采购或草稿详细信息获取
				data: {
					id: historyId,
					remark: ''
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},

				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if(res.success){
						plus.share.getServices(function(s) {
							shares = {};
							for (var i in s) {
								var t = s[i];
								shares[t.id] = t;
							}
						}, function(e) {
							console.log("获取分享服务列表失败：" + e.message);
						});
						historyVM.orderDetails = res.data;
						if(historyVM.orderDetails.submit_status == 2){
							$("#revokeOrder").html('删除');
							$("#pinHistoryOrder").hide()
						}else{
							$("#revokeOrder").html('撤销');
							$("#pinHistoryOrder").show()
						}
						var collectionList = [],collection = [],timeList = [];
						if(historyVM.orderDetails.relation_arrears !=''){
							collection = historyVM.orderDetails.relation_arrears.split(";");
							collection.forEach(function(v){
								timeList = v.split(":");
								if(timeList.length == 4){
									collectionList.push(timeList)
								}
							})
						}
						if(historyVM.orderDetails.relation_father_fa_order !=''){
							collection = historyVM.orderDetails.relation_father_fa_order.split(";");
							collection.forEach(function(v){
								timeList = v.split(":");
								if(timeList.length == 4){
									collectionList.push(timeList)
								}
							})
						}
						collectionList.sort(function (a, b) {
							return a[3] > b[3] ? -1 : 1;
						});
						collectionList.filter(function(item,index){
							return collectionList[index] = "收款："+numToCur(item[1],historyVM.systemSetting.price_decimals_setting,'price')+"元 ("+item[2]+")"+"  "+historyVM.formatTime(item[3])
						});
						historyVM.$set(historyVM, 'collectionList', collectionList);
						historyVM.debtAmt = historyVM.orderDetails.debt_amt;
						historyVM.truePay = historyVM.orderDetails.debt_amt;
						viewHandle.close();
						historyVM.all_debt_amt = 0;
						historyVM.getCustomerById(historyVM.orderDetails.customer_id);
						var orderAmount = 0;
						var productListXiao = [],
							productListTui = [];
						mui.each(historyVM.orderDetails.productlist, function(i, v) {
							if (v.type == 0) {
								productListXiao.push(v)
							} else {
								productListTui.push(v)
							}
							var display_unit_ratio = v.display_unit_ratio != '' ? Number(v.display_unit_ratio) : 1;
							if (v.type == 0) {
								// orderAmount +=Number(v.amount/display_unit_ratio)
								orderAmount += Number(v.amount)
							} else {
								orderAmount -= Number(v.amount);
								// orderAmount -=Number(v.amount/display_unit_ratio)
							}
						});
						mui.each(productListXiao, function(i, v) {
							if (i == 0) {
								v.picture_name = v.picture_name != "" ? (img_url + v.picture_name) : "img/tx.jpg";
							} else {
								if (v.product_id == productListXiao[i - 1].product_id) {
									v.picture_name = ''
								} else {
									v.picture_name = v.picture_name != "" ? (img_url + v.picture_name) : "img/tx.jpg";
								}
							}
						});
						mui.each(productListTui, function(i, v) {
							if (i == 0) {
								v.picture_name = v.picture_name != "" ? (img_url + v.picture_name) : "img/tx.jpg";
							} else {
								if (v.product_id == productListTui[i - 1].product_id) {
									v.picture_name = ''
								} else {
									v.picture_name = v.picture_name != "" ? (img_url + v.picture_name) : "img/tx.jpg";
								}
							}
						});
						historyVM.productListXiao = productListXiao;
						historyVM.productListTui = productListTui;
						historyVM.orderAmount = numToCur(orderAmount,historyVM.systemSetting.amount_decimals_setting);
						historyVM.logistics = historyVM.orderDetails.logistics_number;
						var test = historyVM.orderDetails.consignee_address;
						var mapObj = {
							"{": "",
							"consignee": "收货人",
							"mobile": "电话",
							"address": "地址",
							"transportDay": "收货时间",
							"}": ""
						};
						test = test.replace(/{|consignee|mobile|address|transportDay|}/gi, function(matched) {
							return mapObj[matched];
						});
						historyVM.consignee_address = test;
						// var consignee_address = historyVM.data.consignee_address
						historyVM.initRemarkValue = historyVM.orderDetails.remark;
						historyVM.initOrderFlag = historyVM.orderDetails.order_flag;
						historyVM.delivery_status = res.data.delivery_status;

						historyVM.sign_date = res.data.sign_date.substr(6, 5);

						var depotList = JSON.parse(localStorage.getItem("depotList"));
						mui.each(depotList, function(index, depot) {
							if (depot.id == historyVM.orderDetails.depot_id) {
								historyVM.depot_name = depot.name;
							}
						});
						$('.swipebox').swipebox();
						//保存数据方便历史打印
						var x = [];
						var truePay = res.data.org_debt_amt != '' ? Number(res.data.order_amt - res.data.org_debt_amt) : Number(res.data
							.order_amt - res.data.debt_amt);
						if (truePay >= 0) {
							truePay = numToCur(Number(truePay - res.data.rebate_amt - (res.data.discount || 0) - (res.data.deduction_amt || 0)),historyVM.systemSetting.price_decimals_setting,'price')
						} else {
							truePay = numToCur(Number(truePay + res.data.rebate_amt + (res.data.discount || 0) - (res.data.deduction_amt || 0)),historyVM.systemSetting.price_decimals_setting,'price')
						}
						var productlist = [];
						mui.each(res.data.productlist, function(i, v) {
							v.unitChooseId = v.display_unit_id;
							v.unitChooseName = v.display_unit_name;
							v.unitChooseRatio = v.display_unit_ratio;
							v.desc = v.description
						});
						productlist = res.data.productlist;
						x.push({
							"sign_date": res.data.sign_date,
							"rebate_amt": res.data.rebate_amt,
							"order_amt": res.data.order_amt,
							"purchase_amt": res.data.purchase_amt,
							"totalDebtAmt": historyVM.all_debt_amt || 0, // 客户总欠款
							"discount": res.data.discount || 0, // 客户积分抵扣
							"ordertype": res.data.ordertype,
							"debt_amt": res.data.debt_amt,
							"org_debt_amt": res.data.org_debt_amt,
							"truePay": truePay,
							"deduction_amt":res.data.deduction_amt, //抵扣金额
							"change_interal": res.data.changeinteral, //本单积分
							"integral": res.data.integral, //客户总积分
							"real_name": res.data.creater_name,
							"delivery_type": res.data.delivery_type,
							"depot_name": historyVM.depot_name,
							"customer_name": res.data.customer_name,
							"company_name": xiaoVM.companyName,
							"remark": res.data.remark,
							"productlist": productlist,
							"telePhone": res.data.telephone,
							"color_show": historyVM.color_show, //全行业参数
							"size_show": historyVM.size_show, //全行业参数
							"unit_show": historyVM.unit_show, //全行业参数
							"origin_specification": historyVM.origin_specification, //全行业参数
							"other_cost_name": res.data.other_cost_name, //其他费用名称
							"other_cost_price": res.data.other_cost_price, //其他费用价格
							"account_name": res.data.account_name,
							"head_name": res.data.head_name,
							"print_address": res.data.consignee_address
						});
						sessionStorage.setItem("pinHistoryPrint", JSON.stringify(x));
						$.fn.textAutoHeight = function() {
							function textAutoHeight(elem) {
								elem.style.height = '30px';
								elem.scrollTop = 0; //防抖动
								elem.style.height = elem.scrollHeight + 'px';
							}
							this.each(function() {
								textAutoHeight(this);
								$(this).on('keyup', function() {
									textAutoHeight(this);
								});
							});
						};
						setTimeout(function() {
							$('#textarea[textAutoHeight]').textAutoHeight();
						}, 280)
						cbFn&&cbFn()
					}else{
						mui.toast(res.msg);
						viewHandle.close()
					}
				}
			});
		},
		formatTime:function(timestamp){
			function format(m){return m<10?'0'+m:m }
			var time = new Date(parseInt(timestamp));
			var y = time.getFullYear();
			var m = time.getMonth()+1;
			var d = time.getDate();
			var h = time.getHours();
			var mm = time.getMinutes();
			var s = time.getSeconds();
			return y+'-'+format(m)+'-'+format(d)+' '+format(h)+':'+format(mm)+':'+format(s);
		},
		deductionOrder: function(val) {
			if (val.relation_children_fa_order == "") {
				mui.toast("无关联单据");
				return false
			}
			var relation_children_fa_order = val.relation_children_fa_order.split(";"),
				ids = [],
				_this = this;
			relation_children_fa_order.forEach(function(v) {
				ids.push("'" + v.split(":")[0] + "'")
			})
			mui.ajax(severUrl + "scm/order/dataGridByIds.json", { //单笔采购或草稿详细信息获取
				data: {
					ids: ids.toString()
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				beforeSend: function() {
					viewHandle.waiting("查询中...")
				},
				complete: function() {
					viewHandle.close()
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if (res.success) {
						var listSend = {};
						listSend.orderType = 'in';
						listSend.searchHistoryList = res.data;
						viewHandle.openWindow('outboundOrder.html', 'outboundOrder.html', JSON.stringify(listSend));
					} else {
						mui.toast(res.msg)
					}
				}
			});
		},
		getCustomerById: function(id) {
			mui.ajax(severUrl + "crm/customer/qryOpSimple.json", { //单笔采购或草稿详细信息获取
				data: {
					id: id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if (res.success) {
						var customer = res.data.customer
						customer.checked != 1 ? historyVM.history_default = 0 : historyVM.history_default = 1;
						historyVM.all_debt_amt = customer.arrears;
					} else {
						historyVM.all_debt_amt = 0;
						historyVM.history_default = 0
					}
					var pinHistoryPrint = JSON.parse(sessionStorage.pinHistoryPrint);
					pinHistoryPrint[0].totalDebtAmt = historyVM.all_debt_amt
					sessionStorage.setItem("pinHistoryPrint", JSON.stringify(pinHistoryPrint));
				}
			});
		},
		getAccountList: function() {
			mui.ajax(severUrl + "fa/account/list.json", {
				data: {},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if (res.success) {
						historyVM.accountList = res.data;
						if (historyVM.accountList.length > 0) {
							historyVM.pay_status = historyVM.accountList[0].type
						}
						historyVM.accountList.sort(ascCompare("type"));
					}
				}
			});
		},
		jifenkaitong: function() {
			mui.ajax(severUrl + "crm/integraladdrule/qryOp.json", {
				data: {},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				async: false,
				success: function(res) {
					if (res.success) {
						if (res.data.status == 1) {
							historyVM.jifenKT = 1;
							historyVM.increase_bonus = res.data.increase_bonus;
							historyVM.cost_money_unit = res.data.cost_money_unit;
						} else {
							historyVM.jifenKT = 0
						}
					} else {
						historyVM.jifenKT = 0
					}
				}
			});
		},
		orderRemarkFn: function() {
			var self = this;
			var historyId = this.historyId;
			var remark = document.getElementById("textarea").value;

			if (this.initRemarkValue == remark) return;

			mui.ajax(severUrl + "scm/order/updateRemark.json", { //修改销售单/进货单备注
				data: {
					id: historyId,
					remark: remark
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					mui.toast(res.msg);
					self.loadOrderInfo();
				}
			});
		},
		orderLogisticsFn: function() {
			var self = this;
			var historyId = this.historyId;
			var logistics = document.getElementById("logistics").value;
			mui.ajax(severUrl + "scm/order/updateLogisticsNumber.json", { //修改销售单/进货单备注
				data: {
					id: historyId,
					logistics_number: logistics
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					mui.toast(res.msg);
					self.loadOrderInfo();
				}
			});
		},
		setColor: function(v, b) {
			var self = this;
			var historyId = self.historyId;
			var orderFlag = v;
			if (self.initOrderFlag == orderFlag) return;
			self.initOrderFlag = orderFlag;
			mui.ajax(severUrl + "scm/order/updateFlag.json", { //销售历史小旗帜order_flag 修改
				data: {
					id: historyId,
					order_flag: orderFlag
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					historyVM.orderDetails.order_flag = orderFlag;
					mui.toast(res.msg)
				}
			});
		},
	},
	created: function() {
	},
	mounted: function() {
		var _this = this;
		setListener();
		mui.plusReady(function(){
			_this.loadOrderInfo();
			_this.getPurview()
		})
	}
});


function setListener() {
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006  
	});
	mui(".mui-content").on('tap', '.historyToggleState', function() {
		mui.confirm("", "旗帜方式", ["取消", "确定"], function(e) {
			if (e.index == 1) {
				var type = Number($(".chooseOne")[0].getAttribute("name"));
				switch (type) {
					case 1:
						historyVM.setColor(type, 'red')
						break;
					case 2:
						historyVM.setColor(type, 'yellow')
						break;
					case 3:
						historyVM.setColor(type, 'blue')
						break;
					case 4:
						historyVM.setColor(type, 'green')
						break;
					case 5:
						historyVM.setColor(type, '#666')
						break;
				}
			} else {

			}
		}, 'div');
		//样式重写
		$(".mui-popup-in").css('border-radius', 0);
		$(".mui-popup-inner").css('border-radius', '6px');
		$(".mui-popup-inner").css('overflow', 'hidden');
		$(".mui-popup-inner").css('padding', 0);
		$(".mui-popup-title").remove();
		$(".mui-popup-buttons").css('display', 'none');
		//样式重写
		var muiPrompt =
			"<div class='qizhiType' style='display: flex; align-items: center; justify-content: space-between; height: 40px; padding: 0 15px;'>" +
			"<span name='5' class='iconfont icon-qizhi chooseclick' style='color: #666'></span>" +
			"<span name='1' class='iconfont icon-qizhi chooseclick' style='color: red'></span>" +
			"<span name='2' class='iconfont icon-qizhi chooseclick' style='color: yellow'></span>" +
			"<span name='3' class='iconfont icon-qizhi chooseclick' style='color: blue'></span>" +
			"<span name='4' class='iconfont icon-qizhi chooseclick' style='color: green'></span>" +
			"</div>"
		$(".mui-popup-text").html(muiPrompt);
		setTimeout(function() {
			$('.qizhiType span').removeClass("chooseOne")
		})
	});
	mui("body").on('tap', '.chooseclick', function() {
		$('.qizhiType span').removeClass("chooseOne")
		$(this).addClass("chooseOne")
		mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0], 'tap');
	})
	mui('.fh-status-history').on('tap', '.mui-switch', function() {
		if (historyVM.delivery_status == 0) {
			historyVM.delivery_status = 1;
		} else {
			historyVM.delivery_status = 0;
		}

		mui.ajax(severUrl + "scm/order/modifyDeliveryStatus.json", {
			data: {
				id: historyVM.historyId,
				delivery_status: historyVM.delivery_status
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function(res) {
				mui.toast(res.msg);
				historyVM.orderDetails.pay_status = historyVM.pay_status;
				if (xiaoVM.lsDateFirst != '' || xiaoVM.lsDateLast != '') {
					searchHistory(xiaoVM.lsDateFirst, xiaoVM.lsDateLast);
				} else {
					var date = new Date(xiaoVM.historyTime);
					var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date
						.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
					searchHistory(searchTime, searchTime);
				}
			}
		});
	});

	mui("#historyVM").on('tap', '.get-money-btn', function() {
		historyVM.jifenkaitong();
		mui.confirm("", "确认收款?", ["取消", "确定"], function(e) {
			if (e.index == 1) {
				if (historyVM.truePay > historyVM.debtAmt) {
					mui.toast('输入金额大于欠款金额！');
					return false
				}
				var type = $(".colorOrange").attr("type");
				historyVM.pay_status = type;
				mui.ajax(severUrl + "scm/order/clearDebtByOrderID.json", {
					data: {
						id: historyVM.historyId,
						pay_status: historyVM.pay_status,
						debt_status: historyVM.truePay == historyVM.debtAmt ? 0 : historyVM.orderDetails.debt_status,
						pay_mony: historyVM.truePay,
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function(res) {
						mui.toast(res.msg);
						if (res.success) {
							historyVM.orderDetails.pay_status = historyVM.pay_status;
							if (historyVM.jifenKT == 1 && historyVM.orderDetails.customer_id != localStorage.getItem("moRen")) {
								var changeIntegral = parseInt(historyVM.truePay / historyVM.cost_money_unit * historyVM.increase_bonus)
								mui.ajax(severUrl + "crm/customer/changeIntegral.json", {
									data: {
										customer_id: historyVM.orderDetails.customer_id,
										changeIntegral: changeIntegral,
										detail: "欠款订单收款",
										order_id: historyVM.orderDetails.order_id
									},
									headers: {
										'Content-Type': 'application/x-www-form-urlencoded'
									},
									xhrFields: {
										withCredentials: true
									},
									dataType: 'json',
									type: 'post',
									timeout: 10000,
									success: function(res) {
										historyVM.loadOrderInfo(historyVM.historyId);
										if (xiaoVM.lsDateFirst != '' || xiaoVM.lsDateLast != '') {
											searchHistory(xiaoVM.lsDateFirst, xiaoVM.lsDateLast);
										} else {
											var date = new Date(xiaoVM.historyTime);
											var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() +
												1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());

											searchHistory(searchTime, searchTime);
										}
										localStorage.setItem("caiPageAction", 'supplierRefresh') //刷新页面参数
									}
								});
							} else {
								historyVM.loadOrderInfo(historyVM.historyId);
								if (xiaoVM.lsDateFirst != '' || xiaoVM.lsDateLast != '') {
									searchHistory(xiaoVM.lsDateFirst, xiaoVM.lsDateLast);
								} else {
									var date = new Date(xiaoVM.historyTime);
									var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) :
										(date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());

									searchHistory(searchTime, searchTime);
								}
								localStorage.setItem("caiPageAction", 'supplierRefresh') //刷新页面参数
							}
						}
					}
				});
			} else {

			}
		}, 'div');
		//样式重写
		$(".mui-popup-in").css('border-radius', 0);
		$(".mui-popup-inner").css('border-radius', '6px 6px 0 0');
		$(".mui-popup-inner").css('padding', 0);
		$(".mui-popup-text").css('margin', 0);
		$(".mui-popup-title").css('line-height', '40px');
		$(".mui-popup-button:first-child").css('border-radius', '0 0 0 6px');
		$(".mui-popup-button:last-child").css('border-radius', '0 0 6px');
		var muiPrompt =
			"<div style='border-top: 1px solid #e2e2e2;' class='payTypeDiv'><div style='width: 30px; text-align: left'>收款</div><div style='flex: 1; align-items: center'><input style='padding: 0 10px; height: 25px; margin: 0; background: transparent' id='hisTruePay' type='number' value='" +
			historyVM.truePay + "'></div></div>";
		//样式重写
		mui.each(historyVM.accountList, function(i, v) {
			switch (v.type) {
				case 1:
					if (v.is_disable == 1) break
					var type = v.type;
					muiPrompt +=
						"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-xianjin' style='color: #fe7e7e'>&nbsp;</span><span class='historyPay colorOrange' type='" +
						v.type + "'>" + v.name +
						"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay colorOrange' style='font-size: 36px; display: none'></span></div></div>"
					break;
				case 2:
					if (v.is_disable == 1) break;
					muiPrompt +=
						"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-zhifubao' style='color: #09aaf0'>&nbsp;</span><span class='historyPay' type='" +
						v.type + "'>" + v.name +
						"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
					break;
				case 3:
					if (v.is_disable == 1) break;
					muiPrompt +=
						"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-icon1460188541813' style='color: #51c232'>&nbsp;</span><span class='historyPay' type='" +
						v.type + "'>" + v.name +
						"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
					break;
				case 4:
					if (v.is_disable == 1) break;
					muiPrompt +=
						"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-bank-card' style='color: #f90000'>&nbsp;</span><span class='historyPay' type='" +
						v.type + "'>" + v.name +
						"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
					break;
				default:
					if (v.is_disable == 1) break;
					muiPrompt +=
						"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-qitaphone' style='color: #b74c00'>&nbsp;</span><span class='historyPay' type='" +
						v.type + "'>" + v.name +
						"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
					break;
			}
		})
		$(".mui-popup-text").html(muiPrompt);
		jifenInfo()
		document.getElementById("hisTruePay").addEventListener("click", function(event) {
			mui("#hisTruePay")[0].value = '';
		})
		document.getElementById("hisTruePay").addEventListener("blur", function(event) {
			mui("#hisTruePay")[0].value = historyVM.truePay;
		})
		document.getElementById("hisTruePay").addEventListener("keyup", function(event) {
			historyVM.truePay = mui("#hisTruePay")[0].value;
			jifenInfo()
		})
		setTimeout(function() {
			$('.historyPay').removeClass("colorOrange");
			$(".historyPayType").eq(historyVM.pay_status - 1).find(".historyPay").addClass("colorOrange")
		})
	});
	mui("body").on('tap', '.historyPayType', function() {
		$('.historyPay').removeClass("colorOrange");
		$(this).find('.historyPay').addClass("colorOrange")
	});
	/*订单复制*/
	mui(".combindBox").on('tap', '.orderCopy', function() {
		plus.nativeUI.actionSheet({
				title: '请选择复制目标',
				cancel: "取消",
				buttons: [{title: '复制到销售'}, {title: '复制到进货'}]
			},
			function (e) {
				let type
				switch (e.index) {
					case 1: type = 'sales'; break;
					case 2: type = 'purchase'; break;
				}
			 	type&&copyInfo(type)
			}
		);
		// mui.confirm('', '确认复制单据?', ["取消", "确定"], function(e) {
		// 	if (e.index == 1) {
		// 		copyInfo()
		// 	}
		// }, 'div')
		// var selProductList = localStorage.getItem("selProductList");
		// if (selProductList && selProductList != "undefined") {
		// 	if (JSON.parse(selProductList).length > 0) {
		// 		mui.confirm('复制单据会覆盖已经选择商品列表', '确认复制单据?', ["取消", "确定"], function(e) {
		// 			if (e.index == 1) {
		// 				copyInfo()
		// 			}
		// 		}, 'div')
		// 	} else {
		// 		copyInfo()
		// 	}
		// } else {
		// 	copyInfo()
		// }
	});

	/*撤销按钮*/
	mui(".combindBox").on('tap', '.revokeOrder', function() {
		if(historyVM.orderDetails.submit_status==2){
			mui.confirm("是否确认删除？", "提示", ["取消", "确定"], function(e) {
				if (e.index == 1 && buttonClick) {
					buttonClick = false;
					var historyId = historyVM.historyId;
					mui.ajax(severUrl + "scm/order/del.json", {
						data: {
							id: historyId,
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						beforeSend: function() {
							// mask.show();//显示遮罩层
							mui('#dh3')[0].style.display = "block";
						},
						complete: function() {
							//mask.close();//关闭遮罩层
							mui('#dh3')[0].style.display = "none";
						},
						dataType: 'json',
						type: 'post',
						timeout: 60000,
						success: function(res) {
							if (res.success) {
								plus.webview.getWebviewById('H576E5848').evalJS('getCustomer()');
								mui.toast(res.msg);
								setTimeout(function() {
									mui('.revokeOrder').button('reset');
									mui('#pinPurchaseHistory')[0].style.display = "none";
									mui('#xiaoDom')[0].style.display = "block";

									if (xiaoVM.lsDateFirst != '' || xiaoVM.lsDateLast != '') {
										searchHistory(xiaoVM.lsDateFirst, xiaoVM.lsDateLast);
									} else {
										var date = new Date(xiaoVM.historyTime);
										var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) :
											(date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
										searchHistory(searchTime, searchTime);
									}
									buttonClick = true;
								}, 1000);
								localStorage.setItem("xiaoPageAction", 'customerRefresh'); //刷新页面参数
								localStorage.setItem("productListPage", "refresh");
							} else {
								buttonClick = true;
								mui.toast(res.msg);
							}
						}
					});
				}
			}, 'div')
		}else{
			mui.confirm("撤销后，该单据内所有的商品库存数量将会变动，是否确认撤销？", "提示", ["取消", "确定"], function(e) {
				if (e.index == 1 && buttonClick) {
					buttonClick = false;
					mui.each(historyVM.orderDetails.productlist, function(i, v) {
						delete(v["picture_name"]);
						delete(v["product_name"]);
						delete(v["product_model"]);
						delete(v["material"]);
						delete(v["size_name"]);
						delete(v["description"]);
						delete(v["display_unit_name"]);
						delete(v["color_name"]);
					});
					mui('.revokeOrder').button('loading');
					var historyId = historyVM.historyId;
					mui.ajax(severUrl + "scm/order/revert.json", {
						data: {
							id: historyId,
							depot_id: historyVM.orderDetails.depot_id,
							ordertype: 1,
							submit_status: 0,
							productlistlength: historyVM.orderDetails.productlist.length,
							productlist: historyVM.orderDetails.productlist,
							revertFA: false
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						beforeSend: function() {
							// mask.show();//显示遮罩层
							mui('#dh3')[0].style.display = "block";
						},
						complete: function() {
							//mask.close();//关闭遮罩层
							mui('#dh3')[0].style.display = "none";
						},
						dataType: 'json',
						type: 'post',
						timeout: 60000,
						success: function(res) {
							if (res.success) {
								plus.webview.getWebviewById('H576E5848').evalJS('getCustomer()');
								mui.toast(res.msg);
								setTimeout(function() {
									mui('.revokeOrder').button('reset');
									mui('#pinPurchaseHistory')[0].style.display = "none";
									mui('#xiaoDom')[0].style.display = "block";

									if (xiaoVM.lsDateFirst != '' || xiaoVM.lsDateLast != '') {
										searchHistory(xiaoVM.lsDateFirst, xiaoVM.lsDateLast);
									} else {
										var date = new Date(xiaoVM.historyTime);
										var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) :
											(date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
										searchHistory(searchTime, searchTime);
									}
									buttonClick = true;
								}, 1000);
								localStorage.setItem("xiaoPageAction", 'customerRefresh'); //刷新页面参数
								localStorage.setItem("productListPage", "refresh");
							} else {
								if (res.status == 222) {
									mui.confirm(res.msg, '提示', ["取消", "确定"], function(e) {
										if (e.index == 1) {
											mui.ajax(severUrl + "scm/order/revert.json", {
												data: {
													id: historyId,
													depot_id: historyVM.orderDetails.depot_id,
													ordertype: 1,
													submit_status: 0,
													productlistlength: historyVM.orderDetails.productlist.length,
													productlist: historyVM.orderDetails.productlist,
													revertFA: true
												},
												headers: {
													'Content-Type': 'application/x-www-form-urlencoded'
												},
												xhrFields: {
													withCredentials: true
												},
												beforeSend: function() {
													// mask.show();//显示遮罩层
													mui('#dh3')[0].style.display = "block";
												},
												complete: function() {
													//mask.close();//关闭遮罩层
													mui('#dh3')[0].style.display = "none";
												},
												dataType: 'json',
												type: 'post',
												timeout: 60000,
												success: function(res) {
													if (res.success) {
														plus.webview.getWebviewById('H576E5848').evalJS('getCustomer()');
														mui.toast(res.msg);
														setTimeout(function() {
															mui('.revokeOrder').button('reset');
															mui('#pinPurchaseHistory')[0].style.display = "none";
															mui('#xiaoDom')[0].style.display = "block";

															if (xiaoVM.lsDateFirst != '' || xiaoVM.lsDateLast != '') {
																searchHistory(xiaoVM.lsDateFirst, xiaoVM.lsDateLast);
															} else {
																var date = new Date(xiaoVM.historyTime);
																var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() +
																	1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
																searchHistory(searchTime, searchTime);
															}
															buttonClick = true;
														}, 1000);
														localStorage.setItem("xiaoPageAction", 'customerRefresh'); //刷新页面参数
														localStorage.setItem("productListPage", "refresh");
													} else {
														if (res.status == 223) {
															mui.confirm(res.msg, '提示', ["取消"], function(e) {
																buttonClick = true;
																mui('.revokeOrder').button('reset');
															})
														} else {
															buttonClick = true;
															mui.toast(res.msg);
															mui('.revokeOrder').button('reset');
														}
													}
												}
											});
										} else {
											buttonClick = true;
											mui.toast(res.msg);
											mui('.revokeOrder').button('reset');
										}
									}, 'div')
								} else {
									buttonClick = true;
									mui.toast(res.msg);
									mui('.revokeOrder').button('reset');
								}
							}
						}
					});
				}
			}, 'div')
		}
	});
}

//复制单据
function copyInfo(type) {
	var index = 0, error = 0, supplierList, userList;
	// 获取当前客户列表
	mui.ajax(severUrl + "crm/customer/dataGridSimple.json", {
		data: {
			type: 1,
			qryType: -1,
			rows: 1000,
			page: 1
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if (res.msg) {
				index++
				supplierList = res.data.list
			}else{
				index++
				error++
			}
			cbFn()
		},
		error: function() {
			index++
			error++
			cbFn()
		}
	})
	// 获取所有员工账户
	mui.ajax({
		url: severUrl + "sso/user/dataAll.json",
		data: {},
		type: "post",
		dataType: "json",
		timeout: 10000,
		success: function(res) {
			if (res.msg) {
				index++
				userList = res.data
			}else{
				index++
				error++
			}
			cbFn()
		},
		error: function (){
			index++
			error++
			cbFn()
		}
	});

	function cbFn() {
		if(index === 2){
			if(error === 1){
				console.error('获取客户列表/用户列表异常')
				mui.alert('[Error] 获取单据数据异常，复制失败')
			}
			if(error !== 0){ return false }
			historyVM.loadOrderInfo(historyVM.historyId,copyFn)
			function copyFn() {
				var cpoyInfo = historyVM.orderDetails.productlist;//商品列表
				var depot_id = historyVM.orderDetails.depot_id;//仓库id
				var orderDetails = historyVM.orderDetails
				var depotList = JSON.parse(localStorage.getItem("depotList"));//仓库列表
				var dataLegal = false;
				var AB_price = [];
				mui.each(depotList, function(k, n) {
					if (n.id == depot_id) {
						dataLegal = true;
						return false;
					}
				});
				// if (!dataLegal) {
				// 	// mui.toast("复制单据仓库不存在！");
				// 	// return;
				// }
				var selProductList = [];
				if (cpoyInfo.length > 0) {
					for (var i = 0; i < cpoyInfo.length; i++) {
						var outList = {
							amt: numToCur((type === 'sales'?  cpoyInfo[i].amt : cpoyInfo[i].purchase_price) * (cpoyInfo[i].display_unit_ratio || 1),historyVM.systemSetting.price_decimals_setting,'price'),
							depot_id: depot_id,
							id: cpoyInfo[i].product_id,
							model: cpoyInfo[i].product_model,
							name: cpoyInfo[i].product_name,
							product_id: cpoyInfo[i].product_id,
							product_name: cpoyInfo[i].product_name,
							purchase_price: cpoyInfo[i].purchase_price,
							sale_price: numToCur((type === 'sales'?  cpoyInfo[i].amt : cpoyInfo[i].purchase_price) * (cpoyInfo[i].display_unit_ratio || 1),historyVM.systemSetting.price_decimals_setting,'price'),
							status: 1,
							unitChooseId: cpoyInfo[i].display_unit_id,
							unitChooseName: cpoyInfo[i].display_unit_name,
							unitChooseRatio: cpoyInfo[i].display_unit_ratio,
							list: []
						};
						var innerList = {
							amount: 0, //无法获取
							barcode: cpoyInfo[i].barcode, //无法获取
							color_id: cpoyInfo[i].color_id,
							color_name: cpoyInfo[i].color_name,
							count: numToCur(cpoyInfo[i].amount / Number(outList.unitChooseRatio != '' ? outList.unitChooseRatio : 1),historyVM.systemSetting.amount_decimals_setting),
							depot_id: depot_id,
							ordertype: 0,
							product_id: cpoyInfo[i].product_id,
							size_id: cpoyInfo[i].size_id,
							size_name: cpoyInfo[i].size_name,
							type: cpoyInfo[i].type
						};
						outList.list.push(innerList);
						if (selProductList.length == 0) {
							selProductList.push(outList);
							AB_price.push({
								"AB_price": outList.amt,
								"product_id": outList.product_id,
								"depot_id": outList.depot_id
							});
						} else {
							var containsGoods = true;
							mui.each(selProductList, function(i, v) {
								containsGoods = false;
								if (v.product_id == outList.product_id) {
									containsGoods = true;
									v.list = v.list.concat(outList.list);
									return false;
								}
							});
							if (!containsGoods) {
								selProductList.push(outList);
								AB_price.push({
									"AB_price": outList.amt,
									"product_id": outList.product_id,
									"depot_id": outList.depot_id
								});
							}
						}
					}
					console.debug(selProductList)
					if(type === 'sales'){
						// 验证 存在当前客户
						// var curCustomerIdIndex = supplierList.findIndex(function(item){
						// 	return item.id === orderDetails.customer_id
						// })
						// if(curCustomerIdIndex && curCustomerIdIndex !== -1){
						// 	sessionStorage.setItem("customer_id", orderDetails.customer_id); //客户
						// 	sessionStorage.setItem("supplierList", JSON.stringify(supplierList)); // 所有客户
						// } //
						// else{ console.debug({curCustomerIdIndex , 'customer_id':historyVM.customer_id, '':historyVM.supplierList})}
						// 验证订单创建者是否存在
						var curUserIdIndex = -1
						curUserIdIndex = userList.findIndex(function(item){
							return item.id === orderDetails.creater_id
						})
						if(curUserIdIndex !== -1){
							sessionStorage.setItem("create_id", orderDetails.creater_id);// 创建者id
						}
						dataLegal&&sessionStorage.setItem("selectedDepot", depot_id);//仓库id
						localStorage.setItem("selStatus", 0);
						localStorage.setItem("selProductList", JSON.stringify(selProductList))//商品列表
						// sessionStorage.setItem("createDate", orderDetails.sign_date)//创建时间
						sessionStorage.removeItem("createDate")//removeItem 创建时间
						// localStorage.setItem("deliveryDate", orderDetails.delivery_date)// 交货时间
						sessionStorage.setItem("deliveryType", orderDetails.delivery_type) //发货方式
						sessionStorage.setItem("logistics_number", orderDetails.logistics_number) //单号
						sessionStorage.setItem("consignee_address", orderDetails.consignee_address) //地址
						sessionStorage.setItem("delivery_status", orderDetails.delivery_status)//发货状态
						sessionStorage.setItem("remark", orderDetails.remark)//备注
						getSelProductList('history', historyVM.orderDetails.customer_id);//设置数据
						mui('#pinPurchaseHistory')[0].style.display = "none";//隐藏历史
						mui('#xiaoDom')[0].style.display = "block";//显示销售/退货
						mui('#commoditySales').slider().gotoItem(0);//切换slider
					}
					else if(type === 'purchase'){
						// 处理销售页数据
						for (var i = 0, len = xiaoVM.selProductList.length; i < len; i++) {
							if (xiaoVM.selProductList[i].depot_id == xiaoVM.selectedDepot) {
								for (var j = 0, jen = xiaoVM.selProductList[i].list.length; j < jen; j++) {
									if (xiaoVM.selProductList[i].list[j].count != 0) {
										mui.confirm('此页面有数据未提交，离开此页将丢失数据，是否离开此页？', '提示', ["取消", "确定"], function(e) {
											if (e.index == 1) {
												goPurchase()
												initOrder()
												localStorage.removeItem("selProductList");
											}
										}, 'div');
										return false;
									}
								}
							}
						}
						goPurchase()
						function goPurchase(){
							var data = {name: 'copyProductListBySales', result: { selProductList, depot_id }}
							JumpPage.jump('caigou.html','caigou.html',function(){
								viewHandle.viewFire('caigou.html', data.name, data.result)
							})
							mui('#pinPurchaseHistory')[0].style.display = "none";//隐藏历史
							mui('#xiaoDom')[0].style.display = "block";//显示销售/退货
							mui('#commoditySales').slider().gotoItem(0);//切换slider
						}
					}
				}
			}
		}
	}
	//预加载采购页面
	if(type === 'purchase' ){
		JumpPage.preloading('caigou.html','caigou.html')
	}
}

function jifenInfo() {
	if (historyVM.jifenKT == 1 && historyVM.orderDetails.customer_id != localStorage.getItem("moRen")) {
		var info = "(新增积分 " + parseInt(historyVM.truePay / historyVM.cost_money_unit * historyVM.increase_bonus) + ")"
		$(".hisIntegral").html(info);
		$(".hisIntegral").css('display', 'block')
	} else {
		$(".hisIntegral").html('');
		$(".hisIntegral").css('display', 'none')
	}
}
mui('.mui-bar').on('tap', '.mui-history-back', function() {
	mui('#pinPurchaseHistory')[0].style.display = "none";
	mui('#xiaoDom')[0].style.display = "block";
});
//查询账户信息
/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
	return function(object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}
//关联单据
mui('#pinPurchaseHistory').on('tap', '.orderQry', function() {
	viewHandle.waiting("查询中...");
	mui.ajax(severUrl + "scm/order/qryOrderRelation.json", {
		data: {
			id: historyVM.historyId
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			viewHandle.close();
			if (res.status == 200) {
				if (res.data.dependentorder.length == 0) {
					mui.toast("没有与之关联的销售单")
				} else {
					var listSend = {};
					listSend.orderType = 'in';
					listSend.openType = 'draft';
					listSend.searchHistoryList = res.data.dependentorder;
					viewHandle.openWindow('outboundOrder.html', 'outboundOrder.html', JSON.stringify(listSend));
				}
			}
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			viewHandle.close();
		}
	});
});
//历史分享
mui('#pinPurchaseHistory').on('tap', '#shareMessage', function() {
	var content = historyVM.orderDetails.sign_date.substr(0, 16);
	var name = "<" + historyVM.company_name + ">";
	viewHandle.shareOpen(shares, historyVM.historyId, name + '销售单据分享', content + ' 销售单，点击查看')
});
