//获取当前日期
function loadNowDate(type) {
    var myDate = new Date();
    var Y = myDate.getFullYear()
    var M = (myDate.getMonth() + 1);
    var D = myDate.getDate();

    M >= 10 ? M = M : M = 0 + "" + M;
    D >= 10 ? D = D : D = 0 + "" + D;

    if (type == 1) {
        return Y + '-' + M + '-' + D;
    } else if (type == 2) {
        return Y + '-' + M + '-' + '01';
    }
}
mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        user_collection_addVM.type = arg.type;
        user_collection_addVM.userId = arg.id;
        user_collection_addVM.userName = arg.name;
        user_collection_addVM.arrears = arg.arrears;
        user_collection_addVM.jifenKT = arg.jifenKT || 0;
        user_collection_addVM.increase_bonus = arg.increase_bonus || 0;
        user_collection_addVM.cost_money_unit = arg.cost_money_unit || 0;
        if(user_collection_addVM.type == "customer"){
            $("#titleName").html("客户收款")
        }else{
            $("#titleName").html("供应商还款")
        }
        getAccountList();
        getUser()
    }
});
var user_collection_addVM = new Vue({
    el: '#user_collection_addVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        userId:'',
        userName:'',
        arrears:0,
        amt:0,
        remake:'',
        createDate:loadNowDate(1),
        accountList:[],
        account_id:'',
        account_type:'',
        realname:'',
        creater_id:'',
        createrList:[],
        type:'customer',
        //积分开通
        jifenKT:0, //积分开通
        cost_money_unit:0, //每消费 元
        increase_bonus:0, //可积 分
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    watch:{
        account_id:function(){
            mui.each(user_collection_addVM.accountList,function(i,v){
                if(v.id == user_collection_addVM.account_id){
                    user_collection_addVM.account_type = v.type
                }
            })
        }
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        save:function(){
            if(user_collection_addVM.amt == 0){
                mui.toast("请输入金额");
                return false
            }
            viewHandle.waiting("处理中请稍后...");
            var account_name = '';
            mui.each(user_collection_addVM.accountList,function(i,v){
                if(v.type == user_collection_addVM.account_type){
                    return account_name = v.name
                }
            });
            mui.ajax(severUrl + "scm/order/clearDebtAmountByCustomerId.json", {
                data: {
                    customer_id: user_collection_addVM.userId,
                    clear_money: user_collection_addVM.amt,
                    account_type: user_collection_addVM.account_type,
                    account_name: account_name
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    if(res.success){
                        var list = res.data;
                        var relation_order = list.join(';');
                        console.log(relation_order);
                        var changeinteral = 0;
                        if(user_collection_addVM.jifenKT ==1 && user_collection_addVM.type == "customer"){
                            changeinteral = parseInt(user_collection_addVM.amt/user_collection_addVM.cost_money_unit * user_collection_addVM.increase_bonus)
                        }
                        mui.ajax(severUrl + "fa/customerHistory/save.json", {
                            data: {
                                customer_id: user_collection_addVM.userId,
                                amt: user_collection_addVM.amt, // 和 清欠时 clear_money: 100 保持一直
                                remark:user_collection_addVM.remake,
                                creater_id: user_collection_addVM.creater_id,
                                account_id: user_collection_addVM.account_id,// 目前现金
                                account_type: user_collection_addVM.account_type,
                                changeinteral:changeinteral,
                                relation_order: relation_order, // 不要有空格
                                create_datetime: user_collection_addVM.createDate
                            },
                            headers: {
                                'Content-Type': 'application/x-www-form-urlencoded'
                            },
                            xhrFields: {
                                withCredentials: true
                            },
                            dataType: 'json',
                            type: 'post',
                            timeout: 10000,
                            success: function (res) {
                                mui.toast(res.msg);
                                viewHandle.close();
                                if(res.success){
                                    setTimeout(function(){
                                        viewHandle.viewFire('user_collection.html','addBack');
                                        viewHandle.back('close')
                                    },500)
                                }else{

                                }
                            }
                        });
                    }else{
                        viewHandle.close();
                        mui.toast(res.msg)
                    }
                }
            });
        }
    },
    computed:{
        typeName:function(){
            if(this.type == 'customer'){
                return '客户'
            }else{
                return '供应商'
            }
        },
        collectionName:function(){
            if(this.type == 'customer'){
                return '收款'
            }else{
                return '还款'
            }
        }
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
function getAccountList(){
    mui.ajax(severUrl + "fa/account/list.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                user_collection_addVM.accountList = res.data;
                if(user_collection_addVM.accountList.length>0){
                    var isChoose = false;
                    mui.each(user_collection_addVM.accountList,function(i,v){
                        if(v.is_default == 1){
                            isChoose = true;
                            user_collection_addVM.account_id = v.id;
                            user_collection_addVM.account_type = v.type;
                            return false;
                        }
                    })
                    if(!isChoose){
                        user_collection_addVM.account_id = res.data[0].id;
                        user_collection_addVM.account_type = res.data[0].type;
                    }
                }
            }
        }
    });
}
function getUser(){
    mui.ajax(severUrl + "sso/user/qryOp.json", {
        data: {
            id: ""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                user_collection_addVM.realname = res.data.realname;
                user_collection_addVM.creater_id = res.data.id;
                if(user_collection_addVM.positionName){
                    getAllUser()
                }
            }
        }
    });
}
function getAllUser() {
    mui.ajax(severUrl + "sso/user/dataAll.json",{
        data: {
            id: ""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        async:false,
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function(res) {
            if (res.msg) {
                user_collection_addVM.createrList = res.data;
            }
        }
    });
}
var dYear=new Date().getFullYear() ;
var dMonth=new Date().getMonth();
var dDay=new Date().getDate();
var createDate = new mui.DtPicker({
    type: "date",
    endDate: new Date(dYear, dMonth, dDay),//设置结束日期
    labels: ['年', '月', '日']
});
mui('body').on('tap', '.createDate', function () {
    var _self = this;
    createDate.show(function (e) {
        user_collection_addVM.createDate = e.text;
    })
});
mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
