mui.init({
    gestureConfig:{
        longtap:true//默认为false，不监听
    }
});
function loadNowDate(type) {
    var myDate = new Date();
    var Y = myDate.getFullYear();
    var M = (myDate.getMonth() + 1);
    var D = myDate.getDate();

    M >= 10 ? M = M : M = 0 + "" + M;
    D >= 10 ? D = D : D = 0 + "" + D;

    if (type == 1) {
        return Y + '-' + M + '-' + D;
    } else if (type == 2) {
        return Y + '-' + M + '-' + '01';
    }

}
var page=1;
var qryProduct = true;
mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        user_collection_historyVM.userId = arg.id;
        user_collection_historyVM.type = arg.type;
        user_collection_historyVM.userName = arg.name;
        user_collection_historyVM.begin_arrears = arg.begin_arrears || 0;
        if(user_collection_historyVM.type == "customer"){
            $("#userName").html("收款历史 "+arg.name)
        }else{
            $("#userName").html("还款历史 "+arg.name)
        }
        user_collection_historyVM.dateFirst = loadNowDate(2);
        user_collection_historyVM.dateLast = loadNowDate(1);
        getList(1)
    }
});
var backEdit = false;
window.addEventListener("deleteBack",function(e){
    deleteBackUpdate(e.detail.id);
    backEdit = true;
})
var user_collection_historyVM = new Vue({
    el: '#user_collection_historyVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        userId:'',
        type:'',
        userName:'',
        begin_arrears:0,
        list:[],
        dateFirst:'',
        dateLast:'',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        litsInfo:function(item){
            var listSend = {};
            if(item.fa_order_type==0){
                listSend.type = user_collection_historyVM.type;
                listSend.info = item;
                viewHandle.openWindow('user_collection_history_info.html','user_collection_history_info.html',JSON.stringify(listSend))
            }else{
                if(item.is_deleted !=0){
                    return mui.toast("单据不存在,长按删除")
                }
                listSend.id = item.relation_order;
                if(user_collection_historyVM.type == "customer"){
                    listSend.type = 'customer';
                }else{
                    listSend.type = 'supplier';
                }
                viewHandle.viewFire('customerDebets.html','customerDebets',listSend);
                viewHandle.openWindow('../customerDebets.html','customerDebets.html',JSON.stringify(listSend))
            }
        },
        del_order:function(item,index){
            mui.confirm('确认删除该单据？', '提示', ["取消","确定"], function (e) {
                if (e.index == 1) {
                    mui.ajax(severUrl + "fa/customerHistory/deletedById.json", {
                        data : {
                            id : item.id
                        },
                        headers : {
                            'Content-Type' : 'application/x-www-form-urlencoded'
                        },
                        xhrFields : {
                            withCredentials : true
                        },
                        dataType : 'json',
                        type : 'post',
                        timeout : 30000,
                        success : function(res) {
                            if (res.success) {
                                user_collection_historyVM.list.splice(index,1)
                            }
                            mui.toast(res.msg)
                        }
                    });
                }
            },'div')
        }
    },
    computed:{
        collectionName:function(){
            if(this.type == 'customer'){
                return '收款'
            }else{
                return '还款'
            }
        },
        listTitle:function(){
            if(this.type == 'customer'){
                return '收前'
            }else{
                return '还前'
            }
        }
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
var data = {
    num: 0,
    startY: '',
    moveEndY: '',
    isLoading: true
};
function getList(index){
    qryProduct = false; //禁止短时间多次查询
    if(index !=''){
        page=index;
        user_collection_historyVM.list = []
    }
    mui.ajax(severUrl + "fa/customerHistory/dataGrid.json", {
        data: {
            rows : 15,
            page : page,
            customer_type:user_collection_historyVM.type == 'customer'?1:0,
            start_date: user_collection_historyVM.dateFirst,
            end_date: user_collection_historyVM.dateLast,
            customer_id: user_collection_historyVM.userId
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                mui(".mui-pull-caption")[0].style.display = "block";
                mui('.mui-scroll-wrapper').scroll({
                    deceleration: 0.0005, //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值 0.0006
                });
                var totalPage=res.data.totalPage;
                user_collection_historyVM.list=user_collection_historyVM.list.concat(res.data.list);
                /*分页处理*/
                if(page<totalPage){
                    setTimeout(function(){
                        qryProduct = true;
                        data.isLoading = true;
                        $('.mui-pull-caption').text('上拉加载更多')
                        page++;
                    },1500)
                }else{
                    data.isLoading = false;
                    $('.mui-pull-caption').text('没有更多数据了')
                }
            }else{
                mui.toast(res.msg)
            }
        }
    });
}
function deleteBackUpdate(id){
    mui.each(user_collection_historyVM.list,function(i,v){
        if(v.id == id){
            v.is_deleted = 1;
            return false
        }
    })
}


/*分页处理*/
// 上拉加载
$(document).on('touchstart','#upFresh', function(e) {
    // e.preventDefault();
    data.startY = e.originalEvent.changedTouches[0].pageY;
});
$(document).on('touchmove', '#upFresh',function(e) {
    // e.preventDefault();
    data.moveEndY = e.originalEvent.changedTouches[0].pageY
    Y = data.startY - data.moveEndY;
    if(Y>80){
        upLoading()
    }
});
function upLoading(){
    var scroll = mui('#pullrefresh').scroll();
    var scrollTop = scroll.y;
    //判断滚动到底部之下
    if(scrollTop < scroll.maxScrollY){
        if( data.isLoading === false || qryProduct == false){
            return
        }else{
            $('.mui-pull-caption').text('玩命加载中...')
            getList('')
        }
    }
}


var dateFirst = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});
var dateLast = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});
mui('body').on('tap', '.dateFirst', function () {
    var _self = this;
    dateFirst.show(function (e) {
        user_collection_historyVM.dateFirst = e.text;
    })
});
mui('body').on('tap', '.dateLast', function () {
    var _self = this;
    dateLast.show(function (e) {
        user_collection_historyVM.dateLast = e.text;
    })
});

mui('body').on('tap','.btn-chaxun',function(){
    getList(1)
});
mui('body').on('tap','.muiBack',function(){
    if(backEdit){
        var listSend = {};
        listSend.type = user_collection_historyVM.type;
        viewHandle.viewFire('user_collection.html','addBack',JSON.stringify(listSend))
    }
    viewHandle.back('close')
});
