var associatRecordVM = new Vue({
    el: '#associatRecordVM',
    data: {
        listInfo:[],
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        delete_jump:function(item){ //删除跳转
            var listSend = {};
            switch (item.record_type) {
                case 1:
                case 2:
                case 3:
                case 4:
                case 5:
                case 6:
                    listSend.id = item.order_id;
                    listSend.type =(item.record_type == 1 || item.record_type == 2 || item.record_type == 3 )?'supplier':'customer';
                    listSend.htmlType = 'associatRecord';
                    if(item.record_type == 2 || item.record_type == 3 || item.record_type == 5 || item.record_type == 6){
                        if(item.record_type == 2 || item.record_type == 5){
                            listSend.openType = 'associatRecord'
                        }
                        listSend.delOperation = true
                    }
                    viewHandle.viewFire('customerDebets.html','customerDebets',listSend);
                    viewHandle.openWindow('customerDebets.html','customerDebets.html',JSON.stringify(listSend));
                    break;
                case 7:
                case 8:
                    listSend.realname = item.creater_name;
                    listSend.histDetail_id = item.id;
                    listSend.htmlType = 'associatRecord';
                    if(item.record_type == 8){
                        listSend.delOperation = true;
                    }
                    viewHandle.viewFire('historyXQ.html','historyXQ',listSend);
                    viewHandle.openWindow('historyXQ.html','historyXQ.html',JSON.stringify(listSend));
                    break;
                case 9:
                    listSend.realname = item.creater_name;
                    listSend.alltDetail_id = item.id;
                    listSend.htmlType = 'associatRecord';
                    viewHandle.viewFire('allocationXQ.html','allocationXQ',listSend);
                    viewHandle.openWindow('allocationXQ.html','allocationXQ.html',JSON.stringify(listSend));
                    break;
            }
        },
        product_del:function (item) {
            var _this = this;
            mui.confirm("是否确认删除？", "提示", ["取消", "确定"], function (e) {
                if (e.index == 1 && buttonClick) {
                    buttonClick = false;
                    var url = ''
                    if (item.record_type == 8) {
                        url = 'scm/stockCheck/del.json'
                    } else {
                        url = 'scm/order/del.json'
                    }
                    del(url)
                }
            }, 'div')
            function del(val) {
                mui.ajax(severUrl + val, {
                    data: {
                        id: item.order_id || item.id,
                    },
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 60000,
                    success: function (res) {
                        if (res.success) {
                            mui.toast(res.msg);
                            setTimeout(function () {
                                buttonClick = true;
                                _this.delete_splice((item.order_id || item.id),item.record_type)
                            }, 500);
                        } else {
                            buttonClick = true;
                            mui.toast(res.msg);
                        }
                    }
                });
            }
        },
        delete_splice:function(id,type){
            var _this = this;
            mui.each(_this.listInfo,function(i,v){
                if(type !=''){
                    if((v.id == id || v.order_id == id) && v.record_type == type){
                        _this.listInfo.splice(i,1);
                        return false
                    }
                }else{
                    if(v.id == id || v.order_id == id){
                        _this.listInfo.splice(i,1);
                        return false
                    }
                }
            })
        }
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            var arg = plus.webview.currentWebview().arg;
            if(arg){
                arg = JSON.parse(arg);
                _this.listInfo = arg.list
                console.log(_this.listInfo)
            }
            //_this.getPurview()
        })
        window.addEventListener('product_update',function(e){
            mui.each(_this.listInfo,function(i,v){
                 if(v.order_id == e.detail.id){
                      if(v.record_type == 1){
                          v.record_type = 3
                      }else if(v.record_type == 4){
                          v.record_type = 6
                      }
                      return false
                 }
            })
        })
        window.addEventListener('product_del',function(e){
            _this.delete_splice(e.detail.id,(e.detail.type || ''))
        })
    }
});

mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
