Vue.filter("time-format", function (time) {
	var date = new Date(time.replace(/-/g, "/"));
	var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate()) + " " + (date.getHours() < 10 ? "0" + date.getHours() : date.getHours()) + ":" + (date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes());
	return newDate;
});

Vue.filter("searchTime-format", function (time) {
	var date = new Date(time);
	var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	return newDate;
});
String.prototype.compare = function(str) {
	//不区分大小写
	if(this.toLowerCase().indexOf(str.toLowerCase()) >=0) {
		return true;
	} else {
		return false;
	}
}
// 商品数量选择加载按钮刷新
window.onload=function(){
	let list=document.getElementsByClassName('tabItemContent')[0];
	if(list){
		mui('#confirmBtn').button('reset');
	}
}
window.addEventListener('editRefresh',function(e){ //颜色尺码选择后刷新
	loadProductDtsInfo(e.detail.id);
	getGoodsMenu();
	kufang()
});
window.addEventListener("orderAdd",function(){
	getSelProductList()
});
window.addEventListener("set_back",function(e){ //未支持不同类型
	var product_id = e.detail.product_id,item = e.detail.item,product_sn_list = e.detail.product_sn_list;
	product_sn_list = _.compact(product_sn_list)
	if(mui.os.ios){
		mui.plusReady(function(){
			setTimeout(function(){
				snsAdd()
			},200)
		})
	}else{
		snsAdd()
	}
	function snsAdd(){
		sessionStorage.removeItem("selProductList");
		var selProductList = JSON.parse(localStorage.getItem("selProductList"));
		if (selProductList) {
			mui.each(selProductList,function(sel,product){
				if(product.product_id == product_id){
					mui.each(product.list,function(pro,list){
						// if (!list.hasOwnProperty('type')) {
						// 	list.type = 0;
						// }
						if(list.color_id == item.color_id && list.size_id == item.size_id){
							return list.product_sn_list = product_sn_list || [];
							// list.product_sn_list = product_sn_list || [];
						}
					})
					return false
				}
			});
			indexVM.selProductList = [];
			indexVM.selProductList = selProductList;
			localStorage.selProductList = JSON.stringify(selProductList)
		}
	}
})
window.addEventListener('vipOrder',function(e){ //高级版开单
	vip_newCreateOrder()
});
window.addEventListener('supplerUpdate',function(e){ //供应商创建后刷新
	sessionStorage.setItem("selectedSupplier",e.detail.selectedSupplier);
    indexVM.accountBalance = 0;
    getSupplier(e.detail.selectedBuyer,e.detail.selectedBuyerName);
});
window.addEventListener('depotUpdate',function(e){
	var update_id = e.detail.id || '';
	if(update_id != ''){
		sessionStorage.setItem("selectedDepot",update_id)
	}
	getDepot()
});
window.addEventListener("supplierRefresh",function(e){ //供应商创建刷新(全局)
	sessionStorage.removeItem("selectedSupplier");
	localStorage.removeItem("caiPageAction");
	indexVM.accountBalance = 'default';
	getSupplier()
});
window.addEventListener("draftBack",function(e){
	if(e.detail.formType == 'draft'){
		if (indexVM.cgDateFirst != '' || indexVM.cgDateLast != '') {
			searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast);
		} else {
			var date = new Date(indexVM.draftTime);
			var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
			searchEnterDraft(searchTime, searchTime);
		}
	}else{
		mui.each(indexVM.searchEnterDraftList,function(i,v){
			if(v.id == e.detail.id){
				if(indexVM.vipLevel !=1){
					indexVM.searchEnterDraftList.splice(i,1)
				}else{
					if(!e.detail.backType){
						v.all_draft_used_amount = v.all_draft_amount
					}else{
						if(v.all_draft_used_amount == 0){
							v.all_draft_used_amount = 1
						}else{
							if(v.all_draft_used_amount == 0){
								v.all_draft_used_amount = 1 //模拟数据
							}else{
								v.all_draft_used_amount -=1 //模拟数据
							}
						}
					}
				}
				return false
			}
		})
	}
});
// copyProductListBySales
window.addEventListener('copyProductListBySales', function(event) {
	mui('#commodityInto').slider().gotoItem(0);
	var selProductList = event.detail.selProductList
	//更新 采购与退货状态
	selProductList.map(function(item){
		item.list.map(function(item){
			item.ordertype = item.type
		})
	})
	console.debug('xiao', selProductList)
	var depot_id = event.detail.depot_id
	localStorage.setItem("selStatus", '0')
	localStorage.setItem('selProductList', JSON.stringify(selProductList))
	sessionStorage.setItem("selectedDepot", depot_id)
	getSelProductList()
});
// 更新销售历史序列号
window.addEventListener('updateSN', function () {
	console.debug('触发updateSN监听')
	historyVM.loadOrderInfo(historyVM.historyId)
})
function defaultParameters(){
	getDepot()
	getUser()
	var messageNum = localStorage.getItem("messageNum") || 0;
	if(messageNum && messageNum >0){
		$(".showPoint").html(messageNum)
	}else{
		$(".showPoint").removeClass("showPoint")
	}
}
//获取当前日期
function loadNowDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear()
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();

	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
//获取当前时间前三月
function loadBeforeMarchDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();
	if(M - 3>=0){
		M-=3
	}else{
		Y-=1;
		M=12 - (3-M)
	}
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
//格式化指定时间
function getMyData(val){
	var d = new Date(val);
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth()+1;
	var day = d.getDate();
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return(s);
}
var dikou_amt = false,keyList = [];

//处理 copy 后 时间被修改 恢复当前时分秒
var isDateCopy;

function getKeyList(){
	mui.ajax(severUrl + "scm/productother/dataGrid.json", {
		async:false,
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 10000,//超时时间设置为10秒；
		success: function (res) {
			if(res.success){
				keyList = res.data.list;
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
}
getPrintCodeText()
function getPrintCodeText(){
	var systemSetting=JSON.parse(localStorage.systemSetting)
	var vipLevel=localStorage.getItem("vipLevel")
	if(vipLevel == 1 && systemSetting.sn_setting == 1){
		mui("#printBarcode")[0].innerText='打印序列号'
	}else{
		mui("#printBarcode")[0].innerText='打印条码'
	}
}
var simpleQryTime = 0;//跳转
var indexVM = new Vue({
	el: '#indexVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		list: [],
		originalList: [],
		productList: [],
		totalPage: 0,
		lastPageSize: 0,
		page: 0,
		getSwitch: true,
		searchMsg: "",
		searchList: [],
		searchEnterHistoryList: [],
		showWarn: false,
		searchEnterDraftList: [],
		searchPinHistoryList: [],
		searchPinDraftList: [],
		selectedDepot: '',
		selectedSupplier: '',
		selectedBuyer: '',
		depotList: [],
		buyerList: [],
		userList:[],
		supplierList: [],
		historyId:'',
		historyTime: '',
		draftTime: '',
		todayDate: '',
		remark: '',
		selProductList: [],
		totalPrice: 0,
		editTotalPrice:0,
        reconTotal:0,
		totalAmount: 0,
		lsTotalPrice: 0,
		lsTotalAmount: 0,
		billCount:0,
		cgTotalPrice: 0,
		cgTotalAmount: 0,
		createDate: '',
		lsDateFirst: '',
		lsDateLast: '',
		cgDateFirst: loadBeforeMarchDate(1),
		cgDateLast: '',
		realname: '',
		moLing: 0,
		itl: '',
		isLogin: false,
		pageTabId: 'present',
		pay_status: 1,//1为现金、2为支付宝、3为微信，默认为1
		account_id:'', //支付账户
		ScgTotalPrice: 0,
		ScgTotalAmount: 0,
		money: 0,
		zfb: 0,
		wx: 0,
		card: 0,
		qt: 0,
		// 欠款
		all_debt_amt: 0,
		option_id: document.getElementsByTagName("select")[0].value,
		loadNowDate: loadNowDate(1),
		depotName: '',
		supplierName: '',
		// truePay: 0,
		// noPay: 0,
		truePay: '',
		noPay: '',
		isEnter: false,
		isPay: true,
		deliveryType: 0,
		deliveryStatus: 1,
		deliveryName: '自提',
		deliveryStatusName: '已收',
		deliveryDate: loadNowDate(1),
		companyName: '',
		keyList: keyList,
        status: 0,
		//消息显示
		messageShow: localStorage.getItem("qryType") || 0,
		messageNum: localStorage.getItem("messageNum") || 0,
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		logistics_number:sessionStorage.getItem("logistics_number") || '', //快递单号
		industryName:'综合',
		consignee_address:'',
		expenseName:'', //费用名称
		expense:0, //费用金额
		expenseId:0, //历史费用ID
		expenseDegression:0, //费用成本
        expenseList:[],
		his_click:'', //历史列表点击
		//结算账户查询
		accountList:[],
		orderInfoList:[],
		vipLevel:localStorage.getItem("vipLevel"),
		accountBalance:'default', //欠款
		truePayFirst:true, //帮助抵扣处理
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		//筛选操作
		searchHistoryListAll:[],
		his_search_show:false,
		his_search:'',
		timeSearchType:'D',
		qry_depot:-1,
		qry_delivery_status:-1,
		qry_pay_status:-1,
		his_pay_status:[
			{type:-1,name:"所有"},
			{type:0,name:"全欠"},
			{type:1,name:"部分欠款"},
			{type:2,name:"已结清"},
		],
		his_delivery_status:[
			{type:-1,name:"所有"},
			{type:0,name:"未发"},
			{type:1,name:"已发"},
		],
		his_category_data: { //操作参数记录
			depot_show: 1,
			depot_id: -1,
			pay_show:1,
			pay_type:-1,
			delivery_show:1,
			delivery_type:-1,
		},
		//订单
		searchDraftListAll:[],
		draft_search:'',
		draftTimeSearchType:'D',
		draft_qry_depot:-1,
		draft_used_type:3, //1和2
		draft_used_amount_list:[ //后端未有参数定义(两个参数对比)，前端自定义
			{type:-1,name:"所有"},
			{type:0,name:"已出库"},
			{type:1,name:"未出库"},
			{type:2,name:"部分出库"},
		],
		draft_category_data: { //操作参数记录
			depot_show: 1,
			depot_id: -1,
			used_amount_show:1,
			used_type:3
		},
	},
	watch: {
		selectedDepot: {
			handler: function (newVal) {
				if (newVal == "创建") {
					var listSend ={}
					listSend.fromType = 'caigou';
					viewHandle.openWindow( 'warehouseSettings.html','warehouseSettings.html',JSON.stringify(listSend));
				} else {
					for (var i = 0, len = this.depotList.length; i < len; i++) {
						if (this.depotList[i].id == newVal) {
							this.depotName = this.depotList[i].name;
						}
					}
					getSelProductList();
				}
			},
		},
		createDate: {//开单时间
			handler: function (val) {
				var time=getMyData(val);
				var nowTime=loadNowDate(1);
				if(time>nowTime){
					mui.toast('开单时间大于当前时间')
				}

			},
		},
        truePay: function (val) {
            if (this.totalPrice > 0) {
                this.noPay = numToCur(this.totalPrice - (Number(this.truePay) + Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            } else {
                this.noPay = numToCur(this.totalPrice - (Number(this.truePay) - Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            }
			if (this.truePay!=0){
				$(".quanQian").css('background-color','#556890')
			}else if (this.truePay==0 && this.totalPrice !=0 && (this.totalPrice != this.moLing && Math.abs(this.totalPrice) !=this.moLing)){
				$(".quanQian").css('background-color','gainsboro')
			}
			if(this.accountBalance != 'default' && this.truePayFirst){
				if(Number(this.accountBalance) <0){
					if(this.editTotalPrice > 0){
						if(-Number(this.accountBalance) >= Number(this.editTotalPrice)){
							this.truePay = 0
						}else{
							this.truePay = numToCur(Number(this.accountBalance) + Number(this.editTotalPrice),indexVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}else{
					if(this.editTotalPrice < 0){
						if(Number(this.accountBalance) >= -Number(this.editTotalPrice)){
							this.truePay = 0
						}else{
							this.truePay = numToCur(Number(this.accountBalance) + Number(this.editTotalPrice),indexVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}
			}
			if((!mui("#truePay")[0] || mui("#truePay")[0].value != '') && (Number(this.truePay) == 0 || isNaN(this.truePay))){
				this.truePay = '0.00'
			}
        },
        moLing: function (val) {
            if (this.totalPrice > 0) {
                this.truePay = numToCur(this.totalPrice - (Number(this.noPay) + Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            } else {
                this.truePay = numToCur(this.totalPrice - (Number(this.noPay) - Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            }
        },
        noPay: function (val) {
            if (this.totalPrice > 0) {
                this.truePay = numToCur(this.totalPrice - (Number(this.noPay) + Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            } else {
                this.truePay = numToCur(this.totalPrice - (Number(this.noPay) - Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            }
			if((!mui("#noPay")[0] || mui("#noPay")[0].value != '') && (Number(this.noPay) == 0 || isNaN(this.noPay))){
				this.noPay = '0.00'
			}
        },
		deliveryType: function (val) {
			var arr = ['自提', '快递', '物流', '送货'];
			this.deliveryName = arr[val];
			var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
			if(this.deliveryType !=0 && this.consignee_address ==''){
				if(!isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(43px, 0px)")
				}
			}else{
				if(isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(0px, 0px)")
				}
			}
		},
		logistics_number:function(val){
			var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
			if(val != ''){
				if(isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(0px, 0px)")
				}
			}else{
				if(!isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(43px, 0px)")
				}
			}
		},
		changePayType: function (payType) {
			this.pay_status = payType;
		}
	},
	computed:{
		sns_show:function(){
			var _this = this;
			return function(snsArr,count){
				if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
					if(snsArr && snsArr.length > 0 && count != '' && count > 0 && snsArr.length == count){
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					}else{
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				}else{
					return ''
				}
			}
		}
	},
	methods: {
		snsSet:function(item,product,e){
			// 点击序列号图标放大
			e.target.style.fontSize='18px'
			setTimeout(function(){
				e.target.style.fontSize='16px'
			},80)
			var listSend = {
				item:item,
				product:product,
				args:{
					depot_id:indexVM.selectedDepot,
					parentPage:'cai'
				}
			};
			viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;

						if(_this.company_id!='L0Jx' && _this.company_id!='Gr9A'){
							$("#go_shopping").css('display', 'block');
						}

						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}else if (res.status == 10101 || res.status == 10102) {
						logOut(res.msg)
					}

				}
			});
		},
        searchProduct: function(){
            if(this.searchMsg==null || this.searchMsg==''){
                indexVM.list=[];
                mui("#popover").popover("hide");
                $("#hidePopover").css('display','none');
            }else{
            	clearTimeout(simpleQryTime);
				simpleQryTime = setTimeout(function(){
					mui.ajax(severUrl + "scm/product/dataGridSimple", {
						data: {
							keyword:indexVM.searchMsg
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json',
						type: 'post',
						timeout: 10000,
						success: function (res) {
							if (res.success) {
								indexVM.list = [];
								if(indexVM.searchMsg !='' && indexVM.searchMsg !=null){
									indexVM.list = indexVM.list.concat(res.data.list);
									if(indexVM.list.length<=0){
										var list={"model":"去创建商品？"};
										indexVM.list.push(list);
									}
									mui("#popover").popover("show");
									$("#hidePopover").css('display','block');
								}
							}
						}
					});
				},150)
            }
        },
		clearUser:function(){
			this.supplierName='';
			this.searchUser();
		},
        qryCustomerBySimple:function(type){
            clearTimeout(simpleQryTime)
            simpleQryTime = setTimeout(function () {
                mui.ajax(severUrl + "crm/customer/dataGridSimple.json", {
                    data: {
                        keyword:indexVM.supplierName,
                        type: 0,
                        qryType: -1,
                        rows: 20,
                        page: 1
                    },
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    success: function (res) {
                        if (res.success) {
                            indexVM.userList = res.data.list;
                            var list={"name":"新建供应商？","telephone":""};
                            if(type == 'search'){
                                indexVM.userList.push(list);
                            }else{
                                indexVM.userList.unshift(list);
                            }
                            mui("#hideUserPopover").scroll().scrollTo(0,0,0);
                            mui("#userPopover").popover("show");
                            $("#hideUserPopover").css('display','block');
                        }
                    }
                });
            },150)
        },
        searchUser:function(){
            var _this = this;
            _this.userList=[];
            if(_this.supplierName==null || _this.supplierName==''){
                _this.qryCustomerBySimple()
            }else{
                _this.qryCustomerBySimple("search")
            }
        },
		calculation: function () {
			var count = 0;
			var totalPrice = 0;
			mui.each(this.selProductList, function (index1, product) {
				if (product.depot_id == indexVM.selectedDepot) {
					mui.each(product.list, function (index2, value) {
						var ratio = 1;
						if(product.unitChooseRatio){
							ratio = product.unitChooseRatio
						}
						if (value.ordertype == 0) {
							// totalPrice += Number(value.count * product.amt * ratio);
							totalPrice += Number(value.count * product.amt);
							count += Number(value.count * ratio);
						} else {
							// totalPrice -=  Number(value.count * product.amt * ratio);
							totalPrice -=  Number(value.count * product.amt);
							count -= Number(value.count * ratio);
						}
					});
				}
			});
			this.totalAmount =numToCur(count,indexVM.systemSetting.amount_decimals_setting);
			this.totalPrice = numToCur(Number(totalPrice) + Number(this.expense),indexVM.systemSetting.price_decimals_setting,'price');
			if (this.totalPrice < 0) {
				this.truePay = Number(this.totalPrice) + Number(this.moLing);
				this.editTotalPrice = numToCur(Number(this.totalPrice) + Number(this.moLing),indexVM.systemSetting.price_decimals_setting,'price');
			} else {
				this.truePay = Number(this.totalPrice) - Number(this.moLing);
				this.editTotalPrice = numToCur(Number(this.totalPrice) - Number(this.moLing),indexVM.systemSetting.price_decimals_setting,'price');
			}
		},
		calculationls: function () {
			var _this = this;
			var count = 0;
			var totalPrice = 0;
			var num = 0;

			mui.each(this.searchEnterHistoryList, function (index, order) {
				if(order.submit_status !=2){
					// 计算数量
					if (order.in_amount > 0 && order.out_amount == 0) {
						num += order.in_amount;
					}

					if (order.out_amount > 0 && order.in_amount == 0) {
						num += -(order.out_amount);
					}

					if (order.out_amount > 0 && order.in_amount > 0) {
						num += order.in_amount + -(order.out_amount);
					}

					// 计算总额
					if (order.order_amt >= 0) {
						totalPrice += order.order_amt - order.rebate_amt;
					} else {
						totalPrice += order.order_amt + order.rebate_amt;
					}

					count++
				}
			});
			
			this.billCount=count
			this.lsTotalAmount = num;
			this.lsTotalPrice = numToCur(totalPrice,indexVM.systemSetting.price_decimals_setting,'price');
		},
		calculationcg: function () {
			var count = 0;
			var totalPrice = 0;
			mui.each(this.searchEnterDraftList, function (index, order) {
				if (order.out_amount > 0) {
					count += order.in_amount + (-order.out_amount);
				} else {
					count += (order.in_amount + order.out_amount);
				}

				totalPrice += (order.order_amt - order.rebate_amt);
			});
			this.cgTotalAmount = count;
			this.cgTotalPrice = numToCur(totalPrice,indexVM.systemSetting.price_decimals_setting,'price');
		},
		sortModel: function (product) {
			var commonPurchaseList = JSON.parse(localStorage.getItem("commonPurchaseList"));
			if (commonPurchaseList) {
				mui.each(commonPurchaseList, function (index, pdu) {
					if (pdu.model == product.model) {
						pdu.count++;
						return false;
					}
					if (index == commonPurchaseList.length - 1) {
						commonPurchaseList.push({ model: product.model, count: 1 });
					}
				});
			} else {
				commonPurchaseList = [];
				commonPurchaseList.push({ model: product.model, count: 1 });
			}
			commonPurchaseList.sort(function (a, b) {
				return a.count - b.count
			})

			localStorage.setItem("commonPurchaseList", JSON.stringify(commonPurchaseList));
		}
	},
	created: function () {
        if(mui.os.ios == true && sessionStorage.getItem("reloadPage") == 1){
            sessionStorage.removeItem("reloadPage");
            location.reload();
        }
		FastClick.attach(document.getElementById("goodsColorSize"));
		var selProductList=JSON.parse(localStorage.getItem("selProductList"));
		if(!selProductList){
			sessionStorage.removeItem("AB_purchase")
		}else if(selProductList.length <=0){
			sessionStorage.removeItem("AB_purchase")
		}
		this.pageTabId = localStorage.getItem("pageTabId") || "present";
		sessionStorage.removeItem("pageTabId");
        sessionStorage.setItem("pageCode",'1');
	},
	mounted: function () {
	    var _this = this;
		setListener();
		localStorage.removeItem("caiPageAction");
        var src=localStorage.getItem("shopPicture");
        $(".myUserImgBox").attr("src",src);
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $(".focusHidden").hide();
                } else {
                    $(".focusHidden").show();
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        })
		mui.plusReady(function(){
			getIndexMenu();
			getKeyList();
            _this.getPurview()
			getAccountList()
		})
	}
});
mui('#caigouDom').on('tap', '#phUpload', function() {
    mui('#picture').popover('toggle');
	$("#pictureHide").show()
});
mui('#picture').on('tap', '.photo', function() {
//downWgt()
	var type = this.dataset.phototype;
	switch (type){
		case "photoAlbum":
			clickGallery();
			break;
		case "photograph":
			clickCamera();
			break;
	}
	$("#pictureHide").hide();
	mui('#picture').popover('toggle')
});
function getDirection(localUrl,name,fileName){
	var img=document.createElement("img");
	if(mui.os.ios){
		prepareUpload(localUrl,name,type,fileName,'',img.width)
	}else{
		var direction = 0;
		img.src = localUrl;
		img.onload = function(){
			EXIF.getData(img,function(){
				direction = EXIF.getTag(this, 'Orientation');
				switch (direction) {
					case 1: //0
						break;
					case 6: //->90
						direction = 90;
						break;
					case 8: //<-90
						direction = 270;
						break;
					case 3: //180
						direction = 180;
						break;
				}
				prepareUpload(localUrl,name,fileName,direction,img.width)
			})
		}
	}
}
//发送照片
function clickGallery() {
	plus.gallery.pick(function(path) {
		var name = (new Date()).valueOf()
		var fileName = 'gallery';
		getDirection(path,name,fileName)
	}, function(err) {

	});
}
// 拍照
function clickCamera() {
	var cmr = plus.camera.getCamera();
	var res = cmr.supportedImageResolutions[0]; //分辨率
	var fmt = cmr.supportedImageFormats[0]; //拍照格式
	cmr.captureImage(function(path) {
		plus.io.resolveLocalFileSystemURL(path, function(entry) {
			var name = (new Date()).valueOf()
			var localUrl = entry.toLocalURL();
			var fileName = 'camera';
			getDirection(localUrl,name,fileName)
		});
	}, function(err) {
		// console.error("拍照失败：" + err.message);
	}, {
		index: 1,
		optimize:false //自动调整图片方向
	});
}
function prepareUpload(localUrl,name,fileName,direction,width){
	var data = {};
	if(width && Number(width) <1080){
		data = {
			src: localUrl,
			dst: "_doc/zhijianjxc/"+fileName+"/"+ name+".jpg",
			quality: 40,
			rotate:direction || 0,
			overwrite: true
		}
	}else{
		data = {
			src: localUrl,
			dst: "_doc/zhijianjxc/"+fileName+"/"+ name+".jpg",
			quality: 40,
			width:'1080px',
			height:'1080px',
			rotate:direction || 0,
			overwrite: true
		}
	}
	plus.zip.compressImage(data, function(e) {
		$("#phUpload").attr('src',e.target);
		viewHandle.fileUpload(e.target,null,null,null,'head')
	}, function(err) {
		mui.toast("图片压缩失败,无法上传！")
	});
}
//商品列表
mui(".typeSwitch").on('tap', '.productList', function () {
    sessionStorage.setItem("selectedDepot", indexVM.selectedDepot);/*depotList仓库列表中的id*/
    sessionStorage.setItem("selectedSupplier", indexVM.selectedSupplier);
    sessionStorage.setItem("selectedBuyer", indexVM.selectedBuyer);
    sessionStorage.setItem("createDate", indexVM.createDate);
    sessionStorage.setItem("deliveryDate", indexVM.deliveryDate);
    sessionStorage.setItem("deliveryType", indexVM.deliveryType);
    sessionStorage.setItem("remark", indexVM.remark);
	localStorage.setItem("pageTabId", "present");
	sessionStorage.setItem("logistics_number", indexVM.logistics_number);
    sessionStorage.setItem("buyerName",indexVM.buyerName);
	var listSend = {
		selectedDepot:indexVM.selectedDepot
	};
	viewHandle.viewFire("pinProductList.html",'depot',listSend);
	viewHandle.openWindow("pinProductList.html","pinProductList.html",JSON.stringify(listSend));
});
function getSelProductList(val,customer_id) {
    if(mui.os.ios){
        mui.plusReady(function(){
            setTimeout(function(){
                htmlRender()
            },200)
        })
    }else{
        htmlRender()
    }
    function htmlRender(){
        sessionStorage.removeItem("selProductList");
        var selProductList = JSON.parse(localStorage.getItem("selProductList"));
		var createDate = sessionStorage.getItem("createDate");
		var deliveryDate = sessionStorage.getItem("deliveryDate");
		var deliveryType = sessionStorage.getItem("deliveryType");
		var remark = sessionStorage.getItem("remark")
		var logistics_number = sessionStorage.getItem('logistics_number')
		var consignee_address = sessionStorage.getItem('consignee_address')
		var delivery_status = sessionStorage.getItem('delivery_status')
        if(val == 'history'){
			// isDateCopy = createDate
            indexVM.selectedDepot = sessionStorage.getItem("selectedDepot");
			indexVM.orderUserId = sessionStorage.getItem("create_id");
            //复制开单客户
            if(customer_id != sessionStorage.getItem('defaultCustomer')){
                getById(customer_id)
            }
        }
        if (selProductList) {
			var selType = localStorage.getItem("selStatus");
			if (selType != 1) {
				indexVM.selProductList = [];
			}
            indexVM.selProductList = selProductList;
            indexVM.calculation();
            indexVM.$nextTick(function () {
                mui('.mui-switch')['switch']();
            })

            // console.log(selProductList)
        }
		// if (selProductList) {
		// 	for (var i = 0, len = selProductList.length; i < len; i++) {
		// 		for (var j = 0, jen = selProductList[i].list.length; j < jen; j++) {
		// 			if (!selProductList[i].list[j].hasOwnProperty('ordertype')) {
		// 				selProductList[i].list[j].ordertype = 0;
		// 			}
		// 		}
		// 	}
		// 	// console.log(selProductList);
		// 	var selType = localStorage.getItem("selStatus");
		// 	if (selType != 1) {
		// 		indexVM.selProductList = [];
		// 		indexVM.selProductList = selProductList;
		// 	}
		// 	indexVM.calculation();
		// 	indexVM.$nextTick(function() {
		// 		mui('.mui-switch')['switch']();
		// 	})
		// }
		if (deliveryDate) {
			indexVM.deliveryDate = deliveryDate;
		}
        // if (createDate) {
        //     indexVM.createDate = createDate;
        // }
        // else {
        var date = createDate ? new Date(createDate) : new Date() ;
        // var date = new Date() ;
		indexVM.createDate = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() +
			1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
		// }
		if(remark){indexVM.remark = remark}
		if(logistics_number){indexVM.logistics_number = logistics_number}
		if(consignee_address){indexVM.consignee_address = consignee_address}
		if(delivery_status){
			indexVM.deliveryStatus = delivery_status;
			setTimeout(function (){
				var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
				console.debug(delivery_status)
				if (delivery_status === '0'){
					if (!isActive) {
						mui("#mySwitch").switch().toggle();
						$("#mySwitch .mui-switch-handle").css("transform", "translate(43px, 0px)")
					}
					indexVM.deliveryStatusName = '未收';
					console.debug(indexVM.deliveryStatusName,isActive,'0000')
				}else if(delivery_status === '1'){
					if (isActive) {
						mui("#mySwitch").switch().toggle();
						$("#mySwitch .mui-switch-handle").css("transform", "translate(0px, 0px)")
					}
					indexVM.deliveryStatusName = '已收';
					console.debug(indexVM.deliveryStatusName,isActive,'1111')
				}
			},10)//等待vue数据监听修改状态
		}
		console.debug({indexVM, deliveryType, logistics_number, consignee_address, delivery_status, remark,})
    }
}
function getIndexMenu() {
	getSupplier();
	getUser()
}
function getDepot(){
	mui.ajax(severUrl + "scm/depot/list.json", {
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if (res.success) {
				indexVM.depotList = res.data;
				sessionStorage.setItem("depotList", JSON.stringify(res.data));
				var selectedDepot = sessionStorage.getItem("selectedDepot");
				if (selectedDepot && selectedDepot!='undefined') {
					indexVM.selectedDepot = selectedDepot;
					sessionStorage.setItem("selectedDepot", indexVM.selectedDepot)
				} else if (res.data.length != 0) {
					indexVM.selectedDepot = res.data[0].id;
					sessionStorage.setItem("selectedDepot", indexVM.selectedDepot)
				}
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}

		}
	});
	var messageNum = localStorage.getItem("messageNum");
	if(messageNum && messageNum >0){
		$(".showPoint").html(messageNum)
	}else{
		$(".showPoint").hide()
	}
}
function getSupplier(id,name){
	mui.ajax(severUrl + "crm/customer/dataGridSimple.json", {
		data: {
			type: 0,
			qryType: -1,
			rows: 2,
			page: 1
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				indexVM.supplierList = res.data.list;
				sessionStorage.setItem("supplierList", JSON.stringify(res.data.list));
				var selectedSupplier = sessionStorage.getItem("selectedSupplier");
				if (selectedSupplier && selectedSupplier!='undefined') {
					indexVM.selectedSupplier = selectedSupplier;
					mui.each(indexVM.supplierList,function(i,v){
						if(v.id == indexVM.selectedSupplier){
							indexVM.supplierName = v.name;
							return false
						}
					})
				} else if (res.data.list.length != 0) {
					indexVM.selectedSupplier = res.data.list[0].id;
					indexVM.supplierName = res.data.list[0].name;
				}
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
}
function getUser(){
	mui.ajax(severUrl + "sso/user/qryOp.json", {
		data: {
			id: ""
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		//async:false,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				// if(typeof res.data=="undefined") return;
				sessionStorage.setItem("realname", res.data.realname);
				indexVM.realname = res.data.realname;
				indexVM.companyName = res.data.company_name;
				if(res.data.manage_depot_id != -1){
					document.getElementById('my_depot').disabled=true;
					sessionStorage.setItem("selectedDepot",res.data.manage_depot_id);
				}
				localStorage.setItem("bindDepot",res.data.manage_depot_id);
				getDepot();
				var industry = res.data.company_industry;
				mui.ajax(severUrl + "sso/industry/list.json", {
					data : {},
					headers : {
						'Content-Type' : 'application/x-www-form-urlencoded'
					},
					xhrFields : {
						withCredentials : true
					},
					dataType : 'json',
					type : 'post',
					timeout : 10000,
					success : function(res) {
						if (res.success) {
							if(industry !=undefined && industry !=''){
								mui.each(res.data, function (i, v) {
									if(v.id == industry){
										indexVM.industryName =v.name;
										return false;
									}
								});
							}else{
								indexVM.industryName = "综合";
							}
						}
					}
				});
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
}
function getById(id){
	mui.ajax(severUrl + "crm/customer/qryOpSimple.json", {
		data: {
			id:id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if(res.success){
				var customer = res.data.customer;
				indexVM.selectedSupplier = id;
				indexVM.supplierName=customer.name;
				//indexVM.telePhone=customer.telephone
				customer.checked != 1?indexVM.accountBalance = numToCur(customer.arrears,indexVM.systemSetting.price_decimals_setting,'price'):indexVM.accountBalance = 'default';
			}else{
				if (res.status == 10101 || res.status == 10102) {
					logOut(res.msg)
				}else{
					indexVM.selectedSupplier = indexVM.supplierList[0].id || '';
					indexVM.supplierName=indexVM.supplierList[0].name || '';
					//indexVM.telePhone=customer_info[0].telephone
				}
			}
		}
	});
}

function searchEnterHistory(start_date, end_date) {
	var data = timedifference(start_date, end_date);
	if(data > 92){
		mui.toast("时间范围不能大于三个月，请分段查询");
		return;
	}
	mui.ajax(severUrl + "scm/order/dataGrid.json", {
		data: {
			start_date: start_date,
			end_date: end_date,
			ordertype: 0,
			submit_status: -1,
			rows: 1000,
			page: 1
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		beforeSend: function() {
			mui('#dh')[0].style.display = "block";
		},
		complete: function() {
			mui('#dh')[0].style.display = "none";
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			indexVM.showWarn = false;
			if (res.success) {
				indexVM.his_click = '';
				//indexVM.searchEnterHistoryList = res.data.list;
				indexVM.searchHistoryListAll = res.data.list;
				var his = [];
				if(indexVM.his_search != ''){
					mui.each(indexVM.searchHistoryListAll,function(i,v){
						if((v.customer_name.compare(indexVM.his_search) ||
							v.in_model_list.compare(indexVM.his_search) ||
							v.out_model_list.compare(indexVM.his_search) ||
							v.in_name_list.compare(indexVM.his_search) ||
							v.remark.compare(indexVM.his_search))
							&& ((v.depot_id == indexVM.qry_depot) || (indexVM.qry_depot == '-1')) && ((v.delivery_status == indexVM.qry_delivery_status) || (indexVM.qry_delivery_status == '-1')) && ((v.debt_status == indexVM.qry_pay_status) || (indexVM.qry_pay_status == '-1'))){
							his.push(v)
						}
					})
					indexVM.searchEnterHistoryList = his;
				}else{
					mui.each(indexVM.searchHistoryListAll,function(i,v){
						if(((v.depot_id == indexVM.qry_depot) || (indexVM.qry_depot == '-1')) && ((v.delivery_status == indexVM.qry_delivery_status) || (indexVM.qry_delivery_status == '-1')) && ((v.debt_status == indexVM.qry_pay_status) || (indexVM.qry_pay_status == '-1'))){
							his.push(v)
						}
					})
					indexVM.searchEnterHistoryList = his;
				}
				indexVM.calculationls();
				mui('#historyContent').scroll().refresh();   //先刷新一次布局再scrollTo
				mui('#historyContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
				if (indexVM.searchEnterHistoryList.length === 0) {
					indexVM.showWarn = true;
				}
				if(res.data.totalPage > 1){
					mui.toast("单据数量太大，系统只显示前1000个单据及单据合计");
				}
			} else {
				mui.toast(res.msg);
			}
		}
	});
}

/*查询按钮*/
function searchEnterDraft(start_date, end_date) {
	var data = timedifference(start_date, end_date);
	if(data > 92){
		mui.toast("时间范围不能大于三个月，请分段查询");
		return;
	}
	mui.ajax(severUrl + "scm/order/dataGrid.json", {
		data: {
			start_date: start_date,
			end_date: end_date,
			ordertype: 0,
			submit_status: 1,
			rows: 500,
			page: 1
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		beforeSend: function() {
			mui('#dh')[0].style.display = "block";
		},
		complete: function() {
			mui('#dh')[0].style.display = "none";
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			indexVM.showWarn = false;
			if (res.success) {
				// indexVM.searchEnterDraftList = res.data.list;
				indexVM.searchDraftListAll = res.data.list;
				var his = [];
				if(indexVM.draft_search != ''){
					mui.each(indexVM.searchDraftListAll,function(i,v){
						if((v.customer_name.includes(indexVM.draft_search) ||
							v.in_model_list.includes(indexVM.draft_search) ||
							v.out_model_list.includes(indexVM.draft_search) ||
							v.in_name_list.compare(indexVM.his_search) ||
							v.remark.includes(indexVM.draft_search))
							&& ((v.depot_id == indexVM.draft_qry_depot) || (indexVM.draft_qry_depot == '-1'))){
							switch (Number(indexVM.draft_used_type)) {
								case -1:
									his.push(v)
									break;
								case 0:
									if(v.all_draft_used_amount != 0 && v.all_draft_used_amount >=v.all_draft_amount){
										his.push(v)
									}
									break;
								case 1:
									if(v.all_draft_used_amount == 0){
										his.push(v)
									}
									break;
								case 2:
									if(v.all_draft_used_amount != 0 && v.all_draft_used_amount <v.all_draft_amount){
										his.push(v)
									}
									break;
								case 3:
									if(v.all_draft_used_amount == 0 || v.all_draft_used_amount < v.all_draft_amount){
										his.push(v)
									}
									break;
							}
						}
					})
					indexVM.searchEnterDraftList = his;
				}else{
					mui.each(indexVM.searchDraftListAll,function(i,v){
						if(v.depot_id == indexVM.draft_qry_depot || indexVM.draft_qry_depot == '-1'){
							switch (Number(indexVM.draft_used_type)) {
								case -1:
									his.push(v)
									break;
								case 0:
									if(v.all_draft_used_amount != 0 && v.all_draft_used_amount >=v.all_draft_amount){
										his.push(v)
									}
									break;
								case 1:
									if(v.all_draft_used_amount == 0){
										his.push(v)
									}
									break;
								case 2:
									if(v.all_draft_used_amount != 0 && v.all_draft_used_amount <v.all_draft_amount){
										his.push(v)
									}
									break;
								case 3:
									if(v.all_draft_used_amount == 0 || v.all_draft_used_amount < v.all_draft_amount){
										his.push(v)
									}
									break;
							}
						}
					})
					indexVM.searchEnterDraftList = his;
				}
				mui.each(indexVM.searchEnterDraftList,function(i,v){
					v.in_amount = numToCur(v.in_amount,indexVM.systemSetting.amount_decimals_setting);
					v.out_amount = numToCur(v.out_amount,indexVM.systemSetting.amount_decimals_setting)
				})
				indexVM.calculationcg();
				mui('#draftContent').scroll().refresh();   //先刷新一次布局再scrollTo
				mui('#draftContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
				if (indexVM.searchEnterDraftList.length === 0) {
					indexVM.showWarn = true;
				}
			} else {
				if (res.status == 10101 || res.status == 10102) {
					logOut(res.msg)
				}
			}
		}
	});
}

mui("#commodityInto")[0].addEventListener('slide', function(e) {
	if(e.detail.slideNumber === 1){
		indexVM.timeSearchType = 'D';
		switch (indexVM.timeSearchType) {
			case 'D':
				indexVM.lsDateFirst = loadNowDate(1)
				indexVM.lsDateLast = loadNowDate(1)
				break;
			case 'W':
				window.util_date.newToday(loadNowDate(1));
				indexVM.lsDateFirst = window.util_date.getMonday().pattern("yyyy-MM-dd");
				indexVM.lsDateLast = window.util_date.getSunday().pattern("yyyy-MM-dd");
				break;
			case 'M':
				var d =new Date(getValFirst(loadNowDate(1)));
				var Y = d.getFullYear();
				var M = d.getMonth()+1;
				var D = 1;
				M >= 10 ? M = M : M = 0 + "" + M;
				D >= 10 ? D = D : D = 0 + "" + D;
				indexVM.lsDateFirst = Y + '-' + M + '-' + D;
				indexVM.lsDateLast = Y + '-' + M + '-' + getLastDay(Y, M);
				break;
		}
		searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast)
	}else if(e.detail.slideNumber === 2){
		indexVM.draftTimeSearchType = 'D'
		switch (indexVM.draftTimeSearchType) {
			case 'D':
				indexVM.cgDateFirst = loadNowDate(1)
				indexVM.cgDateLast = loadNowDate(1)
				break;
			case 'W':
				window.util_date.newToday(loadNowDate(1));
				indexVM.cgDateFirst = window.util_date.getMonday().pattern("yyyy-MM-dd");
				indexVM.cgDateLast = window.util_date.getSunday().pattern("yyyy-MM-dd");
				break;
			case 'M':
				var d =new Date(getValFirst(loadNowDate(1)));
				var Y = d.getFullYear();
				var M = d.getMonth()+1;
				var D = 1;
				M >= 10 ? M = M : M = 0 + "" + M;
				D >= 10 ? D = D : D = 0 + "" + D;
				indexVM.cgDateFirst = Y + '-' + M + '-' + D;
				indexVM.cgDateLast = Y + '-' + M + '-' + getLastDay(Y, M);
				break;
		}
		searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast);
		// if (indexVM.cgDateFirst != '' || indexVM.cgDateLast != '') {
		// 	searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast);
		// } else {
		// 	var date = new Date(indexVM.draftTime);
		// 	var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
		// 	searchEnterDraft(searchTime, searchTime);
		// }
	}else{
		var pageAction = localStorage.getItem("caiPageAction");
		if(pageAction == 'supplierRefresh'){
			sessionStorage.removeItem("selectedSupplier");
			localStorage.removeItem("caiPageAction");
			getSupplier()
		}
	}
});
function setListener() {
    window.addEventListener("pageshow",function(){
        if(sessionStorage.getItem("reloadPage") == "1"){
            sessionStorage.removeItem("reloadPage");
            location.reload();
        }
        setTimeout(function(){
            if(sessionStorage.getItem("reloadPage") == "1"){
                sessionStorage.removeItem("reloadPage");
                location.reload();
            }
        },100);
    });
	var pageHeight = sessionStorage.getItem("pageHeight");
	if (!pageHeight) {
		pageHeight = document.documentElement.clientHeight;
		sessionStorage.setItem("pageHeight", pageHeight);
	}
	document.getElementsByTagName("body")[0].style.height = pageHeight + "px";//combined

	window.addEventListener("pageshow", function () {
		getSelProductList();
	});

	mui('body').on('tap', '.bar-fixed-bottom>a', function (e) {
		e.preventDefault();
		localStorage.removeItem("selProductList");
		sessionStorage.removeItem("selectedDepot");
		sessionStorage.removeItem("selectedSupplier");
		sessionStorage.removeItem("selectedBuyer");
		sessionStorage.removeItem("createDate");
		sessionStorage.removeItem("remark");
		sessionStorage.removeItem("product");
		sessionStorage.removeItem("pageTabId");
		sessionStorage.removeItem("lsDateFirst");
		sessionStorage.removeItem("lsDateLast");
		sessionStorage.removeItem("cgDateFirst");
		sessionStorage.removeItem("cgDateLast");
		sessionStorage.removeItem("historyTime");
		sessionStorage.removeItem("draftTime");
		sessionStorage.removeItem("searchMsg");
		sessionStorage.removeItem("sort");
		sessionStorage.removeItem("logistics_number");
		sessionStorage.removeItem("sort_rule");
		sessionStorage.removeItem("cun_category_parent_id");
		sessionStorage.removeItem("cun_category_id");
		sessionStorage.removeItem("cun_depot_id");
		var href = this.dataset.href;
		if (href) {
			var gallery = mui('#commodityInto');
			gallery.slider().gotoItem(0);
			// location.replace(href + ".html");
		}
	});

	mui('.fh-status').on('toggle', '.mui-switch', function () {
		if (indexVM.deliveryStatus == 0) {
			indexVM.deliveryStatus = 1;
			indexVM.deliveryStatusName = '已收';
		} else {
			indexVM.deliveryStatus = 0;
			indexVM.deliveryStatusName = '未收';
		}
	})

	mui('#offCanvasSide').on('tap', '.goodsAdd', function (e) {
		e.preventDefault();
		sessionStorage.removeItem("selColorList");
		sessionStorage.removeItem("selSizeList");
		sessionStorage.removeItem("selList");
		sessionStorage.removeItem("name");
		sessionStorage.removeItem("model");
        sessionStorage.removeItem("material");
		sessionStorage.removeItem("mainUnitId");
		sessionStorage.removeItem("mainUnitName");
		sessionStorage.removeItem("unitList");
        sessionStorage.removeItem("barcodeList");
		sessionStorage.removeItem("purchase_price");
		sessionStorage.removeItem("sale_price");
		sessionStorage.removeItem("sale_price_b");
        sessionStorage.removeItem("otherAttrList");
		sessionStorage.removeItem("category_id");
		sessionStorage.removeItem("category_name");
		sessionStorage.removeItem("category_parent_name");
		sessionStorage.removeItem("selListId");
		var href = this.dataset.href;
		viewHandle.openWindow( href + '.html',href + '.html');
	});

	/*退出按钮*/
	mui('#offCanvasSide').on('tap', '.outLogin', function (e) {
		mui.confirm('确定退出用户？', '提示', ["取消","确定"], function (e) {
			if (e.index == 1) {
                signOut()
			}
		},'div')
	});

	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});

	mui(".cmdPresent").on('tap', '.mui-switch', function (e) {
		e.stopPropagation();
	});
	mui("#intoCmdPresent").on('tap', '.sweepNumber', function () {
//        location.href = 'zhijianjxcapp://barcodescan/param?color_id=-1&size_id=-1';
		var sendUrl = 'zhijianjxcapp://barcodescan/param?color_id=-1&size_id=-1';
		var cookie = 'ecp_cookie='+localStorage.getItem("HF");
		if (mui.os.ios == true) {
			sweepCode_i(cookie,sendUrl,777)
		} else if (mui.os.android == true) {
			sweepCode(cookie,sendUrl,777)
		}
	});

	mui(".cmdPresent").on('tap', '.deleteProductItem', function (event) {
		event.stopPropagation();
		var btn = ["取消","确定"];
		mui.confirm('确认删除此条商品吗？', '提示', btn, function (e) {
			if (e.index == 1) {
				var li = event.target.parentNode.parentNode.parentNode;
				var product_id = li.dataset.id;

				var flag = false;
				var listIndex = 0;
				var productIndex = 0;

				mui.each(indexVM.selProductList, function (index1, value) {
					if (value.id == product_id) {
						productIndex = index1;
					}
					mui.each(value.list, function (index2, value2) {
						if (value.id == product_id
							&& value2.color_id == li.dataset.colorid
							&& value2.size_id == li.dataset.sizeid
						) {
							listIndex = index2;
							flag = true;
							return;
						} else {
							if(flag){
								return
							}
							flag = false;
							return;
						}
					});
				});

				if (flag) {
					//indexVM.selProductList[productIndex].list.splice(listIndex, 1);
                    indexVM.selProductList[productIndex].list[listIndex].count=0;
                    indexVM.selProductList[productIndex].list[listIndex].ordertype=0;
                    var dex=0;
                    $.each(indexVM.selProductList[productIndex].list,function(index,value){
                        dex+=value.count;
                    });
                    if(dex==0){
                        indexVM.selProductList.splice(productIndex, 1);
						var AB_list=JSON.parse(localStorage.getItem("AB_purchase"));
						mui.each(AB_list,function(i,v){
							if(product_id == v.product_id && indexVM.selectedDepot == v.depot_id){
								AB_list.splice(i,1)
							}
						});
						localStorage.setItem("AB_purchase",JSON.stringify(AB_list))
                    }
				} else {
					indexVM.selProductList.splice(productIndex, 1);
					localStorage.removeItem("AB_purchase")
				}
				localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
				indexVM.calculation();

				console.log(indexVM.selProductList)
			}
		},'div')

	});
	mui('.popover').on('tap', '.quanQian', function () {
		if(indexVM.truePay!=0){
			indexVM.isPay = false;
			indexVM.truePay = 0;
			$(".quanQian").css('background-color','gainsboro')
		} else {
			indexVM.isPay = true;
			indexVM.noPay = 0;
			$(".quanQian").css('background-color','#556890')
		}
	});

	mui('.popover').on('tap', '.zheKou', function () {
		var discount=numToCur(Math.abs((Number(indexVM.totalPrice) - Number(indexVM.moLing)) / Number(indexVM.totalPrice) * 10),indexVM.systemSetting.price_decimals_setting,'price');
		mui.confirm("", "折扣", ["取消","确定"], function (e) {
			if(e.index==1){
				var reduced = Number(mui("#discount")[0].value);
				var editPrice = Number(mui("#reduced")[0].value);
				var isDiscounte = /^[0-9]{1}|[0-9]{1}.[0-9]*$/;
				if (isDiscounte.test(reduced) && reduced <= 10) {
					indexVM.moLing=numToCur(editPrice,indexVM.systemSetting.price_decimals_setting,'price');
					indexVM.calculation();
				}else{
					mui.toast("折扣金额错误，请检查。")
				}
			}else{

			}
		},'div')
		$(".mui-popup-title").remove();
		$(".mui-popup-input input").remove();
		var muiPrompt ="<div style='display: flex; align-items: center;'>" +
			"<span style='width: 45px'>优惠：</span>" +
			"<input class='my-popup-input' placeholder='0元' type='number' id='reduced' @input='reduced' value='"+indexVM.moLing+"' />" +
			"</div>" +
			"<div style='display: flex; align-items: center; margin-top: 10px'>"+
			"<span style='width: 45px'>折扣：</span>" +
			"<input class='my-popup-input' placeholder='0-10折' type='number' id='discount' @input='discount' value='"+discount+"' />" +
			"</div>"
		$(".mui-popup-text").html(muiPrompt)
		document.getElementById("reduced").addEventListener("input", function(event) {
			//优惠后折扣计算
			var editPrice = Number(mui("#reduced")[0].value);
			var zhekou=(Number(Math.abs(indexVM.totalPrice) - editPrice)) / Number(Math.abs(indexVM.totalPrice)) * 10;
			mui("#discount")[0].value=numToCur(zhekou,indexVM.systemSetting.price_decimals_setting,'price')
		})
        document.getElementById("reduced").addEventListener("click", function(event) {
            mui("#reduced")[0].value = ""
        })
        document.getElementById("reduced").addEventListener("blur", function(event) {
            if(mui("#reduced")[0].value == ''){
                mui("#reduced")[0].value = indexVM.moLing
            }
        })
        document.getElementById("discount").addEventListener("input", function(event) {
            //折扣后优惠计算
            var editPrice = Number(mui("#discount")[0].value);
            var zhekou=Math.abs(Number(indexVM.totalPrice-(editPrice/10*indexVM.totalPrice)));
            mui("#reduced")[0].value=numToCur(zhekou,indexVM.systemSetting.price_decimals_setting,'price')
        })
        document.getElementById("discount").addEventListener("click", function(event) {
            mui("#discount")[0].value = ""
        })
        document.getElementById("discount").addEventListener("blur", function(event) {
            if(mui("#discount")[0].value == ''){
                mui("#discount")[0].value = discount
            }
        })
	});

    //其他费用监听
	var expenseId = ''
	mui('.popover').on('tap', '.otherExpenses', function () {
		if(buttonClick){
			buttonClick = false;
			mui.ajax(severUrl + "scm/order/getOtherCostList.json", {
				data: {
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					indexVM.expenseList = res.data;
					expenseInfo(indexVM.expenseList)
					setTimeout(function(){
						buttonClick = true;
					},500)
				}
			});
		}

	});
function expenseInfo(list){
    var selectHtml='<option> </option>'
    mui.each(list,function(i,v){
        selectHtml+="<option value='"+v.id+"'>"+ v.other_cost_name+"</option>"
    })
    selectHtml = "<select id='expensesNameClick'>"+selectHtml+"</select>"
	mui.confirm("", "其他费用", ["取消","确定"], function (e) {
		if(e.index==1){
			if(mui("#expenseName")[0].value == ''){
				mui.toast('请输入费用名称或选择已有类型！');
				return false
			}
			mui.each(list,function(i,v){
				if(v.other_cost_name == mui("#expenseName")[0].value){
					expenseId = v.id;
					return false
				}else{
					expenseId = ''
				}
			});
			indexVM.expense = mui("#expense")[0].value;
			indexVM.expenseDegression = mui("#expenseDegression")[0].value;
			indexVM.expenseName = mui("#expenseName")[0].value;
			indexVM.expenseId = expenseId;
			indexVM.editTotalPrice = numToCur(Number(indexVM.totalPrice),indexVM.systemSetting.price_decimals_setting,'price');
			indexVM.calculation();
		}else{
			// indexVM.expense = 0;
			// indexVM.expenseDegression = 0;
			// indexVM.expense = 0
			// indexVM.expenseName = ''
			// indexVM.calculation()
		}
	},'div');
    $(".mui-popup-title").remove();
    $(".mui-popup-input input").remove();
    var muiPrompt ="<div style='display: flex; align-items: center;'>" +
        "<span style='width: 45px'>名称：</span>" +selectHtml+
        "<input class='my-popup-input' placeholder='请输入费用名称' type='text' id='expenseName' value='"+indexVM.expenseName+"' style='padding-right: 22px!important;' />" +
        "<span id='expenseSelect' class='mui-icon mui-icon-arrowdown' style='position: absolute; right: 15px; color: #555; pointer-events: none'></span>"+
        "</div>" +
        "<div style='display: flex; align-items: center; margin-top: 10px'>"+
        "<span style='width: 45px'>费用：</span>" +
        "<input class='my-popup-input' placeholder='费用金额' type='number' id='expense' value='"+indexVM.expense+"' />" +
        "</div>" +
        "<div style='display: none; align-items: center; margin-top: 10px'>"+
        "<span style='width: 45px'>成本：</span>" +
        "<input class='my-popup-input' placeholder='成本金额' type='number' id='expenseDegression' value='"+indexVM.expenseDegression+"' />" +
        "</div>"
    $(".mui-popup-text").html(muiPrompt)
    document.getElementById("expenseName").addEventListener("click", function(event) {
		mui("#expenseName")[0].value = ""
    })
    document.getElementById("expenseName").addEventListener("blur", function(event) {
        if(mui("#expenseName")[0].value == ''){
            mui("#expenseName")[0].value = indexVM.expenseName
        }
    })
    document.getElementById("expense").addEventListener("click", function(event) {
        //费用金额监听
		mui("#expense")[0].value = ""
    })
    document.getElementById("expense").addEventListener("blur", function(event) {
        //费用金额监听
        // indexVM.expense = mui("#expense")[0].value
        if(mui("#expense")[0].value == ''){
            mui("#expense")[0].value = indexVM.expense
        }
    })
    document.getElementById("expenseDegression").addEventListener("click", function(event) {
        //费用成本监听
        mui("#expenseDegression")[0].value = ""
    })
    document.getElementById("expenseDegression").addEventListener("blur", function(event) {
        //费用成本监听
        // indexVM.expenseDegression = mui("#expenseDegression")[0].value
        if(mui("#expenseDegression")[0].value ==''){
            mui("#expenseDegression")[0].value = indexVM.expenseDegression
        }
    })
    document.getElementById("expensesNameClick").addEventListener("change", function(event) {
        //修改监听
        mui.each(list,function(i,v){
            if(v.id == mui("#expensesNameClick")[0].value){
                expenseId = v.id;
                mui("#expense")[0].value = v.other_cost_price;
                mui("#expenseDegression")[0].value = v.other_cost_purchase;
                mui("#expenseName")[0].value = v.other_cost_name
            }
        })
    })
}
	mui(".productList").on('toggle', '.mui-switch', function (event) {
		var _this = this;
		var li = event.target.parentNode.parentNode.parentNode;
		var product_id = li.dataset.id;
		var index = li.dataset.index;
		mui.each(indexVM.selProductList, function (index1, value) {
			if (value.id == product_id
				&& value.list[index].color_id == li.dataset.colorid
				&& value.list[index].size_id == li.dataset.sizeid
			) {
				if(value.list[index].product_sn_list && value.list[index].product_sn_list.length > 0){
					var btnArray = ['取消','确定'];
					mui.confirm('', '更改采购状态序列号将被清除！', btnArray, function(e) {
						if(e.index == 1){
							if (event.detail.isActive) {
								value.list[index].ordertype = 1;
							} else {
								value.list[index].ordertype = 0;
							}
							value.list[index].product_sn_list = [];
							indexVM.calculation();
							localStorage.setItem('selProductList',JSON.stringify(indexVM.selProductList));
						}else{
							_this.classList.toggle('muiActive');
							_this.querySelector('.mui-switch-handle').setAttribute('style', '');
						}
					},'div')
				}else{
					if (event.detail.isActive) {
						value.list[index].ordertype = 1;
					} else {
						value.list[index].ordertype = 0;
					}
					indexVM.calculation();
					localStorage.setItem('selProductList',JSON.stringify(indexVM.selProductList));
				}
				// if (event.detail.isActive) {
				// 	value.list[index].ordertype = 1;
				// } else {
				// 	value.list[index].ordertype = 0;
				// }
				// return false;
			}
		});
		// indexVM.calculation();
		// localStorage.setItem('selProductList',JSON.stringify(indexVM.selProductList));
	});

	mui("body").on('tap', '.itemAdd', function () {
		sessionStorage.setItem("selectedDepot", indexVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", indexVM.selectedSupplier);
		sessionStorage.setItem("selectedBuyer", indexVM.selectedBuyer);
		sessionStorage.setItem("createDate", indexVM.createDate);
		sessionStorage.setItem("remark", indexVM.remark);
		sessionStorage.removeItem("selColorList");
		sessionStorage.removeItem("selSizeList");
		sessionStorage.removeItem("selList");
        sessionStorage.removeItem("barcodeList");
		sessionStorage.removeItem("name");
		sessionStorage.removeItem("model");
        sessionStorage.removeItem("material");
		sessionStorage.removeItem("mainUnitId");
		sessionStorage.removeItem("mainUnitName");
		sessionStorage.removeItem("unitList");
		sessionStorage.removeItem("category_id");
		sessionStorage.removeItem("category_name");
		sessionStorage.removeItem("category_parent_name");
		sessionStorage.removeItem("purchase_price");
		sessionStorage.removeItem("sale_price");
		sessionStorage.removeItem("sale_price_b");
		sessionStorage.removeItem("selListId");
		sessionStorage.removeItem("otherAttrList");
		localStorage.setItem("pageTabId", "present");
		sessionStorage.setItem("logistics_number", indexVM.logistics_number);
		viewHandle.openWindow( 'itemAdd.html','itemAdd.html');
	})

	mui(".cmdPresent").on('tap', '.selProductMenu>li .event-bind', function () {
		sessionStorage.setItem("selectedDepot", indexVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", indexVM.selectedSupplier);
		sessionStorage.setItem("selectedBuyer", indexVM.selectedBuyer);
		sessionStorage.setItem("createDate", indexVM.createDate);
		sessionStorage.setItem("logistics_number", indexVM.logistics_number);
		sessionStorage.setItem("remark", indexVM.remark);
		sessionStorage.setItem("type", 1);
		localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
		localStorage.setItem("pageTabId", "present");
		var id = this.parentNode.parentNode.dataset.id;
		var name = this.parentNode.parentNode.dataset.name;
		var model = this.parentNode.parentNode.dataset.model;
		var purchase_price = this.parentNode.parentNode.dataset.purchase;
		var sale_price = this.parentNode.parentNode.dataset.sale;
        var product ={product_id : '',name:'',purchase_price:'',model:'',id:'',product_name:'',sale_price:'',status:''};
			product.product_id = id;
			product.name = name;
			product.purchase_price = purchase_price;
			product.model = model;
			product.id = id;
			product.product_name = name;
			product.sale_price = sale_price;
			product.status=1;
        var newAmt =$(this).parent().find(".amt").text();
		sessionStorage.setItem("product", JSON.stringify(product));
		loadProductDtsInfo(id);
		getGoodsMenu(newAmt);
		kufang();
		mui('#caigouDom')[0].style.display = "none";
		mui('#goodsColorSize')[0].style.display = "block";
	})
	mui(".cmdPresent").on('tap', '.itemLink', function () {
        if(this.dataset.id == null){
            sessionStorage.removeItem("selColorList");
            sessionStorage.removeItem("selSizeList");
            sessionStorage.removeItem("selList");
            sessionStorage.removeItem("purchase_price");
            sessionStorage.removeItem("sale_price");
            sessionStorage.removeItem("sale_price_b");
            sessionStorage.removeItem("name");
            sessionStorage.removeItem("model");
            sessionStorage.removeItem("material");
			sessionStorage.removeItem("mainUnitId");
			sessionStorage.removeItem("mainUnitName");
			sessionStorage.removeItem("unitList");
			sessionStorage.removeItem("category_id");
			sessionStorage.removeItem("category_name");
			sessionStorage.removeItem("category_parent_name");
			sessionStorage.setItem("logistics_number", indexVM.logistics_number);
            sessionStorage.removeItem("selListId");
            var arg = {};
            arg.model = indexVM.searchMsg;
            viewHandle.viewFire('itemAdd.html','modelAndName',arg);
            viewHandle.openWindow('itemAdd.html','itemAdd.html',JSON.stringify(arg));
			indexVM.searchMsg = '';
			indexVM.searchProduct()
            //location = 'itemAdd.html?model='+indexVM.searchMsg+'&page=caigou'
        }else{
            indexVM.searchMsg = "";
            var product ={product_id : '',name:'',purchase_price:'',model:'',id:'',product_name:'',sale_price:'',status:''};
            for (var i =0;i<indexVM.list.length; i++){
                if(indexVM.list[i].id==this.dataset.id){
                    product.product_id=indexVM.list[i].product_id;
                    product.name=indexVM.list[i].name;
                    product.purchase_price=indexVM.list[i].purchase_price;
                    product.model=indexVM.list[i].model;
                    product.id=indexVM.list[i].id;
                    product.product_name=indexVM.list[i].product_name;
                    product.sale_price=indexVM.list[i].purchase_price;
                    product.status=1;
                }
            }
            indexVM.sortModel(product);
            sessionStorage.setItem("selectedDepot", indexVM.selectedDepot);
            sessionStorage.setItem("selectedSupplier", indexVM.selectedSupplier);
            sessionStorage.setItem("selectedBuyer", indexVM.selectedBuyer);
            sessionStorage.setItem("createDate", indexVM.createDate);
			sessionStorage.setItem("logistics_number", indexVM.logistics_number);
            sessionStorage.setItem("remark", indexVM.remark);
            sessionStorage.setItem("product", JSON.stringify(product));
            // sessionStorage.setItem("type", 1);
			localStorage.removeItem("type")
			localStorage.setItem("pageTabId", "present");
            mui('#caigouDom')[0].style.display = "none";
            mui('#goodsColorSize')[0].style.display = "block";
            loadProductDtsInfo(this.dataset.id);
            getGoodsMenu();
            kufang();
            mui("#popover").popover("hide");
            $("#hidePopover").css('display','none');
            indexVM.list=[];
            // location = 'goodsColorSize.html?productId=' + this.dataset.id + '&type=' + 1;
		}
	});
	/*点击搜索用户*/
    mui("#userPopover").on('tap', '.itemUser', function () {
        mui('.supplierName')[0].blur();
        var name=this.dataset.name;
        if(name == "新建供应商？"){
			var listSend = {};
			listSend.userName = indexVM.supplierName;
			listSend.page = "caigou";
			listSend.type = "supplier";
			//viewHandle.viewFire('customerCreate.html','customerCreate',listSend);
			viewHandle.openWindow( 'view/customerCreate.html','customerCreate.html',JSON.stringify(listSend));
			mui("#userPopover").popover("hide");
			$("#hideUserPopover").css('display','none');
        }else{
            indexVM.supplierName =name;
            indexVM.selectedSupplier = this.dataset.id;
			/*余额处理*/
			mui.each(indexVM.userList,function(i,v){
				if(v.id == indexVM.selectedSupplier){
					Number(v.checked) !=1?indexVM.accountBalance = Number(v.arrears):indexVM.accountBalance = 'default';
				}
			});
			console.log(indexVM.accountBalance)
            indexVM.userList=[];
            mui("#userPopover").popover("hide");
            $("#hideUserPopover").css('display','none');
        }
    });
	var toggleFlag = true;
	mui(".mui-border").on('tap', '.toggle-state', function () {
		// mui('.productSearchIpt')[0].blur();
		if (toggleFlag) {
			mui('.toggle-state .mui-icon-arrowup')[0].style.display = "block";
			mui('.selectForm')[0].style.display = "block";
			mui('.toggle-state .mui-icon-arrowdown')[0].style.display = "none";

			toggleFlag = false;
		} else {
			mui('.toggle-state .mui-icon-arrowup')[0].style.display = "none";
			mui('.selectForm')[0].style.display = "none";
			mui('.toggle-state .mui-icon-arrowdown')[0].style.display = "block";

			toggleFlag = true;
		}
	})

	var toggleFlagFh = true;
	mui(".mui-border").on('tap', '.toggle-state-fh', function () {
		// mui('.productSearchIpt')[0].blur();
		if (toggleFlagFh) {
			mui('.toggle-state-fh .mui-icon-arrowup')[0].style.display = "block";
			mui('.selectFormFh')[0].style.display = "block";
			mui('.toggle-state-fh .mui-icon-arrowdown')[0].style.display = "none";

			toggleFlagFh = false;
		} else {
			mui('.toggle-state-fh .mui-icon-arrowup')[0].style.display = "none";
			mui('.selectFormFh')[0].style.display = "none";
			mui('.toggle-state-fh .mui-icon-arrowdown')[0].style.display = "block";

			toggleFlagFh = true;
		}
	})
	mui('#intoCmdDraft').on('tap','.qryDraft',function(){
		var _this = this;
		timeEdit(_this,'draft')
	})
	mui('#intoCmdHistory').on('tap','.qryHistory',function(){ //时间搜索切换
		var _this = this;
		timeEdit(_this,'history')
	})
	//时间搜索 类型
	function timeEdit(dom,types){
		var type = dom.dataset.type, _this = dom;
		switch (type) {
			case "previous":
			case "next":
				$(_this).css("color",'#4a7191');
				setTimeout(function(){
					$(_this).css("color",'#ffffff');
				},180)
				var timeList = previous_next(type,types)
				if(types == 'history'){
					indexVM.lsDateFirst = timeList.lsDateFirst
					indexVM.lsDateLast = timeList.lsDateLast
					searchEnterHistory(indexVM.lsDateFirst,indexVM.lsDateLast);
				}else{
					indexVM.cgDateFirst = timeList.lsDateFirst
					indexVM.cgDateLast = timeList.lsDateLast
					searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast);
				}
				break;
			case 'D':
				if(types == 'history'){
					indexVM.timeSearchType = type;
					indexVM.lsDateFirst = indexVM.lsDateFirst || loadNowDate(1)
					indexVM.lsDateLast = indexVM.lsDateFirst || loadNowDate(1)
					searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast);
				}else{
					indexVM.draftTimeSearchType = type;
					indexVM.cgDateFirst = indexVM.cgDateFirst || loadNowDate(1)
					indexVM.cgDateLast = indexVM.cgDateFirst || loadNowDate(1)
					searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast);
				}
				break;
			case 'W':
				if(types == 'history'){
					indexVM.timeSearchType = type;
					window.util_date.newToday(window.util_date.getThisMonday(indexVM.lsDateFirst));
					indexVM.lsDateFirst = window.util_date.getMonday().pattern("yyyy-MM-dd");
					indexVM.lsDateLast = window.util_date.getSunday().pattern("yyyy-MM-dd");
					searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast);
				}else{
					indexVM.draftTimeSearchType = type;
					window.util_date.newToday(window.util_date.getThisMonday(indexVM.cgDateFirst));
					indexVM.cgDateFirst = window.util_date.getMonday().pattern("yyyy-MM-dd");
					indexVM.cgDateLast = window.util_date.getSunday().pattern("yyyy-MM-dd");
					searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast);
				}
				break;
			case 'M':
				if(types == 'history'){
					indexVM.timeSearchType = type;
					var his_monthStart = window.util_date.getMonthStart(indexVM.lsDateFirst).pattern("yyyy-MM-dd")
					var his_monthEnd = window.util_date.getMonthEnd(indexVM.lsDateFirst).pattern("yyyy-MM-dd")
					indexVM.lsDateFirst = his_monthStart;
					indexVM.lsDateLast = his_monthEnd;
					searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast);
				}else{
					indexVM.draftTimeSearchType = type;
					var draft_monthStart = window.util_date.getMonthStart(indexVM.cgDateFirst).pattern("yyyy-MM-dd")
					var draft_monthEnd = window.util_date.getMonthEnd(indexVM.cgDateFirst).pattern("yyyy-MM-dd")
					indexVM.cgDateFirst = draft_monthStart;
					indexVM.cgDateLast = draft_monthEnd;
					searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast);
				}
				break;
		}
	}
	function previous_next(type,types){
		var timeList = {},date = '';
		if(types == 'history'){
			if(indexVM.timeSearchType == '' || !indexVM.timeSearchType){
				indexVM.timeSearchType = 'D'
				timeList.lsDateFirst = indexVM.lsDateFirst || loadNowDate(1)
				timeList.lsDateLast = indexVM.lsDateFirst ||  loadNowDate(1)
			}else{
				if(type == 'previous'){
					if(indexVM.timeSearchType == 'D'){
						date = new Date(Date.parse(indexVM.lsDateFirst)-24 * 60 * 60 * 1000)
						date = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
						timeList = {
							lsDateFirst:date,
							lsDateLast:date
						}
					}else if(indexVM.timeSearchType == 'W'){
						timeList = {
							lsDateFirst:window.util_date.getPreviousMonday(indexVM.lsDateFirst).pattern("yyyy-MM-dd"),
							lsDateLast:window.util_date.getPreviousSunday(indexVM.lsDateFirst).pattern("yyyy-MM-dd")
						}
					}else{
						var d =new Date(getValFirstDay(getValFirst(indexVM.lsDateFirst)));
						var Y = d.getFullYear();
						var M = d.getMonth()+1;
						var D = 1;
						M >= 10 ? M = M : M = 0 + "" + M;
						D >= 10 ? D = D : D = 0 + "" + D;
						timeList.lsDateFirst = Y + '-' + M + '-' + D;
						timeList.lsDateLast = Y + '-' + M + '-' + getLastDay(Y, M);
					}
				}else{
					if(indexVM.timeSearchType == 'D'){
						date = new Date(Date.parse(indexVM.lsDateFirst)+24 * 60 * 60 * 1000)
						date = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
						timeList = {
							lsDateFirst:date,
							lsDateLast:date
						}
					}else if(indexVM.timeSearchType == 'W'){
						timeList = {
							lsDateFirst:window.util_date.getNextMonday(indexVM.lsDateFirst).pattern("yyyy-MM-dd"),
							lsDateLast:window.util_date.getNextSunday(indexVM.lsDateFirst).pattern("yyyy-MM-dd")
						}
					}else{
						var d =new Date(indexVM.lsDateFirst.replace(/-/g, "/"));
						var Y = d.getFullYear();
						var M = d.getMonth()+1;
						var D = getLastDay(Y, M);
						timeList.lsDateFirst = getValLastDay(Y + '-' + M + '-' + D);
						var last= new Date(timeList.lsDateFirst.replace(/-/g, "/"));
						var y=last.getFullYear();
						var m=last.getMonth()+1;
						m >= 10 ? m = m : m = 0 + "" + m;
						timeList.lsDateLast = y + '-' + m + '-' + getLastDay(y, m);
					}
				}
			}
		}else{
			if(indexVM.draftTimeSearchType == '' || !indexVM.draftTimeSearchType){
				indexVM.draftTimeSearchType = 'D'
				timeList.lsDateFirst = indexVM.cgDateFirst || loadNowDate(1)
				timeList.lsDateLast = indexVM.cgDateFirst ||  loadNowDate(1)
			}else{
				if(type == 'previous'){
					if(indexVM.draftTimeSearchType == 'D'){
						date = new Date(Date.parse(indexVM.cgDateFirst)-24 * 60 * 60 * 1000)
						date = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
						timeList = {
							lsDateFirst:date,
							lsDateLast:date
						}
					}else if(indexVM.draftTimeSearchType == 'W'){
						timeList = {
							lsDateFirst:window.util_date.getPreviousMonday(indexVM.cgDateFirst).pattern("yyyy-MM-dd"),
							lsDateLast:window.util_date.getPreviousSunday(indexVM.cgDateFirst).pattern("yyyy-MM-dd")
						}
					}else{
						var d =new Date(getValFirstDay(getValFirst(indexVM.cgDateFirst)));
						var Y = d.getFullYear();
						var M = d.getMonth()+1;
						var D = 1;
						M >= 10 ? M = M : M = 0 + "" + M;
						D >= 10 ? D = D : D = 0 + "" + D;
						timeList.lsDateFirst = Y + '-' + M + '-' + D;
						timeList.lsDateLast = Y + '-' + M + '-' + getLastDay(Y, M);
					}
				}else{
					if(indexVM.draftTimeSearchType == 'D'){
						date = new Date(Date.parse(indexVM.cgDateFirst)+24 * 60 * 60 * 1000)
						date = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
						timeList = {
							lsDateFirst:date,
							lsDateLast:date
						}
					}else if(indexVM.draftTimeSearchType == 'W'){
						timeList = {
							lsDateFirst:window.util_date.getNextMonday(indexVM.cgDateFirst).pattern("yyyy-MM-dd"),
							lsDateLast:window.util_date.getNextSunday(indexVM.cgDateFirst).pattern("yyyy-MM-dd")
						}
					}else{
						var d =new Date(indexVM.cgDateFirst.replace(/-/g, "/"));
						var Y = d.getFullYear();
						var M = d.getMonth()+1;
						var D = getLastDay(Y, M);
						timeList.lsDateFirst = getValLastDay(Y + '-' + M + '-' + D);
						var last= new Date(timeList.lsDateFirst.replace(/-/g, "/"));
						var y=last.getFullYear();
						var m=last.getMonth()+1;
						m >= 10 ? m = m : m = 0 + "" + m;
						timeList.lsDateLast = y + '-' + m + '-' + getLastDay(y, m);
					}
				}
			}
		}
		return timeList
	}
	mui('#intoCmdHistory').on('tap','.his_select',function(){
		indexVM.his_category_data.depot_id = indexVM.qry_depot;
		indexVM.his_category_data.delivery_type = indexVM.qry_delivery_status;
		indexVM.his_category_data.pay_type = indexVM.qry_pay_status;
		indexVM.his_search_show = true;
		mui("#his_select_menu").popover("show");
	})
	mui('body').on('tap','.his_search_show',function(){
		indexVM.his_search_show = false;
		mui("#his_select_menu").popover("hide");
		mui("#draft_select_menu").popover("hide");
	})
	mui('#his_select_menu').on('tap','.chooseReset',function(){
		indexVM.qry_depot = '-1';
		indexVM.qry_delivery_status = '-1';
		indexVM.qry_pay_status = '-1';
		hisPage();
		indexVM.his_search_show = false;
		mui("#his_select_menu").popover("hide");
	})
	mui('#his_select_menu').on('tap','.chooessQry',function(){
		indexVM.qry_depot = indexVM.his_category_data.depot_id;
		indexVM.qry_delivery_status = indexVM.his_category_data.delivery_type;
		indexVM.qry_pay_status = indexVM.his_category_data.pay_type;
		hisPage();
		indexVM.his_search_show = false;
		mui("#his_select_menu").popover("hide");
	})
	mui('body').on('tap','.his_search_show',function(){
		indexVM.his_search_show = false;
		mui("#his_select_menu").popover("hide");
	})
	function hisPage(){
		var his = [];
		if(indexVM.his_search != ''){
			mui.each(indexVM.searchHistoryListAll,function(i,v){
				if((v.customer_name.includes(indexVM.his_search) ||
					v.in_model_list.includes(indexVM.his_search) ||
					v.out_model_list.includes(indexVM.his_search) || v.remark.includes(indexVM.his_search))
					&& ((v.depot_id == indexVM.qry_depot) || (indexVM.qry_depot == '-1')) && ((v.delivery_status == indexVM.qry_delivery_status) || (indexVM.qry_delivery_status == '-1')) && ((v.debt_status == indexVM.qry_pay_status) || (indexVM.qry_pay_status == '-1'))){
					his.push(v)
				}
			})
			indexVM.searchEnterHistoryList = his;
		}else{
			mui.each(indexVM.searchHistoryListAll,function(i,v){
				if(((v.depot_id == indexVM.qry_depot) || (indexVM.qry_depot == '-1')) && ((v.delivery_status == indexVM.qry_delivery_status) || (indexVM.qry_delivery_status == '-1')) && ((v.debt_status == indexVM.qry_pay_status) || (indexVM.qry_pay_status == '-1'))){
					his.push(v)
				}
			})
			indexVM.searchEnterHistoryList = his;
		}
		indexVM.calculationls();
		mui('#historyContent').scroll().refresh();   //先刷新一次布局再scrollTo
		mui('#historyContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
	}
	mui('#his_select_menu').on('tap','.his_show_data',function(){
		var _this = this;
		var type = _this.dataset.type,name = '';
		if (type == 'show') {
			name = _this.dataset.name;
			indexVM.his_category_data[name] == 0 ? indexVM.his_category_data[name] = 1 : indexVM.his_category_data[name] = 0
		} else {
			name = _this.getAttribute("name")
			switch (type) {
				case 'depot_id':
					indexVM.his_category_data.depot_id = name;
					break;
				case 'delivery_type':
					indexVM.his_category_data.delivery_type = name;
					break;
				case 'pay_type':
					indexVM.his_category_data.pay_type = name;
					break;
			}
		}
	})
	//订单搜索操作
	mui('#intoCmdDraft').on('tap','.draft_select',function(){
		indexVM.draft_category_data.depot_id = indexVM.draft_qry_depot;
		indexVM.draft_category_data.used_type = indexVM.draft_used_type;
		indexVM.his_search_show = true;
		mui("#draft_select_menu").popover("show");
	})
	mui('#draft_select_menu').on('tap','.draft_show_data',function(){
		var _this = this;
		var type = _this.dataset.type,name = '';
		if (type == 'show') {
			name = _this.dataset.name;
			indexVM.draft_category_data[name] == 0 ? indexVM.draft_category_data[name] = 1 : indexVM.draft_category_data[name] = 0
		} else {
			name = _this.getAttribute("name")
			switch (type) {
				case 'depot_id':
					indexVM.draft_category_data.depot_id = name;
					break;
				case 'used_type':
					indexVM.draft_category_data.used_type = name;
					break;
			}
		}
	})
	mui('#draft_select_menu').on('tap','.chooseReset',function(){
		indexVM.draft_qry_depot = -1;
		indexVM.draft_used_type = 3;
		draftPage();
		indexVM.his_search_show = false;
		mui("#draft_select_menu").popover("hide");
	})
	mui('#draft_select_menu').on('tap','.chooessQry',function(){
		indexVM.draft_qry_depot = indexVM.draft_category_data.depot_id;
		indexVM.draft_used_type = indexVM.draft_category_data.used_type;
		draftPage();
		indexVM.his_search_show = false;
		mui("#draft_select_menu").popover("hide");
	})
	function draftPage(){
		var his = [];
		if(indexVM.draft_search != ''){
			mui.each(indexVM.searchDraftListAll,function(i,v){
				if((v.customer_name.includes(indexVM.draft_search) ||
					v.in_model_list.includes(indexVM.draft_search) ||
					v.out_model_list.includes(indexVM.draft_search) || v.remark.includes(indexVM.draft_search))
					&& ((v.depot_id == indexVM.draft_qry_depot) || (indexVM.draft_qry_depot == '-1'))){
					switch (Number(indexVM.draft_used_type)) {
						case -1:
							his.push(v)
							break;
						case 0:
							if(v.all_draft_used_amount != 0 && v.all_draft_used_amount >=v.all_draft_amount){
								his.push(v)
							}
							break;
						case 1:
							if(v.all_draft_used_amount == 0){
								his.push(v)
							}
							break;
						case 2:
							if(v.all_draft_used_amount != 0 && v.all_draft_used_amount <v.all_draft_amount){
								his.push(v)
							}
							break;
						case 3:
							if(v.all_draft_used_amount == 0 || v.all_draft_used_amount < v.all_draft_amount){
								his.push(v)
							}
							break;
					}
				}
			})
			indexVM.searchEnterDraftList = his;
		}else{
			mui.each(indexVM.searchDraftListAll,function(i,v){
				if(v.depot_id == indexVM.draft_qry_depot || indexVM.draft_qry_depot == '-1'){
					switch (Number(indexVM.draft_used_type)) {
						case -1:
							his.push(v)
							break;
						case 0:
							if(v.all_draft_used_amount != 0 && v.all_draft_used_amount >=v.all_draft_amount){
								his.push(v)
							}
							break;
						case 1:
							if(v.all_draft_used_amount == 0){
								his.push(v)
							}
							break;
						case 2:
							if(v.all_draft_used_amount != 0 && v.all_draft_used_amount <v.all_draft_amount){
								his.push(v)
							}
							break;
						case 3:
							if(v.all_draft_used_amount == 0 || v.all_draft_used_amount < v.all_draft_amount){
								his.push(v)
							}
							break;
					}
				}
			})
			indexVM.searchEnterDraftList = his;
		}
		indexVM.calculationcg();
		mui('#historyContent').scroll().refresh();   //先刷新一次布局再scrollTo
		mui('#historyContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
	}
	/**
	 * 
	 *得到一个月最大天数
	 */
	function getLastDay(year, month) {
		var new_year = year;
		var new_month = month++;

		if (month > 12) {
			new_month -= 12;
			new_year++;
		}
		var new_date = new Date(new_year, new_month, 1);
		return (new Date(new_date.getTime() - 1000 * 60 * 60 * 24)).getDate();
	}

	mui(".cmdDraft").on('click', '.draftSearch', function () {
		indexVM.showWarn = false;
		if (this.dataset.to == "previous") {
			indexVM.draftTime -= 24 * 60 * 60 * 1000;

		} else {
			indexVM.draftTime += 24 * 60 * 60 * 1000;
			if (indexVM.draftTime >= Date.parse(new Date())) {
				indexVM.draftTime = Date.parse(new Date());
			}
		};
		var date = new Date(indexVM.draftTime);
		var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
		searchEnterDraft(searchTime, searchTime);

		indexVM.cgDateFirst = "";
		indexVM.cgDateLast = "";
	})
	mui(".cmdHistory").on('tap', '.mui-table>tbody>tr', function () {
		sessionStorage.setItem("cgDateFirst", indexVM.cgDateFirst);
		sessionStorage.setItem("cgDateLast", indexVM.cgDateLast);
		sessionStorage.setItem("draftTime", indexVM.draftTime);
		sessionStorage.setItem("historyTime", indexVM.historyTime);

		historyVM.loadOrderInfo(this.dataset.id);
		historyVM.getAccountList();
		mui('#purchaseHistory')[0].style.display = "block";
		mui('#caigouDom')[0].style.display = "none";
	});
	mui(".cmdHistory").on('tap', '.historyItem', function () {
		sessionStorage.setItem("cgDateFirst", indexVM.cgDateFirst);
		sessionStorage.setItem("cgDateLast", indexVM.cgDateLast);
		sessionStorage.setItem("draftTime", indexVM.draftTime);
		sessionStorage.setItem("historyTime", indexVM.historyTime);
		sessionStorage.setItem("logistics_number", indexVM.logistics_number);
		indexVM.his_click = this.dataset.id;
		historyVM.loadOrderInfo(this.dataset.id);
		historyVM.getAccountList();
		indexVM.historyId = this.dataset.id;
        mui('#purchaseHistory')[0].style.display = "block";
        mui('#caigouDom')[0].style.display = "none";
	});
	
	mui(".cmdDraft").on('tap', '.historyDraftItem', function () {
		var useamount = this.dataset.useamount,amount = this.dataset.amount;
		var id = this.dataset.id;
		localStorage.removeItem("selProductList");
		sessionStorage.removeItem("AB_purchase");
		sessionStorage.removeItem("selectedDepot");
		sessionStorage.removeItem("selectedSupplier");
		sessionStorage.removeItem("selectedBuyer");
		sessionStorage.removeItem("createDate");
		sessionStorage.removeItem("remark");
		sessionStorage.removeItem("product");
		sessionStorage.setItem("draftId", id);
		localStorage.setItem("pageTabId", "draft");
		sessionStorage.setItem("cgDateFirst", indexVM.cgDateFirst);
		sessionStorage.setItem("cgDateLast", indexVM.cgDateLast);
		sessionStorage.setItem("draftTime", indexVM.draftTime);
		sessionStorage.setItem("logistics_number", indexVM.logistics_number);
		localStorage.setItem("companyName",indexVM.companyName);
		sessionStorage.removeItem("type");
		var listSend = {};
		listSend.draftId = id;
		listSend.supplierList = JSON.parse(sessionStorage.getItem("supplierList"));
		viewHandle.viewFire('draft.html','draftUpdate',listSend);
		viewHandle.openWindow( 'draft.html','draft.html',JSON.stringify(listSend));
	})

	mui(".cmdDraft").on('tap', '.mui-table>tbody>tr', function () {
		var id = this.dataset.id;
		sessionStorage.removeItem("AB_purchase");
		localStorage.removeItem("selProductList");
		sessionStorage.removeItem("selectedDepot");
		sessionStorage.removeItem("selectedSupplier");
		sessionStorage.removeItem("selectedBuyer");
		sessionStorage.removeItem("createDate");
		sessionStorage.removeItem("remark");
		sessionStorage.removeItem("product");
		sessionStorage.setItem("draftId", id);
		localStorage.setItem("pageTabId", "draft");
		sessionStorage.setItem("cgDateFirst", indexVM.cgDateFirst);
		sessionStorage.setItem("cgDateLast", indexVM.cgDateLast);
		sessionStorage.setItem("draftTime", indexVM.draftTime);
		localStorage.setItem("companyName",indexVM.companyName);
		sessionStorage.removeItem("type");
		viewHandle.openWindow( 'draft.html','draft.html');
	})
	//日期选择
	var lsDateFirst = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	})
	var lsDateLast = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	})
	var cgDateFirst = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	})
	var cgDateLast = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	})
	var createDate = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']

	});

	var deliveryDate = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	});

	/*点击出货按钮*/
	mui(".mui-bar-tab").on('tap', ".chuhuo", function () {
		goPages(this.dataset.id, this);
	});

	/*点击库存按钮*/
	mui(".mui-bar-tab").on('tap', ".kucun", function () {
		goPages(this.dataset.id, this);
	});

	/*点击统计按钮*/
	mui(".mui-bar-tab").on('tap', ".tongji", function () {
		goPages(this.dataset.id, this);
	});

	function byBarcode() {
		indexVM.isEnter = true;

		var data = {
			'depot_id': indexVM.selectedDepot,
			'barcode': indexVM.searchMsg
		}
		mui.ajax(severUrl + "scm/product/qryOpByBarcode.json", {
			data: data,
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function (res) {
				indexVM.searchMsg = '';
				indexVM.isEnter = false;

				if (res.success) {
					mui.toast('扫描成功');
					var res = res.data;
					var flag = [];
					var index = 0;
					var count = 0;
					var indexList = 0;

					res.amt = res.amount;
					res.list[0].ordertype = 0;

					for (var j = 0, jen = indexVM.selProductList.length; j < jen; j++) {
						if (indexVM.selProductList[j].list.length == 0) {
							indexVM.selProductList.splice(j, 1);
						}
					}

					if (!indexVM.selProductList || indexVM.selProductList.length == 0) {
						indexVM.selProductList.push(res);
						localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
					} else {
						for (var i = 0, len = indexVM.selProductList.length; i < len; i++) {
							for (var x in res) {
								for (var j = 0, jen = indexVM.selProductList[i].list.length; j < jen; j++) {
									if (indexVM.selProductList[i].id == res.id
										&& indexVM.selProductList[i].depot_id == res.depot_id
										&& indexVM.selProductList[i].list[j].size_id == res.list[0].size_id
										&& indexVM.selProductList[i].list[j].color_id == res.list[0].color_id
									) {
										count = (indexVM.selProductList[i].list[j].count + res.list[0].count);
										flag.push(true);
										index = i;
										indexList = j;
									} else {
										flag.push(false);
									}
								}
							}
						}

						if (_.contains(flag, true)) {
							indexVM.selProductList[index].list[indexList].count = count;
						}
						if (_.contains(flag, true) == false && indexList == 0) {
							indexVM.selProductList.push(res);
						}
					}

					localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
					indexVM.calculation();
					indexVM.$nextTick(function () {
						mui('.mui-switch')['switch']();
					})
				} else {
					mui.toast(res.msg);
				}
			}
		});
	}


    mui('body').on('tap', '.icon-sousuo', function () {
        $(".productSearchIpt").focus();
    });

	mui('body').on('tap', '.lsDateFirst', function () {
		var _self = this;
		lsDateFirst.show(function (e) {
			indexVM.timeSearchType = '';
			indexVM.lsDateFirst = e.text;
		})
	});
	mui('body').on('tap', '.lsDateLast', function () {
		var _self = this;
		lsDateLast.show(function (e) {
			indexVM.timeSearchType = '';
			indexVM.lsDateLast = e.text;
		})
	});
	mui('body').on('tap', '.cgDateFirst', function () {
		var _self = this;
		cgDateFirst.show(function (e) {
			indexVM.draftTimeSearchType = '';
			indexVM.cgDateFirst = e.text;
		})
	});
	mui('body').on('tap', '.cgDateLast', function () {
		var _self = this;
		cgDateLast.show(function (e) {
			indexVM.draftTimeSearchType = '';
			indexVM.cgDateLast = e.text;
		})
	});
	mui('body').on('tap', '.createDate', function () {
		var _self = this;
		createDate.show(function (e) {
			indexVM.createDate = e.text;
			// isDateCopy = undefined
		})
	});
	mui('body').on('tap', '.deliveryDate', function () {
		var _self = this;
		deliveryDate.show(function (e) {
			indexVM.deliveryDate = e.text;
		})
	});
	mui('body').on('click', '.procurement', function () {
		if (indexVM.selProductList.length == 0) {
			mui.toast('请选择商品');
			return;
		}
		//if(indexVM.accountList.length ==0){
			getAccountList();
		//}
		mui('#purchase').popover('toggle');
	});
	//点击对账
	mui('body').on('click', '.reconciliation', function () {
        var startTime='';
        var endTime='';
        if(indexVM.lsDateFirst){
            startTime=fmtDate(indexVM.lsDateFirst);
            endTime=fmtDate(indexVM.lsDateLast);
        }else{
            startTime= fmtDate(indexVM.historyTime);
            endTime= fmtDate(indexVM.historyTime);
        }
        searchRecon(startTime,endTime);
        mui('#ph_recon').popover('toggle');
    });
    function fmtDate(obj){
        var date =  new Date(obj);
        var y = 1900+date.getYear();
        var m = "0"+(date.getMonth()+1);
        var d = "0"+date.getDate();
        return y+"-"+m.substring(m.length-2,m.length)+"-"+d.substring(d.length-2,d.length);
    }
    function searchRecon(startTime, endTime) {
		indexVM.all_debt_amt = 0.00;
		indexVM.profit = 0.00;
		indexVM.reconTotal = 0;
		indexVM.orderInfoList = [];
        mui.ajax(severUrl + "scm/order/getAllOrderInfoByTimes.json", {
            data: {
				depot_id:indexVM.his_category_data.depot_id,
				search_condition: indexVM.his_search,
				delivery_status:indexVM.his_category_data.delivery_type,
				debt_status:indexVM.his_category_data.pay_type,
                ordertype: 0, // 1 为销售对账  0 为采购对账
                start_date:startTime,
                end_date:endTime
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            xhrFields: {
                withCredentials: true
            },
            dataType: 'json',
            type: 'post',
            timeout: 10000,
            success: function (res) {
                if (res.success) {
					var orderInfoList = [];
					$.each(indexVM.accountList,function(i,v){
						if(v.is_disable == 0){
							var list = {
								name:v.name,
								type:v.type,
								amt:0
							}
							orderInfoList.push(list)
						}
					})
					var all_debt_amt = 0,profit = 0,reconTotal = 0;
					$.each(res.data, function(index, val){

						all_debt_amt += Number(val.all_debt_amt)
						profit += Number(val.all_profit_amt)
						reconTotal += Number(val.all_amt)

						$.each(orderInfoList, function(j, k){
							if(val.pay_status == k.type){
								k.amt +=Number(val.all_amt);
								k.amt = numToCur(k.amt,indexVM.systemSetting.price_decimals_setting,'price')
							}
						})
					})
					indexVM.all_debt_amt = numToCur(all_debt_amt,indexVM.systemSetting.price_decimals_setting,'price');
					indexVM.profit = numToCur(profit,indexVM.systemSetting.amount_decimals_setting);
					indexVM.reconTotal = numToCur(reconTotal,indexVM.systemSetting.amount_decimals_setting);
					indexVM.orderInfoList = orderInfoList
                }
            }
        });
    }
	mui('body').on('click', '.ph_recon_Close', function () {
		mui('#ph_recon').popover('toggle');
		//		indexVM.moLing=0;
	});
	mui('body').on('tap', '.addMoling', function () {
		//		if(indexVM.moLing<indexVM.totalPrice){
		indexVM.moLing++;

		if (indexVM.totalPrice > 0) {
			indexVM.truePay--;
		} else {
			indexVM.truePay++;
		}
		//		}
	});
	mui('body').on('tap', '.reduceMoling', function () {
		if (indexVM.moLing > 0) {
			indexVM.moLing--;

			if (indexVM.totalPrice > 0) {
				indexVM.truePay++;
			} else {
				indexVM.truePay--;
			}
		}
	});
	mui('.popover').on('tap', '.cancelPurchase', function () {
		mui('#purchase').popover('toggle');
		indexVM.moLing = 0;
		indexVM.editTotalPrice = indexVM.totalPrice;
		indexVM.truePayFirst = true;
	});
	mui('.draftPurchase').on('tap', '.draftCancelPurchaseOrder', function () { //高级版订单
		indexVM.totalPrice = indexVM.editTotalPrice
		mui('#draftPurchase').popover('toggle');
	});
	mui('body').on('tap','.payType',function(){
		mui.confirm("", "付款方式", ["取消","确定"], function (e) {
			if(e.index==1){
				var type = $(".colorOrange").attr("type");
				var id = $(".colorOrange").attr("id");
				indexVM.pay_status = Number(type)
				indexVM.account_id = id;
			}else{

			}
		},'div');
		//样式重写
		$(".mui-popup-in").css('border-radius',0);
		$(".mui-popup-inner").css('border-radius','6px');
		$(".mui-popup-inner").css('overflow','hidden');
		$(".mui-popup-inner").css('padding',0);
		$(".mui-popup-title").remove();
		$(".mui-popup-buttons").css('display','none');
		var muiPrompt = '';
		mui.each(indexVM.accountList,function(i,v){
			switch (v.type) {
				case 1:
					if(v.is_disable == 1) break
					var type = v.type;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-xianjin' style='color: #fe7e7e'>&nbsp;</span><span class='chooseColor colorOrange' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor colorOrange' style='font-size: 36px; display: none'></span></div></div>"
					break;
				case 2:
					if(v.is_disable == 1) break;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-zhifubao' style='color: #09aaf0'>&nbsp;</span><span class='chooseColor' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor' style='font-size: 36px; display: none'></span></div></div>"
					break;
				case 3:
					if(v.is_disable == 1) break;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-icon1460188541813' style='color: #51c232'>&nbsp;</span><span class='chooseColor' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor' style='font-size: 36px; display: none'></span></div></div>"
					break;
				case 4:
					if(v.is_disable == 1) break;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-bank-card' style='color: #f90000'>&nbsp;</span><span class='chooseColor' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor' style='font-size: 36px; display: none'></span></div></div>"
					break;
				default:
					if(v.is_disable == 1) break;
					muiPrompt +="<div class='payTypeDiv chooessType'><div style='display: flex; flex: 1'><span class='iconfont icon-qitaphone' style='color: #b74c00'>&nbsp;</span><span class='chooseColor' type='"+v.type+"' id='"+v.id+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty chooseColor' style='font-size: 36px; display: none'></span></div></div>"
					break;
			}
		})
		$(".mui-popup-text").html(muiPrompt);
		setTimeout(function(){
			$('.chooseColor').removeClass("colorOrange")
			$(".chooessType").eq(indexVM.pay_status-1).find(".chooseColor").addClass("colorOrange")
		})
	});
	mui("body").on('tap','.chooessType',function(){
		$('.chooseColor').removeClass("colorOrange")
		$(this).find('.chooseColor').addClass("colorOrange")
		mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0],'tap');
	});


    //历史打印
    mui('#purchaseHistory').on('tap', '#historyOrder', function () {
        if($("#printDiv").is(':visible')){
            $("#printDiv").hide();
        }else{
            $("#printDiv").show();
        }
        mui.ajax(severUrl + "sso/company/qry.json", {
            data: {
                id: ""
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            xhrFields: {
                withCredentials: true
            },
            dataType: 'json',
            type: 'post',
            timeout: 10000,
            success: function (res) {
                indexVM.status = res.data.status;
            }
        });
    });
    mui('#purchaseHistory').on('tap', '#printBarcode', function () {
        if (indexVM.status == 1) {
			$("#printDiv").hide();
        	if(indexVM.vipLevel==1 && indexVM.systemSetting.sn_setting == 1){
        		var list = historyVM.productListCai.concat(historyVM.productListTui);
				var listSend = {
					model:list[0].product_model,
					name:list[0].product_name,
					print_list:list,
					parentPage:'cai_his_print'
				};
				viewHandle.openWindow("sns_print.html","sns_print.html",JSON.stringify(listSend))
			}else{
				viewHandle.waiting("数据查询中请稍后...")
				mui.ajax(severUrl + "scm/order/qryOpWithBarcode.json", {
					data: {
						id: historyVM.historyId
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function (res) {
						var list = res.data.productlist;
						var checkedList = [],qry_id = [],qry_index = 0,qry_list = [];
						mui.each(list,function(i,v){
							if(!qry_id.includes(v.product_id)){
								qry_id.push(v.product_id)
							}
						})
						if(qry_id.length>0){
							if(qry_id.length>10){
								viewHandle.close();
								viewHandle.waiting("数据较多请等待...")
							}
							grt_productotherattr()
						}
						function grt_productotherattr(){
							mui.ajax(severUrl + "scm/productotherattr/qryOp.json", {
								data: {
									product_id:qry_id[qry_index]
								},
								headers: {
									'Content-Type': 'application/x-www-form-urlencoded'
								},
								xhrFields: {
									withCredentials: true
								},
								dataType: 'json',//服务器返回json格式数据
								type: 'post',//HTTP请求类型
								timeout: 10000,//超时时间设置为10秒；
								success: function (res) {
									if(qry_index < qry_id.length){
										qry_list.push({
											product_id:qry_id[qry_index],
											otherAttrList:res.data
										})
										if(qry_index == qry_id.length -1){
											viewHandle.close();
											mui.each(list,function(i,v){
												mui.each(qry_list,function(k,n){
													if(v.product_id == n.product_id){
														checkedList.push({
															"barcode": list[i].barcode,
															"color": list[i].color_name,
															"color_id": list[i].color_id,
															"index": i + "",
															"product_id":n.product_id,
															"model": list[i].product_model,
															"name": list[i].product_name,
															"num": Number(list[i].amount).toFixed(0),
															"size": list[i].size_name,
															"size_id": list[i].size_id,
															"material": list[i].material,
															"otherAttrList": n.otherAttrList,
															"sale_price":list[i].sale_price_a,
															"sale_price_a":list[i].sale_price_a,
															"sale_price_b":list[i].sale_price_b,
															'keyList':keyList
														});
														return false
													}
												})
											})
											var k = 0;
											var msg = "";
											for (var j = 0; j < checkedList.length; j++) {
												if (checkedList[j].barcode == "") {
													msg += "货号:" + checkedList[j].model + "  颜色:" + checkedList[j].color + "  尺码:" + checkedList[j].size + "\n";
													k++;
												}
												if(k > 17){
													msg +="......\n"
													break;
												}
											}
											msg += "请前往商品信息页面设置\n";
											sessionStorage.setItem("checkedList", JSON.stringify(checkedList));
											if (k != 0) {
												mui.alert(msg, '还有商品未设置条码', function () {
												},'div');
												$("#printDiv").hide();
											} else {
												var listSend = {};
												listSend.checkedList = checkedList;
												viewHandle.openWindow( 'printCode.html','printCode.html',JSON.stringify(listSend));
											}
										}else{
											qry_index++;
											grt_productotherattr()
										}
									}
								}
							});
						}
					}
				});
			}
        }else{
            $("#printDiv").hide();
            $comm.showLimitPrint({rootPath:'./'})
        }
    });
    mui('#purchaseHistory').on('tap', '#printBill', function () {
            if (indexVM.status == 1) {
                var shuju=sessionStorage.getItem("historyPrint");
                var senShuJu=shuju.substring(1,shuju.length-1);
                if (shuju) {
					$("#printDiv").hide();
                    if (mui.os.ios == true) {
                        receiptPrint_i(senShuJu,indexVM.purchaseManager)
                    } else if (mui.os.android == true) {
						printBill(senShuJu,indexVM.purchaseManager)
                    }
                }

            } else {
                $comm.showLimitPrint({rootPath:'./'})
            }
    });

	mui('.popover').on('tap', '.orderPrint', function () {
		if(indexVM.accountBalance != 'default'){
			if(Number(indexVM.accountBalance) <0){
				if(Number(indexVM.editTotalPrice) >0){
					if((Number(indexVM.accountBalance) + Number(indexVM.noPay)) >0){
						mui.confirm("供应商余额不足！"+numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price')+"元将计入供应商欠款。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								indexVM.noPay = numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
								dikou_amt = true;
								newOrderPrint()
							}else{

							}
						},'div');
						return false
					}else{
						newOrderPrint()
					}
				}else{
					newOrderPrint()
				}
			}else{
				if(Number(indexVM.editTotalPrice) < 0){
					if((Number(indexVM.accountBalance) + Number(indexVM.noPay)) <0){
						mui.confirm("欠供应商款不足抵扣！"+numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price')+"元 将充入供应商余额。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								indexVM.noPay = numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
								dikou_amt = true;
								newOrderPrint()
							}else{
							}
						},'div');
					}else{
						newOrderPrint()
					}
				}else{
					newOrderPrint()
				}
			}
		}else{
			newOrderPrint()
		}
	});

	function newOrderPrint(){
		mui('.procurement').button('loading');
		// $(".orderPrint").css('pointer-events','none');
		$("button").css('pointer-events','none');
		mui.ajax(severUrl + "sso/company/qry.json", {
			data: {
				id: ""
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function (res) {
				if (res.data.status == 1) {
					if (indexVM.selProductList.length != 0) {
						var printData = purchaseData();
						mui.each(indexVM.accountList,function(i,v){
							if(indexVM.pay_status == v.type){
								return printData.account_name = v.name
							}
						})
						printData.head_name=indexVM.realname;
						printData.print_address=indexVM.consignee_address;

						printData.real_name = indexVM.realname;
						if(dikou_amt){
							printData.truePay = numToCur(indexVM.truePay - (printData.deduction_amt || 0),indexVM.systemSetting.price_decimals_setting,'price');
						}else{
							printData.truePay = numToCur(indexVM.truePay,indexVM.systemSetting.price_decimals_setting,'price');
						}
						printData.depot_name = indexVM.depotName;
						printData.customer_name = indexVM.supplierName;
						printData.company_name = indexVM.companyName;

						// 采购
						createOrder(purchaseData(), function () {
							localStorage.removeItem("selProductList");
							localStorage.removeItem("AB_purchase")
							sessionStorage.removeItem("selectedSupplier");
							sessionStorage.removeItem("selectedDepot");
							sessionStorage.removeItem("logistics_number");
							localStorage.setItem("productListPage","refresh");
							localStorage.setItem("pinProductListPage","refresh");
							localStorage.setItem("draftProductListPage","refresh");
							localStorage.setItem("pinDraftProductListPage","refresh");
							localStorage.setItem("cunInventoryListPage","refresh");
							localStorage.setItem("cunAlloctionListPage","refresh");
							$("button").css('pointer-events','auto');
							mui('.procurement').button('reset');
							indexVM.selProductList = [];
							indexVM.remark = "";
							setTimeout(function(){
								$('#remark[autoHeight]').autoHeight();
							},280)
							indexVM.logistics_number = '';
							indexVM.consignee_address = '';
							indexVM.moLing = 0;
							indexVM.truePayFirst = true;
							indexVM.truePay = 0;
							dikou_amt = false;
							indexVM.accountBalance = 'default';
							indexVM.expenseName='';
							indexVM.expense=0;
							indexVM.expenseId='';
							indexVM.expenseDegression=0;
							indexVM.calculation();
							var date = new Date(indexVM.historyTime);
							var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
							getIndexMenu();
							if (mui.os.ios == true) {
								receiptPrint_i(JSON.stringify(printData),indexVM.purchaseManager)
							} else if (mui.os.android == true) {
								printBill(JSON.stringify(printData),indexVM.purchaseManager)
							}
						})
					}

				} else {
					$comm.showLimitPrint({rootPath:'./'})
					$("button").css('pointer-events','auto');
					mui('.procurement').button('reset');
				}
				mui(".pullReFresh").scroll().scrollTo(0,0,0);
				window.scrollTo(0,0);
			}
		});
	}

	mui('body').on('tap', '.firstSlider', function () {
		this.style.color = "#fff";
		var self = this;
		var itl = setTimeout(function () {
			self.style.color = "#000";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#slider .mui-slider-item.muiActive')[0].dataset.index;
		var gallery = mui('#slider');
		gallery.slider().gotoItem(--sliderIndex);
	});
	mui('body').on('tap', '.lastSlider', function () {
		this.style.color = "#fff";
		var self = this;
		var itl = setTimeout(function () {
			self.style.color = "#000";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#slider .mui-slider-item.muiActive')[0].dataset.index;
		var gallery = mui('#slider');
		gallery.slider().gotoItem(++sliderIndex);
	});

	/*点击订单查询按钮*/
	mui('body').on('click', '.searchEnterDraft', function () {
		searchEnterDraft(indexVM.cgDateFirst,indexVM.cgDateLast);
	});
	/*点击查询*/
	mui('body').on('click', '.searchEnterHistory', function () {
		searchEnterHistory(indexVM.lsDateFirst,indexVM.lsDateLast);
		// if(indexVM.lsDateFirst == '' || indexVM.lsDateLast == ''){
		// 	indexVM.lsDateFirst=loadBeforeMarchDate(1);
		// 	indexVM.lsDateLast=loadNowDate(1);
		// }
		// var data = timedifference(indexVM.lsDateFirst,indexVM.lsDateLast);
		// if(data > 92){
		// 	mui.toast("时间范围不能大于三个月，请分段查询");
		// 	return;
		// }
		// mui.ajax(severUrl + "scm/order/dataGrid.json", {
		// 	data: {
		// 		start_date: indexVM.lsDateFirst,
		// 		end_date: indexVM.lsDateLast,
		// 		ordertype: 0,
		// 		submit_status: -1,
		// 		rows: 1000,
		// 		page: 1
		// 	},
		// 	headers: {
		// 		'Content-Type': 'application/x-www-form-urlencoded'
		// 	},
		// 	xhrFields: {
		// 		withCredentials: true
		// 	},
		// 	beforeSend: function() {
		// 		mui('#dh')[0].style.display = "block";
		// 	},
		// 	complete: function() {
		// 		mui('#dh')[0].style.display = "none";
		// 	},
		// 	dataType: 'json',
		// 	type: 'post',
		// 	timeout: 10000,
		// 	success: function (res) {
		// 		if (res.success) {
		// 			indexVM.searchEnterHistoryList = res.data.list;
		// 			indexVM.calculationls();
		// 			mui('#historyContent').scroll().refresh();   //先刷新一次布局再scrollTo
		// 			mui('#historyContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
		// 			if(res.data.totalPage > 1){
		// 				mui.toast("单据数量太大，系统只显示前1000个单据及单据合计");
		// 			}
		// 		} else {
		// 			mui.toast(res.msg);
		// 		}
		// 	},
		// 	error:function(res){
		// 		if(res.statusText == 'timeout'){
		// 			mui.toast("单据太多，查询超时")
		// 		}
		// 	}
		// });
	});
	/*点击草稿*/
	mui('body').on('click', '.addDraft', function () {
		if (indexVM.selProductList.length == 0) {
			mui.toast('请选择商品');
			return;
		}
		if(indexVM.vipLevel == 1){
			mui('#draftPurchase').popover('toggle');
		}else{
			vipOrderSave()
		}
	});
	mui('body').on('tap','.vipOrderSave',function(){
		vipOrderSave()
	})
	function vipOrderSave(){
		if (indexVM.selProductList.length != 0) {
			var productList = [];
			mui.each(indexVM.selProductList, function (index, product) {
				if (product.depot_id == indexVM.selectedDepot) {
					mui.each(product.list, function (index2, value) {
						if (value.count != 0) {
							productList.push({
								product_id: product.id,
								product_model: product.model,
								product_name: product.name,
								barcode:value.barcode,
								type: value.ordertype,
								purchase_price: product.purchase_price,
								product_sn_list:value.product_sn_list || [],
								// sale_price: product.sale_price,
								// amt: product.amt,
								sale_price: Number(product.sale_price) / (product.unitChooseRatio || 1),
								amt: Number(product.amt) / (product.unitChooseRatio || 1),
								color_id: value.color_id,
								color_name: value.color_name,
								size_id: value.size_id,
								size_name: value.size_name,
								amount: value.count,
								unitChooseId: product.unitChooseId,
								unitChooseName: product.unitChooseName,
								unitChooseRatio: Number(product.unitChooseRatio) || null,
								unitMinName:product.unitMinName
							});
						}
					})
				}
				mui(".pullReFresh").scroll().scrollTo(0,0,0);
				window.scrollTo(0,0);
			});
			var date = new Date();
			var time = indexVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			console.log(JSON.stringify(indexVM.remark,null,2));
			if(indexVM.moLing ==''){
				indexVM.moLing =0;
			}
			var logistics_number = '';
			if(indexVM.deliveryType !=0){
				logistics_number = indexVM.logistics_number;
			}
			mui.each(productList, function (index, val) {
				if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
					val.amount = Number(val.amount * val.unitChooseRatio)
				}
			});
			createOrder({
				id: '',
				remark: indexVM.remark,
				sign_date: time,
				customer_id: indexVM.selectedSupplier,
				customer_name: indexVM.supplierName,
				depot_id: indexVM.selectedDepot,
				rebate_amt: indexVM.moLing,
				order_amt: indexVM.totalPrice,
				amount: indexVM.totalAmount,
				logistics_number:logistics_number, //快递单号
				consignee_address:indexVM.consignee_address, //收货单号
				ordertype: 0,
				pay_status: indexVM.vipLevel==1?indexVM.pay_status:1,//1为现金、2为支付宝、3为微信，默认为1
				submit_status: 1,
				productlistlength: productList.length,
				//草稿物流信息参数保存
				delivery_status: indexVM.deliveryStatus,
				delivery_type: indexVM.deliveryType,
				productlist: productList,
				color_show:indexVM.color_show, //全行业参数
				size_show:indexVM.size_show, //全行业参数
				unit_show:indexVM.unit_show, //全行业参数
				origin_specification:indexVM.origin_specification, //全行业参数
			}, function () {
				localStorage.removeItem("selProductList");
				sessionStorage.removeItem("selectedSupplier");
				localStorage.removeItem("AB_purchase");
				sessionStorage.removeItem("selectedDepot");
				sessionStorage.removeItem("logistics_number");
				indexVM.selProductList = [];
				indexVM.remark = "";
				setTimeout(function(){
					$('#remark[autoHeight]').autoHeight();
				},280)
				indexVM.moLing = 0;
				indexVM.logistics_number = '';
				indexVM.consignee_address = '';
				indexVM.expenseName='';
				indexVM.expense=0;
				indexVM.expenseId='';
				indexVM.expenseDegression=0;
				indexVM.calculation();
				var date = new Date(indexVM.draftTime);
				var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
				searchEnterDraft(searchTime, searchTime);
				getIndexMenu();
			})
		}
	}
	/*点击 确认开单 按钮*/
	mui('body').on('click', '.cgCreateOrder', function () {
		if(indexVM.selectedSupplier =="" || indexVM.selectedSupplier == undefined){
			mui.toast("供应商错误,请确认权限！");
			return false
		}
		if(indexVM.vipLevel == 1){
			if(document.getElementById("checkchoose") && document.getElementById("checkchoose").checked){
				viewHandle.waiting("已有单据查询中...")
				var draftKaidanCheck = [];
				for (var i = 0; i < indexVM.selProductList.length; i++) {
					for (var j = 0; j < indexVM.selProductList[i].list.length; j++) {
						if (indexVM.selProductList[i].list[j].count > 0) {
							var kaidanProductInfo = {
								product_id: indexVM.selProductList[i].list[j].product_id,
								amount: indexVM.selProductList[i].list[j].count * (indexVM.selProductList[i].unitChooseRatio || 1),
								type: indexVM.selProductList[i].list[j].ordertype,
								color_id: indexVM.selProductList[i].list[j].color_id,
								size_id: indexVM.selProductList[i].list[j].size_id
							};
							draftKaidanCheck.push(kaidanProductInfo);
						}
					}
				}
				canOrderByDraft(draftKaidanCheck)
			}else{
				vip_newCreateOrder()
			}
		}else{
			vip_newCreateOrder()
		}
	});
	mui('body').on('tap', '.kefu', function () {
		viewHandle.openWindow('message.html','message.html')
	});
	mui('body').on('tap', '#go_shopping', function () {
		viewHandle.openWindow('valueAddedService.html','valueAddedService.html')
	});
	var tap_first  = null;
	function unsafe_tap(){
		if(!tap_first){
			tap_first = new Date().getTime();
			setTimeout(function() {
				tap_first = null;
			}, 1500);
		}else{
			return true;
		}
	}
    /*左侧导航 小程序管理*/
    mui('body').on('tap','.LPsettings',function(){
		viewHandle.openWindow( 'view/adminSettings.html','adminSettings.html');
        //location = 'view/adminSettings.html'
//        mui.openWindow({
//            id:'LPsetting',
//            url:'view/adminSettings.html'
//        })
    });
	mui('body').on('tap','.sns_list_qry',function(){
		viewHandle.openWindow('sns_list.html','sns_list.html')
	})
	//财务管理点击跳转
	mui('body').on('tap', '.customer_collection', function () { //客户账款
		if(unsafe_tap()) return;
		var listSend = {};
		listSend.type = "customer"
		viewHandle.openWindow('view/user_collection.html','user_collection.html',JSON.stringify(listSend))
	});
	mui('body').on('tap', '.supplier_collection', function () { //供应商账款
		if(unsafe_tap()) return;
		var listSend = {};
		listSend.type = "supplier"
		viewHandle.openWindow('view/user_collection.html','user_collection.html',JSON.stringify(listSend))
	});
	mui('body').on('tap', '.settlement_account', function () { //结算账户
		if(unsafe_tap()) return;
		viewHandle.openWindow('view/settlement_account.html','settlement_account.html')
	});
	mui('body').on('tap', '.income_expenses', function () { //日常收支
		if(unsafe_tap()) return;
		viewHandle.openWindow('view/income_expenses.html','income_expenses.html')
	});
	mui('body').on('tap', '.bill_collection', function () { //票据设置
		var typeList={
			size_show: indexVM.size_show,
			color_show: indexVM.color_show,
			unit_show: indexVM.unit_show,
			origin_specification: indexVM.origin_specification,
			ordertype:2
		}
		mui.os.ios ? printCollocate_b():printConfiguration_b(typeList,indexVM.purchaseManager)
	});
	mui('body').on('tap', '.label_collection', function () { //标签设置
		mui.ajax(severUrl + "scm/productother/dataGrid.json", {
			data: {
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',//服务器返回json格式数据
			type: 'post',//HTTP请求类型
			timeout: 10000,//超时时间设置为10秒；
			success: function (res) {
				if(res.success){
					var send = [],list = {};
					list = {
						"keyList":res.data.list
					}
					send.push(list);
					mui.os.ios ? printCollocate_i(send):printConfiguration(send);
				}
			}
		});
	});

	/*扫描二维码字体图标点击事件*/
	mui('body').on('tap', '.sweepCode', function () {
		// if(!positionName && !storeManager && !purchaseManager){
		// 	mui.toast("您没有该权限");
		// 	return
		// }
		mui.each(indexVM.depotList, function (index, value) {
			if (value.id == indexVM.selectedDepot) {
				var depot = value.name;
				if (value.name.indexOf('#') != -1) {
					depot = encodeURIComponent(value.name);
				}
				var cookie ='ecp_cookie='+localStorage.getItem("HF");
				var sendUrl = 'zhijianjxcapp://productscan/param?depot_id=' + indexVM.selectedDepot + '&depot_name=' + depot + '&ordertype=0' + '&is_manager='+indexVM.purchaseManager+ '&sn_setting='+indexVM.systemSetting.sn_setting;
				if (mui.os.ios == true) {
					sweepCode_i(cookie,sendUrl,888)
				} else if (mui.os.android == true) {
					sweepCode(cookie,sendUrl,888)
				}
			}
		});
	});

	/*左侧导航 客户管理*/
	mui('body').on('tap', '.customerSetting', function () {
		viewHandle.openWindow( 'view/customerSetting.html','customerSetting.html');
		//location = 'view/customerSetting.html'
//		mui.openWindow({
//			id: 'customerSetting',
//			url: 'view/customerSetting.html'
//		});
	});

	/*左侧导航 供应商管理*/
	mui('body').on('tap', '.supplierSetting', function () {
		viewHandle.openWindow( 'view/supplierSetting.html','supplierSetting.html');
		//location = 'view/supplierSetting.html'
//		mui.openWindow({
//			id: 'supplierSetting',
//			url: 'view/supplierSetting.html'
//		});
	});

	/*左侧导航 仓库设置 点击跳转*/
	mui('body').on('tap', '.warehouseSettings', function () {
		var listSend = {};
		viewHandle.openWindow( 'warehouseSettings.html','warehouseSettings.html');
		//location = 'warehouseSettings.html'
//		mui.openWindow({
//			id: 'warehouseSettings',
//			url: 'warehouseSettings.html'
//		});
	});

	/*左侧导航 员工账户管理*/
	mui('body').on('tap', '.addUser', function () {
	    viewHandle.openWindow('view/user.html','user.html')
	});

	mui('body').on('tap', '.userList', function () {
	     viewHandle.openWindow('view/userList.html','userList.html')
	});

	mui('body').on('tap', '.clearHC', function () {
		clearCash();
	});

}

function goPages(id, that) {
	for (var i = 0, len = indexVM.selProductList.length; i < len; i++) {
		if (indexVM.selProductList[i].depot_id == indexVM.selectedDepot) {
			for (var j = 0, jen = indexVM.selProductList[i].list.length; j < jen; j++) {
				if (indexVM.selProductList[i].list[j].count != 0) {
					mui.confirm('此页面有数据未提交，离开此页将丢失数据，是否离开此页？', '提示', ["取消","确定"], function (e) {
						if (e.index == 1) {
							indexVM.selProductList = [];
							localStorage.removeItem("selProductList");
							//location=id + '.html'
							var html = id + '.html'
							if(id == 'xiao'){
								var pageAction = localStorage.getItem("xiaoPageAction");
								if(pageAction == 'customerRefresh'){
									viewHandle.viewFire('H576E5848','customerRefresh');
								}
								viewHandle.openWindow(html,"H576E5848")
							}else{
								viewHandle.openWindow(html,html)
							}
						}
						if (e.index == 0) {
							localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
						}
					},'div');
					return;
				}
			}
		}else{
			indexVM.selProductList = [];
			localStorage.removeItem("selProductList");
			var html = id + '.html'
			if(id == 'xiao'){
				var pageAction = localStorage.getItem("xiaoPageAction");
				if(pageAction == 'customerRefresh'){
					viewHandle.viewFire('H576E5848','customerRefresh');
				}
				viewHandle.openWindow(html,"H576E5848")
			}else{
				viewHandle.openWindow(html,html)
			}
		}
	}

	for (var i = 0, len = indexVM.selProductList.length; i < len; i++) {
		if (indexVM.selProductList[i].depot_id == indexVM.selectedDepot) {
			for (var j = 0, jen = indexVM.selProductList[i].list.length; j < jen; j++) {
				if (indexVM.selProductList[i].list[j].count == 0) {
					//location=id + '.html'
					var html = id + '.html'
					if(id == 'xiao'){
						var pageAction = localStorage.getItem("xiaoPageAction");
						if(pageAction == 'customerRefresh'){
							viewHandle.viewFire('H576E5848','customerRefresh');
						}
						viewHandle.openWindow(html,"H576E5848")
					}else{
						viewHandle.openWindow(html,html)
					}
				}
			}
		}
	}

	if (indexVM.selProductList.length == 0) {
		//location=id + '.html'
		var html = id + '.html'
		if(id == 'xiao'){
			var pageAction = localStorage.getItem("xiaoPageAction");
			if(pageAction == 'customerRefresh'){
				viewHandle.viewFire('H576E5848','customerRefresh');
			}
			viewHandle.openWindow(html,"H576E5848");
		}else{
			viewHandle.openWindow(html,html)
		}
	}
}
function newCreateOrder(){
	/*采购弹窗关闭*/
	mui('#purchase').popover('toggle');
	mui(".pullReFresh").scroll().scrollTo(0,0,0);
	window.scrollTo(0,0);
	if (indexVM.selProductList.length != 0) {
		mui('.procurement').button('loading');
		// $(".cgCreateOrder").css('pointer-events','none');
		$("botton").css('pointer-events','none');
		var data = purchaseData();
		createOrder(data, initOrder)
	}
}
//表单初始化
function initOrder() {
	mui('.procurement').button('reset');
	// $(".cgCreateOrder").css('pointer-events','auto');
	$("botton").css('pointer-events','auto');
	sessionStorage.removeItem("selectedBuyer");
	sessionStorage.removeItem("logistics_number");
	sessionStorage.removeItem("selectedDepot");
	sessionStorage.removeItem("create_id");
	// sessionStorage.removeItem("createDate");
	sessionStorage.removeItem("consignee_address");
	sessionStorage.removeItem("delivery_status");
	sessionStorage.removeItem("remark");
	sessionStorage.removeItem("deliveryType");
	localStorage.removeItem("AB_price");
	localStorage.removeItem("selProductList");
	sessionStorage.removeItem("selectedSupplier");
	sessionStorage.removeItem("selectedDepot");
	localStorage.removeItem("AB_purchase");
	localStorage.removeItem("selProductList");
	localStorage.setItem("productListPage","refresh");
	localStorage.setItem("pinProductListPage","refresh");
	localStorage.setItem("draftProductListPage","refresh");
	localStorage.setItem("pinDraftProductListPage","refresh");
	localStorage.setItem("cunInventoryListPage","refresh");
	localStorage.setItem("cunAlloctionListPage","refresh");
	indexVM.selProductList = [];
	indexVM.remark = "";
	setTimeout(function(){
		$('#remark[autoHeight]').autoHeight();
	},280)
	indexVM.logistics_number = '';
	indexVM.consignee_address = '';
	indexVM.moLing = 0;
	indexVM.accountBalance = 'default';
	indexVM.truePayFirst = true;
	dikou_amt = false;
	indexVM.truePay = 0;
	indexVM.expenseName='';
	indexVM.expense=0;
	indexVM.expenseId='';
	indexVM.expenseDegression=0;
	indexVM.calculation();
	var date = new Date(indexVM.historyTime);
	var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	searchEnterHistory(searchTime, searchTime);
	getIndexMenu();
}

function vip_newCreateOrder(){//高级版开单修改
	if(indexVM.accountBalance != 'default'){
		if(Number(indexVM.accountBalance) <0){
			if(Number(indexVM.editTotalPrice) >0){
				if((Number(indexVM.accountBalance) + Number(indexVM.noPay)) >0){
					mui.confirm("供应商余额不足！"+numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price')+"元将计入供应商欠款。", "提示", ["取消","确定"], function (e) {
						if(e.index==1){
							indexVM.noPay = numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
							dikou_amt = true;
							newCreateOrder()
						}else{

						}
					},'div');
					return false
				}else{
					newCreateOrder()
				}
			}else{
				newCreateOrder()
			}
		}else{
			if(Number(indexVM.editTotalPrice) < 0){
				if((Number(indexVM.accountBalance) + Number(indexVM.noPay)) <0){
					mui.confirm("欠供应商款不足抵扣！"+numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price')+"元 将充入供应商余额。", "提示", ["取消","确定"], function (e) {
						if(e.index==1){
							indexVM.noPay = numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
							dikou_amt = true;
							newCreateOrder()
						}else{
						}
					},'div');
				}else{
					newCreateOrder()
				}
			}else{
				newCreateOrder()
			}
		}
	}else{
		newCreateOrder()
	}
}
function createOrder(data, cb) {//采购入库/销售出库
	var src = '';
	if(document.getElementById("checkchoose") && document.getElementById("checkchoose").checked){
		src = "scm/order/saveByDraft.json"
	}else{
		src = "scm/order/save.json"
	}
	// 处理copy时间
	// var date = isDateCopy ? new Date(isDateCopy) : new Date;
	// if(isDateCopy){
	// 	isDateCopy = undefined
	// }
	// var time = indexVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
	// data.sign_date = time
	mui.ajax(severUrl + src, {
		data: data,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 20000,
		success: function (res) {
			mui.toast(res.msg);
			if (res.success) {
				if (typeof cb == "function") {
					cb();
				}
				indexVM.pay_status = 1;
			}else{
                mui('.procurement').button('reset');
                // $(".cgCreateOrder").css('pointer-events','auto');
				// $(".orderPrint").css('pointer-events','auto');
				$("botton").css('pointer-events','auto');
            }
		},
        error: function(){
			mui('.procurement').button('reset');
			// $(".cgCreateOrder").css('pointer-events','auto');
			// $(".orderPrint").css('pointer-events','auto');
			$("botton").css('pointer-events','auto');
            mui.toast('采购失败');
        }
	});
}

// 传递给后台采购数据
function purchaseData() {
	var money = document.getElementById("money");
	var zfb = document.getElementById("zfb");
	var wx = document.getElementById("wx");
	var productList = [];
	var purchase_amt = 0;
	mui.each(indexVM.selProductList, function (index, product) {
		if (product.depot_id == indexVM.selectedDepot) {
			mui.each(product.list, function (index2, value) {

				if (value.count != 0) {
					productList.push({
						product_id: product.id,
						product_name: product.name,
						product_model: product.model,
						barcode:value.barcode,
						ordertype: 0, 		//Int 0为进货，1为退货
						type: value.ordertype,//Int 0为入库，1为出库//Int 0为进货或销售，1为退货
						product_sn_list:value.product_sn_list || [],
						purchase_price: product.purchase_price,
						sale_price: Number(product.sale_price) / (product.unitChooseRatio || 1),
						amt: Number(product.amt) / (product.unitChooseRatio || 1),
						color_id: value.color_id,
						color_name: value.color_name,
						size_id: value.size_id,
						size_name: value.size_name,
						amount: value.count,
						unitChooseId: product.unitChooseId,
						unitChooseName: product.unitChooseName,
						unitChooseRatio: Number(product.unitChooseRatio) || null,
						unitMinName:product.unitMinName
					});
				}
			});
		}
	});
	var date = new Date();
	var time = indexVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());

    if(indexVM.noPay ==''){
        indexVM.noPay =0;
    }
    if(indexVM.moLing ==''){
        indexVM.moLing =0;
    }
	var logistics_number = '';
	if(indexVM.deliveryType !=0){
		logistics_number = indexVM.logistics_number;
	}
	var noPay = 0,deduction_amt = 0;
	if(dikou_amt){
		deduction_amt = -Number(indexVM.accountBalance);
		noPay = indexVM.noPay
	}else{
		if(indexVM.accountBalance <0){
			deduction_amt = indexVM.noPay;
		}else{
			if(indexVM.noPay <0){
				deduction_amt = indexVM.noPay
			}else{
				noPay = indexVM.noPay;
			}
		}
	}
	var debt_status = 0;
	// if (indexVM.noPay == indexVM.totalPrice) {
	if (parseFloat(noPay) == parseFloat(indexVM.editTotalPrice)) {
		debt_status = 0;
	} else if (noPay == 0) {
		debt_status = 2;
	} else {
		debt_status = 1;
	}
	var account_name = ''
	indexVM.accountList.forEach(function(v){
		if(v.id == indexVM.account_id){
			account_name = v.name
		}
	})
	var data = {
		"id": '',
		"remark": indexVM.remark,//备注  
		"sign_date": time,
		"customer_id": indexVM.selectedSupplier,
		"customer_name": indexVM.supplierName,
		"depot_id": indexVM.selectedDepot,//仓库ID
		"rebate_amt": indexVM.moLing,//抹零金额
		"order_amt": indexVM.totalPrice,//订单总金额
		"purchase_amt": 0,//毛利总金额indexVM.totalPrice-indexVM.moLing
		"amount": indexVM.totalAmount,//总数量		
		"ordertype": 0,//Int 0为进货，1为销售	
		"submit_status": 0,//0为采购或销售，1为草稿
		"logistics_number":logistics_number, //快递单号
		"consignee_address":indexVM.consignee_address, //收获地址
		"productlistlength": productList.length,
		"productlist": productList,//1
		"pay_status": indexVM.pay_status,//1为现金、2为支付宝、3为微信，默认为1
		"account_id":indexVM.account_id,
		"account_name":account_name,
		"debt_status": debt_status,
		"debt_amt": noPay,
		"org_debt_amt": noPay,
		"deduction_amt": deduction_amt,
		"delivery_status": indexVM.deliveryStatus,
		"delivery_type": indexVM.deliveryType,
		"delivery_date": indexVM.deliveryDate,
		"color_show":indexVM.color_show, //全行业参数
		"size_show":indexVM.size_show, //全行业参数
		"unit_show":indexVM.unit_show, //全行业参数
		"origin_specification":indexVM.origin_specification, //全行业参数
		"other_cost_purchase":indexVM.expenseDegression || 0, //费用成本
		"other_cost_name":indexVM.expenseName, //费用名称
		"other_cost_price":indexVM.expense || 0, //费用
		"other_id":indexVM.expenseId //费用id
	};

	var dataToSend = data;
	mui.each(dataToSend.productlist, function (index, val) {
		if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
			val.amount = Number(val.amount * val.unitChooseRatio)
		}
	});
	console.log(dataToSend);
	return dataToSend;
}

mui('body').on('tap','#remark',function(){
	document.getElementById("remark").scrollIntoView()
})

mui('.sideNavigation').on('tap', '.userInfo', function(){
	viewHandle.openWindow('view/accountSetting.html','accountSetting.html')
});

//查询账户信息
/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}
function getAccountList(){
	mui.ajax(severUrl + "fa/account/list.json", {
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				indexVM.accountList = res.data;
				if(indexVM.accountList.length>0){
					indexVM.pay_status = indexVM.accountList[0].type;
					indexVM.account_id = indexVM.accountList[0].id
				}
				indexVM.accountList.sort(ascCompare("type"));
			}else if (res.status == 10101 || res.status == 10102){
				logOut(res.msg)
			}
		}
	});
}

//指定日期当月第一天
function getValFirst(val){
	var d =new Date(val.replace(/-/g, "/"));
	var Y = d.getFullYear();
	var M = d.getMonth()+1;
	var D = 1;
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;
	var s = Y + '-' + M + '-' + D;
	return s
}
function getValFirstDay(val){
	var d = new Date(val.replace(/-/g, "/"));
	d = +d - 1000*60*60*24;
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth()+1;
	var day = d.getDate();
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return s
}
function getValLastDay(val){
	var d = new Date(val.replace(/-/g, "/"));
	d = +d + 1000*60*60*24;
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth()+1;
	var day = d.getDate();
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return s
}

//供应商欠款修改
function arrearsEdit(id,noPay,draft_dikou_amt){
	$.each(indexVM.supplierList,function(i,v){
		if(id && noPay){
			if(v.id == id){
				if(draft_dikou_amt){
					if(draft_dikou_amt == 'history'){
						v.arrears = numToCur(Number(v.arrears) - Number(noPay),indexVM.systemSetting.price_decimals_setting,'price');
					}else{
						v.arrears = numToCur(noPay,indexVM.systemSetting.price_decimals_setting,'price');
					}
				}else{
					v.arrears = numToCur(Number(v.arrears) + Number(noPay),indexVM.systemSetting.price_decimals_setting,'price');
				}
				return false
			}
		}else{
			if(v.id == indexVM.selectedBuyer){
				if(dikou_amt){
					v.arrears = numToCur(Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
				}else{
					v.arrears = numToCur(Number(v.arrears) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
				}
				return false
			}
		}
	})
	indexVM.noPay = 0;
	dikou_amt = false;
	sessionStorage.setItem("supplierList",JSON.stringify(indexVM.supplierList))
}

//高级版开单查询
function canOrderByDraft(obj){
	mui.ajax(severUrl + "scm/order/canOrderByDraft.json", {
		data: {
			ordertype: 0,
			productlistlength: obj.length,
			productlist: obj
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				viewHandle.close();
				var selCheckInfoList = [];
				var result = res.data;
				var canKaidan = true;
				for (var i = 0; i < result.length; i++) {
					if (result[i].can_order_amount < 0) {
						canKaidan = false;
					}
					mui.each(indexVM.selProductList,function(index1, productList) {
						mui.each(productList.list, function(index2, product) {
							if (product.product_id == result[i].product_id && product.color_id == result[i].color_id && product.size_id == result[i].size_id && result[i].can_order_amount<0) {
								var selCheckInfo = {
									product_name: productList.name,
									product_model: productList.model,
									color_name: product.color_name,
									description: product.description,
									size_name: product.size_name,
									caigou: product.count,
									unitChooseName:productList.unitChooseName,
									amount: numToCur((Number(result[i].can_order_amount / (productList.unitChooseRatio || 1)) + Number(product.count)),indexVM.systemSetting.amount_decimals_setting)
								};
								selCheckInfoList.push(selCheckInfo);
							}
						});
					});
				}
				if(!canKaidan){
					var listSend = {};
					listSend.selCheckInfoList = selCheckInfoList;
					listSend.type = 'cai';
					viewHandle.openWindow('orderSheet.html','orderSheet.html',JSON.stringify(listSend))
				}else{
					vip_newCreateOrder()
				}
			}else{
				mui.toast(res.msg)
			}
		}
	})
}

//历史地址复制
mui('#purchaseHistory').on('tap', '.icon-fuzhi',function(){
	viewHandle.copyText(historyVM.consignee_address)
});
// tap错乱
mui('#segmentedControl').on('tap','.mui-control-item',function(){
	document.activeElement.blur();
}) 