Vue.filter("time-format", function (time) {
	var date = new Date(time.replace(/-/g, "/"));
	var newDate = date.getFullYear() + "年" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "月" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate()) + "日 " + " " + (date.getHours() < 10 ? "0" + date.getHours() : date.getHours()) + "时" + (date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes()) + "分";
	return newDate;
});
Vue.filter("searchTime-format", function (time) {
	var date = new Date(time);
	var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	return newDate;
});
var flag = true,simpleQryTime = 0;
function loadNowDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();

	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}

}
mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg) {
		arg = JSON.parse(arg);
		sessionStorage.setItem("flowId",arg.flowId);
		sessionStorage.setItem("flowMsg",arg.flowMsg);
		sessionStorage.setItem("flowDateFirst",arg.flowDateFirst);
		flowStatisticsVM.id = arg.flowId || '';
		flowStatisticsVM.searchMsg = arg.flowMsg || '';
		flowStatisticsVM.lsDateFirst = arg.flowDateFirst || '';
		loadProductStatics(arg.flowDateFirst,'',arg.flowId);
	}else{
		loadProductStatics('','','')
	}
});
window.addEventListener("updateByDel",function(e){
	sessionStorage.setItem("flowId",e.detail.flowId);
	sessionStorage.setItem("flowMsg",e.detail.flowMsg);
	sessionStorage.setItem("flowDateFirst",e.detail.flowDateFirst);
	flowStatisticsVM.id = e.detail.flowId || '';
	flowStatisticsVM.searchMsg = e.detail.flowMsg || '';
	flowStatisticsVM.lsDateFirst = e.detail.flowDateFirst || '';
	loadProductStatics(e.detail.flowDateFirst,'',e.detail.flowId);
});
window.addEventListener("backUpdate",function(){
	btnQry()
});
var flowStatisticsVM = new Vue({
	el: '#flowStatisticsVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		id:sessionStorage.getItem('flowId') || '',
		list: [],
		depotList:[],
		selectDepot:sessionStorage.getItem('flowDepot') || '-1',
		productList: [],
		newList:[],
		searchMsg:sessionStorage.getItem('flowMsg') || '',
		lsDateFirst:sessionStorage.getItem('flowDateFirst') || loadNowDate(1),
		lsDateLast:sessionStorage.getItem('flowDateLast') || loadNowDate(1),
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		init_stock:''
	},
	watch: {
	},
	computed:{
		sizeName:function(){
			if(this.size_show == 1){
				return '尺码'
			}else{
				if(this.origin_specification ==3){
					return '产地'
				}else{
					return '规格'
				}
			}
		}
	},
	methods:{
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		searchProductList:function() {
			if (null == flowStatisticsVM.searchMsg || flowStatisticsVM.searchMsg == '') {
				sessionStorage.removeItem("flowMsg");
				sessionStorage.removeItem("flowId");
				flowStatisticsVM.newList = [];
				document.getElementById('popover').style.opacity = 0;
				rollingRecovery()
			} else {
				clearTimeout(simpleQryTime);
				simpleQryTime = setTimeout(function () {
					mui.ajax(severUrl + "scm/product/dataGridSimple", {
						data: {
							keyword: flowStatisticsVM.searchMsg
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json',
						type: 'post',
						timeout: 10000,
						success: function (res) {
							if (res.success) {
								flowStatisticsVM.newList = res.data.list;
								flowStatisticsVM.productList = res.data.list;
								console.log(flowStatisticsVM.newList);
								mui("#popover").popover("show");
								document.getElementById('popover').style.opacity = 1;
								if (flowStatisticsVM.newList.length > 0) {
									mui('.mui-scroll-wrapper').scroll().setStopped(true); //外层滚动禁止
								} else {
									rollingRecovery()
								}
							}
						}
					});
				}, 150)
			}
		}
	},
	created: function () {

	},
    mounted: function () {
		var _this = this;
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $("body").css('height',winHeight);
                } else {
                    $("body").css('height',winHeight);
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        });
        mui.plusReady(function(){
			getDepot();
		})
		mui.plusReady(function () {
			_this.getPurview()
		})
    }
});

mui(".mui-table-view").on("tap",".mui-table-view-cell",function(){
	flowStatisticsVM.searchMsg=$(this)[0].firstChild.innerHTML;
    document.getElementById('popover').style.opacity = 0;
	mui('#popover').popover('hide');
	mui('.mui-scroll-wrapper').scroll().setStopped(false);
	var id=this.dataset.id;
	loadProductStatics(flowStatisticsVM.lsDateFirst,flowStatisticsVM.lsDateLast,id);
	sessionStorage.setItem("flowMsg",flowStatisticsVM.searchMsg);
	sessionStorage.setItem("flowId",id);
});
function getDepot(){
	mui.ajax(severUrl + "scm/depot/list.json", {
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if (res.success) {
				flowStatisticsVM.depotList=res.data;
				if(flowStatisticsVM.selectDepot !='-1'){
				    var index = -1
                    mui.each(flowStatisticsVM.depotList,function(i,v){
                        if(v.id == flowStatisticsVM.selectDepot){
                            index = i
                        }
                    })
                    if(index == -1){
                        flowStatisticsVM.selectDepot = -1
                        btnQry()
                    }
                }
			} else{

			}
		}
	})
}


/**
 * 加载商品统计
 */
function loadProductStatics(startTime, endTime,id) {
	var depotId = '';
	var data = {
		start_date: loadNowDate(1),
		end_date: loadNowDate(1),
		depot_id: '',
		product_id: ''
	};
	if(flowStatisticsVM.selectDepot != -1){
		depotId = flowStatisticsVM.selectDepot;
	}
	if(id){
		data = {
			start_date: flowStatisticsVM.lsDateFirst,
			end_date: flowStatisticsVM.lsDateLast,
			product_id:id,
			depot_id:depotId
		}
	}else{
		data = {
			start_date: flowStatisticsVM.lsDateFirst,
			end_date: flowStatisticsVM.lsDateLast,
			product_id:'',
			depot_id:depotId
		}
	}
	var time = timedifference(flowStatisticsVM.lsDateFirst, flowStatisticsVM.lsDateLast);
	if(time > 92){
		mui.toast("时间范围不能大于三个月，请分段查询");
		return;
	}
	mui.ajax(severUrl + "scm/product/qryProductRunningWater.json", {
		data: data,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 20000,
        beforeSend: function() {
            // mask.show();//显示遮罩层
            mui('#dh')[0].style.display = "block";
        },
        complete: function() {
            //mask.close();//关闭遮罩层
            mui('#dh')[0].style.display = "none";
        },
		success: function (res) {
			if (res.success) {
				flowStatisticsVM.list=res.data;
				flowStatisticsVM.list.sort(descCompare("sign_date"));
			} else {
				if(res.status == 10101 || res.status == 10102) {
					logOut(res.msg)
				}else{
					mui.toast(res.msg);
				}
			}
		},
        error:function(res){
            var btnArray = ["重新加载"];
            mui.confirm('', '网络异常', btnArray, function(e) {
                window.location.href = 'tongji.html';
            },'div')
        }
	});
	if(id != ''){
		mui.ajax(severUrl + "scm/product/qryInitStock.json", {
			data: {
				depot_id:depotId,
				product_id:id
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 20000,
			success: function (res) {
				if (res.success) {
					if(res.data !== ''){
						flowStatisticsVM.init_stock = numToCur(res.data || 0,flowStatisticsVM.systemSetting.amount_decimals_setting)
					}else{
						flowStatisticsVM.init_stock = ""
					}
				}else{
					flowStatisticsVM.init_stock = ""
				}
			}
		});
	}else{
		flowStatisticsVM.init_stock = ""
	}
}

//点击详细信息
mui("#flowStatisticsVM").on('tap', '.info', function () {
	var time = timedifference(flowStatisticsVM.lsDateFirst, flowStatisticsVM.lsDateLast);
	if(time > 92){
		mui.toast("时间范围不能大于三个月，请分段查询");
		return;
	}
	switch (this.dataset.type) {
		case '盘点':
			sessionStorage.setItem('realname',this.dataset.realname);
			sessionStorage.setItem('histDetail_id',this.dataset.id);
			var listSend = {};
			listSend.realname = this.dataset.realname;
			listSend.histDetail_id = this.dataset.id;
			listSend.htmlType = 'flowStatistics';
			viewHandle.viewFire('historyXQ.html','historyXQ',listSend);
			viewHandle.openWindow('historyXQ.html','historyXQ.html',JSON.stringify(listSend));
			//window.location='historyXQ.html?htmlType=flowStatistics';
			break;
		case '调出':
		case '调入':
			sessionStorage.setItem('realname',this.dataset.realname);
			sessionStorage.setItem('alltDetail_id',this.dataset.id);
			var listSend = {};
			listSend.realname = this.dataset.realname;
			listSend.alltDetail_id = this.dataset.id;
			listSend.htmlType = 'flowStatistics';
			viewHandle.viewFire('allocationXQ.html','allocationXQ',listSend);
			viewHandle.openWindow('allocationXQ.html','allocationXQ.html',JSON.stringify(listSend));
			//window.location='allocationXQ.html?htmlType=flowStatistics';
			break;
		case '销售':
			sessionStorage.setItem('type',0);
		case '销售退货':
			var listSend = {};
			listSend.id = this.dataset.id;
			listSend.type ='customer';
			listSend.htmlType = 'flowStatistics';
			listSend.saleType = sessionStorage.getItem("type");
			viewHandle.viewFire('customerDebets.html','customerDebets',listSend);
			viewHandle.openWindow('customerDebets.html','customerDebets.html',JSON.stringify(listSend));
			//window.location='customerDebets.html?id='+this.dataset.id+'&type=customer'+'&htmlType=flowStatistics';
			break;
		case '采购':
			sessionStorage.setItem('type',1);
		case '采购退货':
			var listSend = {};
			listSend.id = this.dataset.id;
			listSend.type ='supplier';
			listSend.htmlType = 'flowStatistics';
			listSend.saleType = sessionStorage.getItem("type");
			viewHandle.viewFire('customerDebets.html','customerDebets',listSend);
			viewHandle.openWindow('customerDebets.html','customerDebets.html',JSON.stringify(listSend));
			//window.location='customerDebets.html?id='+this.dataset.id+'&type=supplier'+'&htmlType=flowStatistics';
			break;
	}
});

/**
 * desc
 * @param {*} propertyName
 */
function descCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 < value1) {
			return -1;
		} else if (value2 > value1) {
			return 1;
		} else {
			return 0;
		}
	}
}
/**
 * 初始化滚动条
 */
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0006
});

/**
 * 货号查询
 */
mui('.article-number').on('click', '.btn-chaxun', function () {
	btnQry()
});

function btnQry(){
	flowStatisticsVM.newList=[];
	document.getElementById('popover').style.opacity = 0;
	sessionStorage.setItem("flowDepot",flowStatisticsVM.selectDepot);
	sessionStorage.setItem("flowMsg",flowStatisticsVM.searchMsg);
	rollingRecovery();
	var isExist=true;
	var id='';
	if(flowStatisticsVM.searchMsg !='' && flowStatisticsVM.searchMsg !=null){
		var msg=flowStatisticsVM.searchMsg;
		for(var i=0;i<flowStatisticsVM.productList.length;i++){
			if(flowStatisticsVM.productList[i].model.toLowerCase().indexOf(msg) >= 0 || flowStatisticsVM.productList[i].name.toLowerCase().indexOf(msg) >= 0){
				id=flowStatisticsVM.productList[i].id;
				isExist=false;
				loadProductStatics(flowStatisticsVM.lsDateFirst, flowStatisticsVM.lsDateLast,id);
				sessionStorage.setItem("flowId",id);
				break;
			}
		}
		if(isExist){
			mui.toast('未搜索到该商品记录')
		}
	}else{
		sessionStorage.removeItem('flowId');
		loadProductStatics(flowStatisticsVM.lsDateFirst, flowStatisticsVM.lsDateLast,'');
	}
}

/**
 * 调用时间控件
 */
var lsDateFirst = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});

var lsDateLast = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});

mui('body').on('tap', '.lsDateFirst', function () {
	var _self = this;
	lsDateFirst.show(function (e) {
		flowStatisticsVM.lsDateFirst = e.text;
		sessionStorage.setItem("flowDateFirst",e.text);
	})
});

mui('body').on('tap', '.lsDateLast', function () {
	var _self = this;
	lsDateLast.show(function (e) {
		flowStatisticsVM.lsDateLast = e.text;
		sessionStorage.setItem("flowDateLast",e.text);
	})
});
function rollingRecovery(){
	//mui滚动恢复
	$("#popover").removeClass('mui-active'); //清除活动类
	$("#popover").css('opacity',1);//初始状态需要显示（隐藏后默认显示）
	$('.mui-backdrop').remove(); //mui添加后未移除顺序放在后移除后面
	mui('.mui-scroll-wrapper').scroll().setStopped(false); //取消外层滚动禁止
}
mui('body').on('tap','.muiBack',function(){
	viewHandle.back()
});
